#!/bin/ksh
# %1 sar file name without path
# %2 hostname of server running wcs, including the port for the Tools webapp
# %3 wcs username
# %4 wcs password
# %5 mode of process: {insert | update}, determines whether the store is being created (insert) or updated (update).
# %6 list of xml files in SAR to be processed: { ALL | NOCATALOG }, determines which XML files in the SAR should be published. To publish all, use ALL. To publish everything except for catalog, use NOCATLG. 
# %7 list of asset files in SAR and the paths that they are assigned to: {destination1=warfile1,destination2=warfile2}, warfile is the warfile you want to unzip, destination is the dirctory you want to unzip the warfile to.

#	please read online help for details.
# Note: the sar file name can not have any path info.

# e.g, if 
# 	the sar file -> mysar.sar,
#	the host name -> myhost:8000
#	wcs username -> wcsadmin
#	wcs password -> wcsadmin
#	mode -> insert
# 	list of xml files -> ALL
#	asset files:
#	  AIX  -> "/usr/WebSphere/AppServer/installedApps/WC_Enterprise_App_demo.ear/wcstores.war=webapp.zip,/usr/WebSphere/AppServer/installedApps/WC_Enterprise_App_demo.ear/wcstores.war/WEB-INF/classes=properties.zip"
#	  Solaris ->  "/opt/WebSphere/AppServer/installedApps/WC_Enterprise_App_demo.ear/wcstores.war=webapp.zip,/opt/WebSphere/AppServer/installedApps/WC_Enterprise_App_demo.ear/wcstores.war/WEB-INF/classes=properties.zip"
# 	then, 
#	publishstore mysar.sar myhost:8000 wcsadmin wcsadmin insert ALL "/usr/WebSphere/AppServer/installedApps/WC_Enterprise_App_demo.ear/wcstores.war=webapp.zip,/usr/WebSphere/AppServer/installedApps/WC_Enterprise_App_demo.ear/wcstores.war/WEB-INF/classes=properties.zip"


aDir=`dirname $0`

. ${aDir}/setenv.sh

if [[ "$7" = "" ]] ; then
	echo 'Usage:'
	echo '  $1 sar file name with full path'
	echo '  $2 hostname of server running wcs'
	echo '  $3 wcs username'
	echo '  $4 wcs password'
	echo '  $5 mode of process'
	echo '  $6 list of xml files in SAR to be processed'
	echo '  $7 list of asset files in SAR and the paths that they are assigned to \n '
else
export CLASSPATH=$WCS_HOME/lib/wcsdevtools.jar:$WCS_HOME/properties:$WCS_HOME/lib/sslite.zip:$CLASSPATH

${JAVA_EXE?} \
  -classpath $CLASSPATH \
  com.ibm.commerce.tools.devtools.instantiation.InstUtil -SAR $1 -svr $2 -userid $3 -pwd $4 -MODE $5 -XML $6 -ASSET $7 
fi
