#!/usr/bin/ksh

#**********************************************************************
#*-------------------------------------------------------------------------------
#* Licensed Materials - Property of IBM
#*
#* 5724-A18
#*
#* (c) Copyright IBM Corp. 2000, 2001, 2002
#*
#* US Government Users Restricted Rights - Use, duplication or
#* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#*-------------------------------------------------------------------------------

#HDREQ512=(203224+153080)+(239448+3008)+514728 
#HDREQ is coverted and * 1.5 to get 50% pad

MEMREQPERCPU=1048576
PAGINGREQ=1048576
#PAGINGREQ=`expr $MEMREQPERCPU \* 2`

HDREQ1K_USR=4194304
HDREQ1K_TMP=1048576
HDREQ1K_HOME=1048576
STACK1K=32768

#
# If we have /usr and /usr/lpp slices, each must req below
#
#HDREQWCS=`expr $HDREQ1K / 2`
#HDREQOTH=`expr $HDREQ1K / 2`  

WASDIR=/usr/WebSphere/AppServer
DB271HOME=/usr/lpp/db2_07_01
WCSDIR=/usr/WebSphere/CommerceServer
HTTPDIR=/usr/HTTPServer

DBVERSION=7.1.0.55
ORACLEVER=8.1.7.2.0
HTTPVERSION=1.3.19.1

#
# 0 =
# 1 >
# 2 <
# 3 NONE
#
TokenCompare()
{
COUNT=1
CURVER=$1
CURVER1=`( echo $CURVER | awk -v FS="." '{print $1}')`
CURVER2=`( echo $CURVER | awk -v FS="." '{print $2}')`
CURVER3=`( echo $CURVER | awk -v FS="." '{print $3}')`
CURVER4=`( echo $CURVER | awk -v FS="." '{print $4}')`

REQVER=$2
REQVER1=`( echo $REQVER | awk -v FS="." '{print $1}')`
REQVER2=`( echo $REQVER | awk -v FS="." '{print $2}')`
REQVER3=`( echo $REQVER | awk -v FS="." '{print $3}')`
REQVER4=`( echo $REQVER | awk -v FS="." '{print $4}')`

while [ $COUNT -le 4 ]
do
   FOO="CURVER$COUNT"
   FOO2="REQVER$COUNT"
   if [ $FOO -lt $FOO2 ]
   then
      return 2
   else
      if [ $FOO -gt $FOO2 ]
      then
         return 1
      fi
   fi
COUNT=`expr $COUNT + 1`
done

return 0

}

HardCheck()
{
FILESET=$1
REQVERS=$2
TEMP=`(lslpp -Lq | grep $FILESET)`
if [ $? -ne 0 ]
then
   return 3
else
   CURVERS=`(lslpp -Lq | grep $FILESET | awk '{print $2}')`
   TokenCompare $CURVERS $REQVERS
   return
fi
}

PrintCheck()
{
FILESET=$1
REQVERS=$2
TEMP=`(lslpp -Lq | grep $FILESET)`
if [ $? -ne 0 ]
then
   TEMP=`(echo "$FILESET NONE" | awk '{printf("%-20s  %-12s  FAIL\n",$1,$2)}')`
   echo "$TEMP  $REQVERS"
else
   CURVERS=`(lslpp -Lq | grep $FILESET | awk '{print $2}')`

   TokenCompare $CURVERS $REQVERS
   if [ $? -eq 0 -o $? -eq 1 ]
   then
      TEMP=`(echo $FILESET $CURVERS | awk '{printf("%-20s  %-12s  PASS\n",$1,$2)}')`
      echo "$TEMP"
   else
      TEMP=`(echo $FILESET $CURVERS | awk '{printf("%-20s  %-12s  FAIL\n",$1,$2)}')`
      echo "$TEMP  $REQVERS"
   fi
fi
}

# Machine OS and Type
echo "========================================================="
echo "----  SYSTEM PRE REQUISITE CHECK INFORMATIONAL ONLY  ----"
echo "========================================================="

TEMP=`uname`
OSLEVEL=`oslevel`
# OS Level... set the 02 as min required

TokenCompare $OSLEVEL 5.1.0.0
if [ $? -eq 0 ]
then
   TEMP=`(echo $TEMP $OSLEVEL | awk '{printf("OS:  %-10s Current: %-10s PASS\n",$1,$2)}')`
   echo "$TEMP"
else
   TEMP=`(echo $TEMP $OSLEVEL | awk '{printf("OS:  %-10s Current: %-10s FAIL\n",$1,$2)}')`
   echo "$TEMP  5.1.0.0"
fi

#TEMP=`(instfix -ik 5.1.0.0_AIX_ML 2> /dev/null)`
#if [ $? -ne 0 ];
#then
#   echo "AIX Maintenance Level 01 or above   FAIL"
#else
#   echo "AIX Maintenance Level 01 or above   PASS"
#fi

echo "---------------------------------------------------------"
echo "Machine Type: `uname -M`"
echo "---------------------------------------------------------"

NCPU=`(lscfg | grep -c proc)`
echo "# of CPUs: $NCPU"

CPUTYPE=`(lsattr -E -l proc0 | grep "type" | awk '{print $2}')`
echo "Processor Type: $CPUTYPE"
CPUSPEED=`(lsattr -E -l proc0 | grep "frequency" | awk '{print $2}')`
echo "Processor Speed: $CPUSPEED Hz"

echo "---------------------------------------------------------"

# Memory

MEMTOTAL=`(lsattr -E -l sys0 -a realmem | awk '{print $2}')`
echo "Total Physical Memory: $MEMTOTAL"

echo "RAM(k) Check PER CPU:"
MEMPERCPU=`expr $MEMTOTAL / $NCPU`

if [ $MEMPERCPU -ge $MEMREQPERCPU ]
then
   TEMP=`(echo $MEMPERCPU $MEMREQPERCPU | awk '{printf("Current: %-10s Req: %-10s PASS\n",$1,$2)}')`
   echo "$TEMP"
else
   TEMP=`(echo $MEMPERCPU $MEMREQPERCPU | awk '{printf("Current: %-10s Req: %-10s FAIL\n",$1,$2)}')`
   echo "$TEMP"
fi

#echo "---------------------------------------------------------"

# Disk Space .....
# df
# du -s <dir> for the directory usage 

# We have multiple /usr matches but we only care for /usr and /usr/lpp
#echo "FREE HARD DRIVE SPACE in 1K blocks:"

#HardCheck Commerce.Base.rte 5.4.0.0
#if [ $? -eq 0 ];
#then
#   echo ""
#   echo "WCS5.1 Installation Detected. No HD free space checking is required."
#   echo ""
#else
#   TEMP=`(df -k | grep "/usr/lpp")`
#   if [ $? -eq 0 ];
#   then
#      # /usr/lpp exists so this slice must have about 50% of space
#      SLICE=`(df -k | grep "/usr/lpp" | awk -v OFS="\t" '{print $7}')`
#      DISKFREE=`(df -k | grep "/usr/lpp" | awk -v OFS="\t" '{print $3}')`
#      echo "Slice: $SLICE"
#      if [ $DISKFREE -ge $HDREQWCS ];
#      then
#         TEMP=`(echo $DISKFREE $HDREQWCS | awk '{printf("Current: %-10s Req: %-10s PASS\n",$1,$2)}')`
#         echo "$TEMP"
#      else
#         TEMP=`(echo $DISKFREE $HDREQWCS | awk '{printf("Current: %-10s Req: %-10s FAIL\n",$1,$2)}')`
#         echo "$TEMP"
#      fi
#      TEMP=`(df -k | grep "/usr$")`
#      if [ $? -eq 0 ];
#      then
#         SLICE=`(df -k | grep "/usr$" | awk -v OFS="\t" '{print $7}')`
#         DISKFREE=`(df -k | grep "/usr$" | awk -v OFS="\t" '{print $3}')`
#         echo "Slice: $SLICE"
#         if [ $DISKFREE -ge $HDREQOTH ]
#         then
#            TEMP=`(echo $DISKFREE $HDREQOTH | awk '{printf("Current: %-10s Req: %-10s PASS\n",$1,$2)}')`
#            echo "$TEMP"
#         else
#            TEMP=`(echo $DISKFREE $HDREQOTH | awk '{printf("Current: %-10s Req: %-10s FAIL\n",$1,$2)}')`
#            echo "$TEMP"
#         fi
#      else
#         echo "You must have a /usr directory or mounted file system:  FAIL"
#      fi
#   else
#      TEMP=`(df -k | grep "/usr$")`
#      if [ $? -eq 0 ];
#      then
#         SLICE=`(df -k | grep "/usr$" | awk -v OFS="\t" '{print $7}')`
#         DISKFREE=`(df -k | grep "/usr$" | awk -v OFS="\t" '{print $3}')`
#         echo "Slice: $SLICE"
#         if [ $DISKFREE -ge $HDREQ1K ]
#         then
#            TEMP=`(echo $DISKFREE $HDREQ1K | awk '{printf("Current: %-10s Req: %-10s PASS\n",$1,$2)}')`
#            echo "$TEMP"
#         else
#            TEMP=`(echo $DISKFREE $HDREQ1K | awk '{printf("Current: %-10s Req: %-10s FAIL\n",$1,$2)}')`
#            echo "$TEMP"
#         fi
#      else
#         echo "No /usr directory detected:         FAIL"
#      fi
#   fi
#   echo ""
#   echo "** NOTE: If you are using ORACLE as your DB, you will"
#   echo "**       require additional disk space. Please consult"
#   echo "**       your Oracle documentation for the requirement."
#   echo ""
#fi

TEMP=`(df -k | grep "/usr$")`
if [ $? -eq 0 ];
then
   SLICE=`(df -k | grep "/usr$" | awk -v OFS="\t" '{print $7}')`
   DISKFREE=`(df -k | grep "/usr$" | awk -v OFS="\t" '{print $3}')`
   echo "Slice: $SLICE"
   if [ $DISKFREE -ge $HDREQ1K_USR ]
   then
      TEMP=`(echo $DISKFREE $HDREQ1K_USR | awk '{printf("Current: %-10s Req: %-10s PASS\n",$1,$2)}')`
      echo "$TEMP"
   else
      TEMP=`(echo $DISKFREE $HDREQ1K_USR | awk '{printf("Current: %-10s Req: %-10s FAIL\n",$1,$2)}')`
      echo "$TEMP"
   fi
else
   echo "No /usr directory detected:         FAIL"
fi

TEMP=`(df -k | grep "/tmp$")`
if [ $? -eq 0 ];
then
   SLICE=`(df -k | grep "/tmp$" | awk -v OFS="\t" '{print $7}')`
   DISKFREE=`(df -k | grep "/tmp$" | awk -v OFS="\t" '{print $3}')`
   echo "Slice: $SLICE"
   if [ $DISKFREE -ge $HDREQ1K_TMP ]
   then
      TEMP=`(echo $DISKFREE $HDREQ1K_TMP | awk '{printf("Current: %-10s Req: %-10s PASS\n",$1,$2)}')`
      echo "$TEMP"
   else
      TEMP=`(echo $DISKFREE $HDREQ1K_TMP | awk '{printf("Current: %-10s Req: %-10s FAIL\n",$1,$2)}')`
      echo "$TEMP"
   fi
else
   echo "No /tmp directory detected:         FAIL"
fi

TEMP=`(df -k | grep "/home$")`
if [ $? -eq 0 ];
then
   SLICE=`(df -k | grep "/home$" | awk -v OFS="\t" '{print $7}')`
   DISKFREE=`(df -k | grep "/home$" | awk -v OFS="\t" '{print $3}')`
   echo "Slice: $SLICE"
   if [ $DISKFREE -ge $HDREQ1K_HOME ]
   then
      TEMP=`(echo $DISKFREE $HDREQ1K_HOME | awk '{printf("Current: %-10s Req: %-10s PASS\n",$1,$2)}')`
      echo "$TEMP"
   else
      TEMP=`(echo $DISKFREE $HDREQ1K_HOME | awk '{printf("Current: %-10s Req: %-10s FAIL\n",$1,$2)}')`
      echo "$TEMP"
   fi
else
   echo "No /home directory detected:         FAIL"
fi

echo ""
echo "** NOTE: If you are using ORACLE as your DB, you will"
echo "**       require additional disk space. Please consult"
echo "**       your Oracle documentation for the requirement."
echo ""

#PAGETOTAL=`(lsattr -E -l sys0 -a realmem | awk '{print $2}')`

PAGETOTAL=0
NUMPAGES=`(lsps -a | grep -c -v "THISISJUSTTOCOUNTLINES")`
NUMPAGES=`expr $NUMPAGES - 1`

echo "---------------------------------------------------------"
echo "PAGING SPACE Check: #PagingSpaces=$NUMPAGES"

if [ NUMPAGES -ge 1 ];
then
   for PAGESPACE in `(lsps -a | grep "MB" | /usr/bin/awk '{print $4}' | /usr/bin/awk -v FS="M" '{print $1}')`;
   do
      PAGETOTAL=`expr $PAGETOTAL + $PAGESPACE`
   done

   PAGETOTAL=`expr $PAGETOTAL \* 1024`

   if [ $PAGETOTAL -ge $PAGINGREQ ];
   then
      TEMP=`(echo $PAGETOTAL $PAGINGREQ | awk '{printf("Current: %-10s Req: %-10s PASS\n",$1,$2)}')`
      echo "$TEMP"
   else
      if [ $MEMTOTAL -ge 1048576 ];
      then
         TEMP=`(echo $PAGETOTAL $PAGINGREQ | awk '{printf("Current: %-10s Req: %-10s WARNING\n",$1,$2)}')`
         echo "$TEMP"
         echo ""
         echo "** NOTE: It is recommended that there be at least 1GB of"
         echo "**       paging space available"
         echo ""
      else
         TEMP=`(echo $PAGETOTAL $PAGINGREQ | awk '{printf("Current: %-10s Req: %-10s FAIL\n",$1,$2)}')`
         echo "$TEMP"
         echo ""
         echo "** NOTE: It is recommended that there be at least 1GB of paging"
         echo "**       space available for systems with < 1GB physical memory"
         echo ""
      fi
   fi
else
      echo "** WARNING: NO PAGING SPACE DETECTED"
      echo ""
      echo "** NOTE: It is recommended that paging space be set to"
      echo "**       at least to 1GB"
      echo ""
fi

echo "---------------------------------------------------------"
#echo "STACK QUOTA LIMIT"
#
#STACKQUOTA=`(ulimit -a | grep "stack" | awk '{print $2}')`
#
#if [ "$STACKQUOTA" = "unlimited" ]
#then
#   TEMP=`(echo $STACKQUOTA $STACK1K | awk '{printf("Current: %-10s Req: %-10s PASS\n",$1,$2)}')`
#   echo "$TEMP"
#else
#   if [ $STACKQUOTA -ge $STACK1K ]
#   then
#      TEMP=`(echo $STACKQUOTA $STACK1K | awk '{printf("Current: %-10s Req: %-10s PASS\n",$1,$2)}')`
#      echo "$TEMP"
#   else
#      TEMP=`(echo $STACKQUOTA $STACK1K | awk '{printf("Current: %-10s Req: %-10s FAIL\n",$1,$2)}')`
#      echo "$TEMP"
#   fi
#fi
#echo "---------------------------------------------------------"

MYLANG=`(/usr/bin/echo $LANG)`

if [ "$MYLANG" != "" ];
then
   case "$MYLANG" in
      fr_FR) echo "Supported Locale Detected: $MYLANG    PASS";;
      de_DE) echo "Supported Locale Detected: $MYLANG    PASS";;
      it_IT) echo "Supported Locale Detected: $MYLANG    PASS";;
      es_ES) echo "Supported Locale Detected: $MYLANG    PASS";;
      pt_BR) echo "Supported Locale Detected: $MYLANG    PASS";;
      zh_CN) echo "Supported Locale Detected: $MYLANG    PASS";;
      zh_TW) echo "Supported Locale Detected: $MYLANG    PASS";;
      ko_KR) echo "Supported Locale Detected: $MYLANG    PASS";;
      Ja_JP) echo "Supported Locale Detected: $MYLANG    PASS";;
      en_US) echo "Supported Locale Detected: $MYLANG    PASS";;
      *) echo "UNSUPPORTED Locale Detected: $MYLANG  FAIL"; echo "Please ensure your LANG [$MYLANG] is of a supported type";;
   esac
else
   echo "LANG setting not set:               FAIL"
   echo "Set LANG variable to a supported locale. ie: en_US"
fi

echo "---------------------------------------------------------"
echo ""

# Installed stuff
# lslpp -Lq > sets.txt

echo "========================================================="
echo "OS System Libraries"
echo "========================================================="

PrintCheck X11.adt.lib 5.1.0.0
#PrintCheck X11.adt.motif 5.1.0.0
PrintCheck X11.base.lib 5.1.0.0
PrintCheck X11.base.rte 5.1.0.0
PrintCheck X11.motif.lib 5.1.0.0
PrintCheck bos.adt.base 5.1.0.0
PrintCheck bos.adt.include 5.1.0.0
PrintCheck bos.rte.net 5.1.0.0
PrintCheck bos.rte.libc 5.1.0.0
PrintCheck bos.net.tcp.client 5.1.0.0
echo ""

# PRE WCS (POST WAS DB2)

echo "========================================================="
echo "SYSTEM and WAS JDK LEVEL (Display only)"
echo "========================================================="
#JAVALEVEL=`( /usr/bin/java -version 2>&1 | grep java | awk '{print $3}')`
#
# Take what ever the system looks at first. All depends on PATH setting
#
JAVALEVEL=`( java -version 2>&1 | grep java | awk '{print $3}')`
echo "SYSTEM JAVA VERSION   : $JAVALEVEL"

if [ -f ${WASDIR}/java/bin/java ];
then
   JAVALEVEL=`( ${WASDIR}/java/bin/java -version 2>&1 | grep java | awk '{print $3}')`
   echo "WebSphere JAVA VERSION: $JAVALEVEL"
fi
echo ""

echo "========================================================="
echo "WebSphere Application Server 4.0.0.0 + PTF2 + eFixes     "
echo "========================================================="
HardCheck IBMWebAS.base.WASserver 4.0.0.0
RETVAL=$?
if [ $RETVAL -eq 0 ];
then
   PrintCheck IBMWebAS.base.WASserver 4.0.0.0
   if [ ! -d ${WASDIR} ];
   then
      echo "WebSphere Default directory $WASDIR NOT DETECTED"
   else

      TEMP=`(/usr/bin/grep "<version>4.0.2</version>" ${WASDIR}/properties/com/ibm/websphere/product.xml)`
      if [[ $? -ne 0 ]];
      then
         TEMP=`(echo "WAS4_PTF2    NONE" | awk '{printf("%-20s  %-12s  FAIL\n",$1,$2)}')`
         echo "$TEMP 4.0.2"
      else
         TEMP=`(/usr/bin/grep "<number>a0150.05</number>" ${WASDIR}/properties/com/ibm/websphere/product.xml)`
         if [[ $? -ne 0 ]];
         then
            TEMP=`(echo "WAS4_PTF2    ????" | awk '{printf("%-20s  %-12s  FAIL\n",$1,$2)}')`
            echo "$TEMP 4.0.2"
         else
            TEMP=`(/usr/bin/grep "<date>12/18/2001</date>" ${WASDIR}/properties/com/ibm/websphere/product.xml)`
            if [[ $? -ne 0 ]];
            then
               TEMP=`(echo "WAS4_PTF2    ????" | awk '{printf("%-20s  %-12s  FAIL\n",$1,$2)}')`
               echo "$TEMP 4.0.2"
            else
               TEMP=`(echo "WAS4_PTF2    4.0.2" | awk '{printf("%-20s  %-12s  PASS\n",$1,$2)}')`
               echo "$TEMP"
            fi
         fi

         if [ -d ${WASDIR}/eFix/PQ54291 ];
         then
            TEMP=`(echo "${WASDIR}/eFix/PQ54291" | awk '{printf("%-36s INSTALLED**\n",$1,$2)}')`
            echo "$TEMP"
         else
            TEMP=`(echo "${WASDIR}/eFix/PQ54291" | awk '{printf("%-36s MISSING\n",$1,$2)}')`
            echo "$TEMP"
         fi

         if [ -d ${WASDIR}/eFix/PQ57446 ];
         then
            TEMP=`(echo "${WASDIR}/eFix/PQ57446" | awk '{printf("%-36s INSTALLED**\n",$1,$2)}')`
            echo "$TEMP"
         else
            TEMP=`(echo "${WASDIR}/eFix/PQ57446" | awk '{printf("%-36s MISSING\n",$1,$2)}')`
            echo "$TEMP"
         fi

         if [ -d ${WASDIR}/eFix/PQ57814 ];
         then
            TEMP=`(echo "${WASDIR}/eFix/PQ57814" | awk '{printf("%-36s INSTALLED**\n",$1,$2)}')`
            echo "$TEMP"
         else
            TEMP=`(echo "${WASDIR}/eFix/PQ57814" | awk '{printf("%-36s MISSING\n",$1,$2)}')`
            echo "$TEMP"
         fi

         if [ -d ${WASDIR}/java/jre/lib/extfix/PMR60732.jar ];
         then
            TEMP=`(echo "${WASDIR}/java/jre/lib/extfix/PMR60732.jar" | awk '{printf("%-36s INSTALLED**\n",$1,$2)}')`
            echo "$TEMP"
         else
            TEMP=`(echo "${WASDIR}/java/jre/lib/extfix/PMR60732.jar" | awk '{printf("%-36s MISSING\n",$1,$2)}')`
            echo "$TEMP"
         fi

         echo ""
         echo "** NOTE: EFIXes may be detected as installed but may"
         echo "**       be left from previous installs. Validate"
         echo "**       that the EFIX was applied for this installation"
         echo ""
      fi
   fi
elif [[ $RETVAL -eq 1 || $RETVAL -eq 2 ]];
then
   CURVERS=`(lslpp -Lq | grep IBMWebAS.base.WASserver | awk '{print $2}')`
   TEMP=`(echo "IBMWebAS.base.WASserver $CURVERS" | awk '{printf("%-20s  %-12s  FAIL\n",$1,$2)}')`
   echo "$TEMP  4.0.0.0"
   echo ""
   echo "** NOTE: An unsupported version of WebSphere Application Server 4.0"
   echo "**       was detected. The version of WebSphere Application Server "
   echo "**       4.0 shipped with Commerce 5.4 is the supported level"
else
   PrintCheck IBMWebAS.base.WASserver 4.0.0.0
   echo ""
   echo "** NOTE: Websphere Application Server was not detected"
   echo ""
fi
echo ""

echo "========================================================="
echo "DATABASE: DB2 and ORACLE Check                           "
echo "========================================================="
DBFOUND=0
DB2=0
O817=0
ORACLEFOUND=0
ORATAB=""

#if [ "$MYLANG" != "en_US" ];
#then
#   DBVERSION=7.1.0.28
#fi

HardCheck db2_07_01.db2.rte $DBVERSION
RETVAL=$?
if [ $RETVAL -eq 0 ];
then
   echo "IBM DB2 7.1 DATABASE"
   PrintCheck db2_07_01.db2.rte $DBVERSION

   echo "Ports Used:"
   grep "DB2 instance" /etc/services | /usr/bin/awk '{printf("%-20s  %-20s\n",$1,$2)}'

   if [ -d ${DB271HOME} ];
   then
      echo "DB2HOME:$DB271HOME"
   else
      echo "ERROR: DB2HOME is not default $DB271HOME"
   fi

   echo ""

   HardCheck db2_07_01.adt.rte $DBVERSION
   RETVAL=$?
   if [ $RETVAL -eq 0 ];
   then
      echo "IBM DB2 7.1 DEVELOPMENT CLIENT"
      PrintCheck db2_07_01.adt.rte $DBVERSION
   elif [[ $RETVAL -eq 1 || $RETVAL -eq 2 ]];
   then
      echo "IBM DB2 7.1 DEVELOPMENT CLIENT"
      CURVERS=`(lslpp -Lq | grep db2_07_01.adt.rte | awk '{print $2}')`
      TEMP=`(echo "db2_07_01.adt.rte $CURVERS" | awk '{printf("%-20s  %-12s  FAIL\n",$1,$2)}')`
      echo "$TEMP  $DBVERSION"
      echo ""
      echo "** NOTE: An unsupported version of DB2 7.1 Development Client was detected."
   else
      PrintCheck db2_07_01.adt.rte $DBVERSION
      echo ""
      echo "** NOTE: You MUST have the DB2 $DBVERSION Development Client Installed."
      echo ""
   fi

   DB2=1
   DBFOUND=1
elif [ $RETVAL -eq 1 ];
then
   echo "IBM DB2 7.1 DATABASE"
   CURVERS=`(lslpp -Lq | grep db2_07_01.db2.rte | awk '{print $2}')`
   TEMP=`(echo "db2_07_01.db2.rte $CURVERS" | awk '{printf("%-20s  %-12s  WARNING\n",$1,$2)}')`
   echo "$TEMP  $DBVERSION"
   echo ""
   echo "** NOTE: A higher level of DB2 was detected. DB2 $DBVERSION"
   echo "**       shipped with Commerce 5.4 is the supported level."
   DB2=1
   DBFOUND=1
elif [ $RETVAL -eq 2 ];
then
   echo "IBM DB2 7.1 DATABASE"
   CURVERS=`(lslpp -Lq | grep db2_07_01.db2.rte | awk '{print $2}')`
   TEMP=`(echo "db2_07_01.db2.rte $CURVERS" | awk '{printf("%-20s  %-12s  FAIL\n",$1,$2)}')`
   echo "$TEMP  $DBVERSION"
   echo ""
   echo "** NOTE: An unsupported version of DB2 7.2 was detected."
   echo "**       The DB2 7.2 shipped with Commerce 5.4 "
   echo "**       is the supported level.                        "
   DB2=1
   DBFOUND=1
elif [ $RETVAL -eq 3 ];
then
   HardCheck db2_07_01.client $DBVERSION
   RETVAL=$?
   if [ $RETVAL -eq 0 ];
   then
      echo "IBM DB2 7.1 DATABASE Client"
      PrintCheck db2_07_01.client $DBVERSION

      echo "Ports Used:"
      grep "DB2 instance" /etc/services | /usr/bin/awk '{printf("%-20s  %-20s\n",$1,$2)}'

      if [ -d ${DB271HOME} ];
      then
         echo "DB2HOME:$DB271HOME"
      else
         echo "ERROR: DB2HOME is not default $DB271HOME"
      fi
      echo ""
      echo "** NOTE: Client Installation of DB2 detected. Remote DB assumed"
      echo ""
      DB2=1
      DBFOUND=1
   elif [ $RETVAL -eq 1 ];
   then
      echo "IBM DB2 7.1 DATABASE Client"
      CURVERS=`(lslpp -Lq | grep db2_07_01.client | awk '{print $2}')`
      TEMP=`(echo "db2_07_01.client $CURVERS" | awk '{printf("%-20s  %-12s  WARNING\n",$1,$2)}')`
      echo "$TEMP  $DBVERSION"
      echo ""
      echo "** NOTE: Client Installation of DB2 detected.              "
      echo "**       A higher level of DB2 detected. The DB2 $DBVERSION"
      echo "**       shipped with Commerce 5.4 is the supported level."
      DB2=1
      DBFOUND=1
   elif [ $RETVAL -eq 2 ];
   then
      echo "IBM DB2 7.1 DATABASE Client"
      CURVERS=`(lslpp -Lq | grep db2_07_01.client | awk '{print $2}')`
      TEMP=`(echo "db2_07_01.client $CURVERS" | awk '{printf("%-20s  %-12s  FAIL\n",$1,$2)}')`
      echo "$TEMP  $DBVERSION"
      echo ""
      echo "** NOTE: Client Installation of DB2 detected.           "
      echo "**       An unsupported version of DB2 7.2 was detected."
      echo "**       The DB2 7.2 shipped with Commerce 5.4 "
      echo "**       is the supported level."
      DB2=1
      DBFOUND=1
   fi
fi

ORATAB=/etc/oratab

if [ -f ${ORATAB} ];
then
   for TEMP in `(/usr/bin/grep -v "#" $ORATAB)`;
   do
      ORALOC=`(/usr/bin/echo $TEMP | /usr/bin/grep ":" | /usr/bin/awk -v FS=":" '{print $2}')`
      if [ "$ORALOC" != "" ];
      then
         if [ -d $ORALOC ];
         then

            if [ -f $ORALOC/install/unix.rgs ];
            then
               TEMP=`(grep "svrmgr" $ORALOC/install/unix.rgs)`
               if [ $? -ne 0 ];
               then
                  TEMP=`(grep "sql\*plus" $ORALOC/install/unix.rgs)`
                  if [ $? -ne 0 ];
                  then
                     CURVER="x"
                     RETVAL=3
                  else
                     CURVER=`(grep "sql\*plus" $ORALOC/install/unix.rgs | awk '{print $2}')`
                     TokenCompare $CURVER $ORACLEVER
                     RETVAL=$?
                  fi
               else
                  CURVER=`(grep "svrmgr" $ORALOC/install/unix.rgs | awk '{print $2}')`
                  TokenCompare $CURVER $ORACLEVER
                  RETVAL=$?
               fi
            else
               CURVER="x"
               RETVAL=3
            fi

            if [ $RETVAL -eq 0 ];
            then
               /usr/bin/echo "Detected Oracle $ORACLEVER installed."
               O817=1
               DBDIR=$ORALOC
               DBFOUND=1
               ORACLEFOUND=1
               break;
            elif [ $RETVAL -eq 1 ];
            then
               /usr/bin/echo "Detected Oracle $CURVER installed."
               O817=1
               DBDIR=$ORALOC
               ORACLEVER=$CURVER
               DBFOUND=1
               ORACLEFOUND=1
               break;
            elif [ $RETVAL -eq 2 ];
            then
               TEMP=`($ORALOC/bin/trcroute | /usr/bin/grep $ORACLEVER )`
               if [ $? -ne 0 ];
               then
                  O817=0
                  /usr/bin/echo "ERROR: Detected Oracle $CURVER installed. Expecting Oracle $ORACLEVER"
                  ORACLEVER=$CURVER
               else
                  /usr/bin/echo "Detected Oracle $ORACLEVER installed."
                  O817=1
                  DBDIR=$ORALOC
                  DBFOUND=1
                  ORACLEFOUND=1
                  break;
               fi
            else
               O817=0
            fi
         fi
      fi
   done 
fi

#
# If oratab did not work, use oraInst.loc as backup
#
if [ $O817 -ne 1 ];
then
   ORATAB=/etc/oraInst.loc
   if [ -f $ORATAB ];
   then
      TEMP=`(/usr/bin/grep "inventory_loc" $ORATAB | /usr/bin/grep "oraInventory")`
      if [ $? -eq 0 ];
      then
         ORC=`(grep "inventory_loc" $ORATAB | /usr/bin/cut -d"=" -f2)`
         COUNT=1
         TEMP=`(/usr/bin/echo $ORC | /usr/bin/cut -d"/" -f$COUNT | /usr/bin/grep "oraInventory")`
         while [ $? -ne 0 ]
         do
            COUNT=`expr $COUNT + 1`
            TEMP=`(/usr/bin/echo $ORC | /usr/bin/cut -d"/" -f$COUNT | /usr/bin/grep "oraInventory")`
         done
         COUNT=`expr $COUNT - 1`
         ORALOC="`(/usr/bin/echo $ORC | /usr/bin/cut -d"/" -f1-$COUNT)`/product/8.1.7"
         if [ ! -d $ORALOC ];
         then
            # Default Oracle dir not there, so must be customized
            ORALOC=`(/usr/bin/echo $ORC | /usr/bin/cut -d"/" -f1-$COUNT)`
         fi
         if [ -d $ORALOC ];
         then
            if [ -f $ORALOC/install/unix.rgs ];
            then
               TEMP=`(grep "svrmgr" $ORALOC/install/unix.rgs)`
               if [ $? -ne 0 ];
               then
                  TEMP=`(grep "sql\*plus" $ORALOC/install/unix.rgs)`
                  if [ $? -ne 0 ];
                  then
                     CURVER="x"
                     RETVAL=3
                  else
                     CURVER=`(grep "sql\*plus" $ORALOC/install/unix.rgs | awk '{print $2}')`
                     TokenCompare $CURVER $ORACLEVER
                     RETVAL=$?
                  fi
               else
                  CURVER=`(grep "svrmgr" $ORALOC/install/unix.rgs | awk '{print $2}')`
                  TokenCompare $CURVER $ORACLEVER
                  RETVAL=$?
               fi
            else
               CURVER="x"
               RETVAL=3
            fi

            if [ $RETVAL -eq 0 ];
            then
               /usr/bin/echo "Detected Oracle $ORACLEVER installed."
               O817=1
               DBDIR=$ORALOC
               ORACLEVER=$CURVER
               break;
            elif [ $RETVAL -eq 1 ];
            then
               /usr/bin/echo "Detected Oracle $CURVER installed."
               O817=1
               DBDIR=$ORALOC
               ORACLEVER=$CURVER
               break;
            elif [ $RETVAL -eq 2 ];
            then
               TEMP=`($ORALOC/bin/trcroute | /usr/bin/grep $ORACLEVER )`
               if [ $? -ne 0 ];
               then
                  O817=0
                  /usr/bin/echo "ERROR: Detected Oracle $CURVER installed. Expecting Oracle $ORACLEVER"
                  ORACLEVER=$CURVER
               else
                  /usr/bin/echo "Detected Oracle $ORACLEVER installed."
                  O817=1
                  DBDIR=$ORALOC
                  break;
               fi
            else
               O817=0
            fi
            DBFOUND=1
            ORACLEFOUND=1
         fi
      fi
   fi
fi


if [ $ORACLEFOUND -eq 1 ];
then
   if [ $O817 -ne 1 ];
   then
      echo "ORACLE DATABASE"
      TEMP=`(echo "ORACLE $ORACLEVER" | awk '{printf("%-20s  %-12s  FAIL\n",$1,$2)}')`
      echo "$TEMP"
      echo "** NOTE: ORACLE 8.1.7 with JDBC 1.2 is supported."
      echo "**       Please ensure you have Oracle databases for use"
      echo "**       with WebSphere Application Server 4.02 and"
      echo "**       Commerce Business 5.4"
   else
      echo "ORACLE DATABASE"
      TEMP=`(echo "ORACLE $ORACLEVER" | awk '{printf("%-20s  %-12s  PASS\n",$1,$2)}')`
      echo "$TEMP"
      PrintCheck bos.adt.lib 5.1.0.0
      PrintCheck bos.adt.libm 5.1.0.0

      if [ -f $ORALOC/jdbc/lib/classes12.zip ];
      then
         TEMP=`(echo "JDBC(classes12.zip) JDBC1.2" | awk '{printf("%-20s  %-12s  PASS\n",$1,$2)}')`
         echo "$TEMP"
      else
         TEMP=`(echo "JDBCDriver NONE" | awk '{printf("%-20s  %-12s  PASS\n",$1,$2)}')`
         echo "$TEMP  classes12.zip"
      fi
      /usr/bin/echo "ORACLE_HOME: $ORALOC"
      if [ -f $ORALOC/network/admin/listener.ora ];
      then
         for ORADB in `(grep "GLOBAL_DBNAME" $ORALOC/network/admin/listener.ora | /usr/bin/awk '{print $3}' | /usr/bin/awk -v FS=")" '{print $1}')`;
         do
            echo "Oracle Global DB: $ORADB"
         done
      fi
   fi
fi

if [ $DBFOUND -ne 1 ];
then
   TEMP=`(echo "DATABASE NONE" | awk '{printf("%-20s  %-12s  FAIL\n",$1,$2)}')`
   echo "$TEMP  DB2/ORACLE"
   echo ""
   echo "** NOTE: Supported database software was not detected"
   echo ""
fi
echo ""

echo "========================================================="
echo "WebServer: IBM HTTP Server and Netscape iPlanet Check    "
echo "========================================================="
WEBSERVERFOUND=0

HardCheck http_server.base.rte $HTTPVERSION
RETVAL=$?
if [ $RETVAL -eq 0 ];
then
   echo "IBM HTTP SERVER"
   PrintCheck http_server.base.rte $HTTPVERSION
   echo ""
   WEBSERVERFOUND=1

   if [ -f ${HTTPDIR}/conf/httpd.conf ];
   then
      TEMP=`(/usr/bin/cat ${HTTPDIR}/conf/httpd.conf | /usr/bin/grep "ibm_app_server_http_module")`
      if [[ $? -eq 0 ]];
      then
         /usr/bin/echo "PASS: WAS PLUGIN DETECTED"
      else
         /usr/bin/echo "FAIL: WAS PLUGIN NOT DETECTED"
      fi
      TEMP=`(/usr/bin/cat ${HTTPDIR}/conf/httpd.conf | /usr/bin/grep "libexec/mod_ibm_ssl_128.so")`
      if [[ $? -eq 0 ]];
      then
         /usr/bin/echo "PASS: SSL ENABLED"
      else
         /usr/bin/echo "FAIL: SSL NOT ENABLED"
      fi
   else
      /usr/bin/echo "ERROR: ${HTTPDIR}/conf/httpd.conf is MISSING"
   fi
elif [[ $RETVAL -eq 1 || $RETVAL -eq 2 ]];
then

   if [ -f ${HTTPDIR}/version.signature ];
   then
      CURVERS=`( /usr/bin/cat ${HTTPDIR}/version.signature | awk '{print $4}')`
      if [[ "$CURVERS" = "$HTTPVERSION" ]];
      then
         echo "IBM HTTP SERVER"
         TEMP=`(echo "http_server.base.rte $CURVERS" | awk '{printf("%-10s Current: %-10s PASS\n",$1,$2)}')`
         echo "$TEMP"

         if [ -f ${HTTPDIR}/conf/httpd.conf ];
         then
            TEMP=`(/usr/bin/cat ${HTTPDIR}/conf/httpd.conf | /usr/bin/grep "ibm_app_server_http_module")`
            if [[ $? -eq 0 ]];
            then
               /usr/bin/echo "PASS: WAS PLUGIN DETECTED"
            else
               /usr/bin/echo "FAIL: WAS PLUGIN NOT DETECTED"
            fi
            TEMP=`(/usr/bin/cat ${HTTPDIR}/conf/httpd.conf | /usr/bin/grep "libexec/mod_ibm_ssl_128.so")`
            if [[ $? -eq 0 ]];
            then
               /usr/bin/echo "PASS: SSL ENABLED"
            else
               /usr/bin/echo "FAIL: SSL NOT ENABLED"
            fi
         else
            /usr/bin/echo "ERROR: ${HTTPDIR}/conf/httpd.conf is MISSING"
         fi

      else
         echo "IBM HTTP SERVER"
         TEMP=`(echo "http_server.base.rte $CURVERS" | awk '{printf("%-10s Current: %-10s FAIL\n",$1,$2)}')`
         echo "$TEMP  $HTTPVERSION"
         echo ""
         echo "** NOTE: An unsupported version of IBM HTTP Server was detected."
      fi
   else
      echo "IBM HTTP SERVER"
      CURVERS=`(lslpp -Lq | grep http_server.base.rte | awk '{print $2}')`
      TEMP=`(echo "http_server.base.rte $CURVERS" | awk '{printf("%-20s  %-12s  FAIL\n",$1,$2)}')`
      echo "$TEMP  $HTTPVERSION"
      echo ""
      echo "** NOTE: An unsupported version of IBM HTTP Server was detected."
   fi
   WEBSERVERFOUND=1
fi

if [ -d /usr/netscape/server4 ];
then
   if [ -f /usr/netscape/server4/setup/installed.pkg ];
   then
      TEMP=`(/usr/bin/grep "Edition=" /usr/netscape/server4/setup/installed.pkg | grep "Enterprise Edition" )`
      if [ $? -eq 0 ];
      then
         NESVER1=`(grep "Major Version" /usr/netscape/server4/setup/installed.pkg | /usr/bin/cut -d"=" -f2)`
         NESVER2=`(grep "Minor Version" /usr/netscape/server4/setup/installed.pkg | /usr/bin/cut -d"=" -f2)`

         echo "NETSCAPE iPLANET SERVER"

         if [ "$NESVER1.$NESVER2" != "4.1" ];
         then
            TEMP=`(echo "iPlanet-EE ????" | awk '{printf("%-20s  %-12s  FAIL\n",$1,$2)}')`
            echo "$TEMP  4.1"
         else
            TEMP=`(echo "iPlanet-EE 4.1" | awk '{printf("%-20s  %-12s  PASS\n",$1,$2)}')`
            echo "$TEMP"
            echo "** WARNING: iPlanet Enterprise Edition was detected. This is NOT supported on AIX"
            echo ""

            WEBSERVERFOUND=1
         fi
      fi
   fi
fi

if [ $WEBSERVERFOUND -ne 1 ];
then
   TEMP=`(echo "WEBSERVER NONE" | awk '{printf("%-20s  %-12s  FAIL\n",$1,$2)}')`
   echo "$TEMP  IBM HTTP Server/iPlanet"
   echo ""
   echo "** NOTE: No supported Web server was detected."
   echo ""
fi
echo ""

echo "========================================================="
echo "Commerce 5.1 Detection and Postinstall Checking"
echo "========================================================="

HardCheck Commerce.Base.rte 5.4.0.0
if [ $? -eq 3 ];
then
   echo ""
   echo "Commerce 5.4 NOT INSTALLED: Check Complete. Exiting...."
   echo ""
   exit 0;
fi

EDITION=`( /usr/bin/cat ${WCSDIR}/bin/build.txt | /usr/bin/awk -v FS=";" '{print $3}' | /usr/bin/awk '{print $2}')`
if [[ "${EDITION}" = "" ]];
then
   echo "---------------------------------------------------------"
   echo " EDITION: ERROR in build.txt file"
   echo "---------------------------------------------------------"
else
   echo "---------------------------------------------------------"
   echo " EDITION: $EDITION"
   echo "---------------------------------------------------------"
fi
echo ""

PASS=1
if [[ $DB2 -eq 1 ]];
then

   echo "---------------------------------------------------------"
   echo " Checking DB2 CLI PATCH "
   echo "---------------------------------------------------------"


   if [[ -f ${DB271HOME}/cfg/db2cli.ini ]];
   then
      TEMP=`(/usr/bin/cat ${DB271HOME}/cfg/db2cli.ini | /usr/bin/grep "PATCH2")`
      if [[ $? -eq 0 ]];
      then
         TEMP=`(/usr/bin/cat ${DB271HOME}/cfg/db2cli.ini | /usr/bin/grep "PATCH2" | /usr/bin/grep "30")`
         if [[ $? -ne 0 ]];
         then
            /usr/bin/echo "CLI PATCH2     FAIL     Missing 30"
            PASS=0
         fi
         TEMP=`(/usr/bin/cat ${DB271HOME}/cfg/db2cli.ini | /usr/bin/grep "PATCH2" | /usr/bin/grep "37")`
         if [[ $? -ne 0 ]];
         then
            /usr/bin/echo "CLI PATCH2     FAIL     Missing 37"
            PASS=0
         fi
         TEMP=`(/usr/bin/cat ${DB271HOME}/cfg/db2cli.ini | /usr/bin/grep "PATCH2" | /usr/bin/grep "38")`
         if [[ $? -ne 0 ]];
         then
            /usr/bin/echo "CLI PATCH2     FAIL     Missing 38"
            PASS=0
         fi
         
         if [[ $PASS -eq 1 ]];
         then
            /usr/bin/echo "CLI PATCH2     PASS"
         fi
      else
         /usr/bin/echo "CLI PATCH2     FAIL     Missing PATCH2 entries"
      fi
   else
      /usr/bin/echo "CLI PATCH2     FAIL     Missing ${DB271HOME}/cfg/db2cli.ini"
   fi 
   echo ""
fi

echo "---------------------------------------------------------"
echo "Check JIT Disable in startupServer.sh "
echo "---------------------------------------------------------"
if [ -f ${WASDIR}/bin/startupServer.sh ];
then
   TEMP=`(/usr/bin/cat ${WASDIR}/bin/startupServer.sh | grep "^JITC_COMPILEOPT=NINLINING")`
   if [ $? -ne 0 ];
   then
      echo "ERROR: JIT disabling not found in"
      echo "${WASDIR}/bin/startupServer.sh"
   else
      echo "PASS: JIT disabling found in"
      echo "${WASDIR}/bin/startupServer.sh"
   fi
else
   echo "ERROR: File not found"
   echo "${WASDIR}/bin/startupServer.sh"
fi
echo ""

echo "---------------------------------------------------------"
echo "Check Commerce Library Softlinks in /usr/lib "
echo "---------------------------------------------------------"
if [ -f /usr/lib/libwccache.a ]
then
   echo "PASS: Softlink found for lib51cache.a"
else
   echo "ERROR: Softlink not found for lib51cache.a"
fi
if [ -f /usr/lib/libwcslum.a ];
then
   echo "PASS: Softlink found for libwcslum.a"
else
   echo "ERROR: Softlink not found for libwcslum.a"
fi
if [ -f /usr/lib/libic_jni.a ];
then
   echo "PASS: Softlink found for libic_jni.a"
else
   echo "ERROR: Softlink not found for libic_jni.a"
fi
echo ""

echo "---------------------------------------------------------"
echo "Check java.security provider entry in WebSphere security"
echo "---------------------------------------------------------"
if [ -f ${WASDIR}/java/jre/lib/security/java.security ];
then
   TEMP=`(/usr/bin/grep "^security.provider.[0-9]=com.ibm.crypto.provider.IBMJCE" ${WASDIR}/java/jre/lib/security/java.security)`
   if [ $? -ne 0 ];
   then
      echo "FAIL: com.ibm.crypto.provider NOT found in"
      echo "${WASDIR}/java/jre/lib/security/java.security"
   else
      echo "PASS: com.ibm.crypto.provider found in"
      echo "${WASDIR}/java/jre/lib/security/java.security"
   fi
else
   echo "ERROR: File not found"
   echo "${WASDIR}/java/jre/lib/security/java.security"
fi
echo ""

echo "---------------------------------------------------------"
echo "Checking Commerce populatedb scripts and default.xml"
echo "---------------------------------------------------------"
if [ -f ${WCSDIR}/instances/default/xml/default.xml ];
then
   TEMP=`(/usr/bin/grep "DEFAULT_LANG"  ${WCSDIR}/instances/default/xml/default.xml)`
   if [ $? -eq 0 ];
   then
      echo "FAIL: DEFAULT_LANG variable not set in"
      echo "${WCSDIR}/instances/default/xml/default.xml"
   else
      echo "PASS: DEFAULT_LANG setting set in"
      echo "${WCSDIR}/instances/default/xml/default.xml"
   fi
else
   echo "ERROR: File not found"
   echo "${WCSDIR}/instances/default/xml/default.xml"
fi
if [ -f  ${WCSDIR}/bin/populatedb.db2.sh ];
then
   TEMP=`(/usr/bin/grep "LOCALE"  ${WCSDIR}/bin/populatedb.db2.sh)`
   if [ $? -eq 0 ];
   then
      echo "FAIL: LOCALE variable not set in"
      echo "${WCSDIR}/bin/populatedb.db2.sh"
   else
      echo "PASS: LOCALE setting set in"
      echo "${WCSDIR}/bin/populatedb.db2.sh"
   fi
else
   echo "ERROR: File not found"
   echo "${WCSDIR}/bin/populatedb.db2.sh"
fi
if [ -f  ${WCSDIR}/bin/populatedb.oracle.sh ];
then
   TEMP=`(/usr/bin/grep "LOCALE"  ${WCSDIR}/bin/populatedb.oracle.sh)`
   if [ $? -eq 0 ];
   then
      echo "FAIL: LOCALE variable not set in"
      echo "${WCSDIR}/bin/populatedb.oracle.sh"
   else
      echo "PASS: LOCALE setting set in"
      echo "${WCSDIR}/bin/populatedb.oracle.sh"
   fi
else
   echo "ERROR: File not found"
   echo "${WCSDIR}/bin/populatedb.oracle.sh"
fi
echo ""

echo "---------------------------------------------------------"
echo "Checking Commerce setenv.sh "
echo "---------------------------------------------------------"

if [ -f ${WCSDIR}/bin/setenv.sh ];
then
   TEMP=`(/usr/bin/grep "export NLS_LANG=AMERICAN_AMERICA.UTF8" ${WCSDIR}/bin/setenv.sh)`
   if [ $? -ne 0 ];
   then
      echo "FAIL: NLS_LANG and additional entries not in"
      echo "${WCSDIR}/bin/setenv.sh"
   else
      echo "PASS: NLS_LANG setting set in"
      echo "${WCSDIR}/bin/setenv.sh"
   fi

   if [ $O817 -eq 1 ];
   then
      TEMP=`(/usr/bin/grep "export ORACLE_HOME=$ORALOC" ${WCSDIR}/bin/setenv.sh)`
      if [ $? -ne 0 ];
      then
         echo "FAIL: Oracle detected but ORACLE_HOME not set in"
         echo "${WCSDIR}/bin/setenv.sh"
      else
         echo "PASS: Oracle detected and ORACLE_HOME set in"
         echo "${WCSDIR}/bin/setenv.sh"
      fi
   fi
else
   echo "ERROR: File not found"
   echo "${WCSDIR}/bin/setenv.sh"
fi

echo ""

echo "---------------------------------------------------------"
echo "Checking ivjfix.jar "
echo "---------------------------------------------------------"

if [[ -f ${WASDIR}/classes/ivjfix.jar ]];
then
   /usr/bin/echo "PASS: ${WASDIR}/classes/ivjfix.jar exists."
else
   /usr/bin/echo "FAIL: ${WASDIR}/classes/ivjfix.jar file not found."
fi

echo ""

echo "SCRIPT EXECUTION COMPLETED"
