#!/bin/ksh

#**********************************************************************
#*-------------------------------------------------------------------------------
#* Licensed Materials - Property of IBM
#*
#* 5724-A18
#*
#* (c) Copyright IBM Corp. 2000, 2001, 2002
#*
#* US Government Users Restricted Rights - Use, duplication or
#* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#*-------------------------------------------------------------------------------

#
# Doc multiple DB Group and wasuser
# Doc Domino non-root
# Doc that new non-root user needs for root to change passwd to unlock acct
# Doc what users/groups it creates
#

#
# In WCSDIR/logs dir
#
LOGFILE=wcpostinstall.log

EDITION=""
WCVERSION="5"
WCRELEASE="4"
WCFIXPACK="0"

OS_NAME=`uname`
OS_VERSION=""
HOST=`uname -n`
DOMAIN=""
BUILD=""
BUILDDATE=""

WCSDIR=""
WASDIR=""
WASVERSION=4.0.2
WASBUILD=a0150.05
WASDATE=12/18/2001

DB=1
O817=0
DBVERSION=7.1.0.55
ORACLEVER=8.1.7.2.0
DBDIR=""

PM=2
PMDIR=""

WEBSERVER=1
WEBDIR=""
HTTPVERSION=1.3.19.1
NESVERSION="x"
DOMINOVERSION="x"

NES80=""
NES443=""
NES8000=""

LOCALECODE="-1"
LOCALE="en_US"

DBUSER=db2inst1
DBUSERGROUP=db2iadm1

WEBUSER=nobody
WEBGROUP=nobody

RUNNONROOT=0
WCSUSER=wasuser
WCSGROUP=wasgroup
WASPORT=2222

USERHOME=/export/home

TIER="1"

#EFIX=0
INITIALIZEUSER=0

#
# ONLY 5.1.01 available for UNIX
#
MIGRATEFROM51=0
MIGRATEFROMPATH=""

ADMINCLASSPATH="com.ibm.ejs.sm.adminserver.classpath="

SILENT=0

#
# 0 =
# 1 >
# 2 <
# 3 NONE
#
AIXTokenCompare()
{
COUNT=1
CURVER=$1
CURVER1=`( echo $CURVER | awk -v FS="." '{print $1}')`
CURVER2=`( echo $CURVER | awk -v FS="." '{print $2}')`
CURVER3=`( echo $CURVER | awk -v FS="." '{print $3}')`
CURVER4=`( echo $CURVER | awk -v FS="." '{print $4}')`

REQVER=$2
REQVER1=`( echo $REQVER | awk -v FS="." '{print $1}')`
REQVER2=`( echo $REQVER | awk -v FS="." '{print $2}')`
REQVER3=`( echo $REQVER | awk -v FS="." '{print $3}')`
REQVER4=`( echo $REQVER | awk -v FS="." '{print $4}')`

while [ $COUNT -le 4 ]
do
   FOO="CURVER$COUNT"
   FOO2="REQVER$COUNT"
   if [ $FOO -lt $FOO2 ]
   then
      return 2
   else
      if [ $FOO -gt $FOO2 ]
      then
         return 1
      fi
   fi
COUNT=`expr $COUNT + 1`
done

return 0

}

AIXHardCheck()
{
FILESET=$1
REQVERS=$2
TEMP=`(lslpp -Lq | /usr/bin/grep $FILESET)`
if [ $? -ne 0 ]
then
   return 3
else
   CURVERS=`(lslpp -Lq | /usr/bin/grep $FILESET | /usr/bin/awk '{print $2}')`
   AIXTokenCompare $CURVERS $REQVERS
   return
fi
}


#
# 0 =
# 1 >
# 2 <
# 3 NONE
#
SUNTokenCompare()
{
COUNT=1
CURVER=$1
CURVER1=`( /usr/bin/echo $CURVER | /usr/bin/awk '{FS="."}{print $1}')`
if [ "$CURVER1" == "" ]
then
   CURVER1=0
fi
CURVER2=`( /usr/bin/echo $CURVER | /usr/bin/awk '{FS="."}{print $2}')`
if [ "$CURVER2" == "" ]
then
   CURVER2=0
fi
CURVER3=`( /usr/bin/echo $CURVER | /usr/bin/awk '{FS="."}{print $3}')`
if [ "$CURVER3" == "" ]
then
   CURVER3=0
fi
CURVER4=`( /usr/bin/echo $CURVER | /usr/bin/awk '{FS="."}{print $4}')`
if [ "$CURVER4" == "" ]
then
   CURVER4=0
fi

REQVER=$2
REQVER1=`( /usr/bin/echo $REQVER | /usr/bin/awk '{FS="."}{print $1}')`
if [ "$REQVER1" == "" ]
then
   REQVER1=0
fi
REQVER2=`( /usr/bin/echo $REQVER | /usr/bin/awk '{FS="."}{print $2}')`
if [ "$REQVER2" == "" ]
then
   REQVER2=0
fi
REQVER3=`( /usr/bin/echo $REQVER | /usr/bin/awk '{FS="."}{print $3}')`
if [ "$REQVER3" == "" ]
then
   REQVER3=0
fi
REQVER4=`( /usr/bin/echo $REQVER | /usr/bin/awk '{FS="."}{print $4}')`
if [ "$REQVER4" == "" ]
then
   REQVER4=0
fi

while [ $COUNT -le 4 ]
do
   FOO="CURVER$COUNT"
   FOO2="REQVER$COUNT"

   if [ $FOO -lt $FOO2 ]
   then
      return 2
   else
      if [ $FOO -gt $FOO2 ]
      then
         return 1
      fi
   fi
   COUNT=`expr $COUNT + 1`
done

return 0
}

SUNHardCheck()
{
FILESET=$1
REQVERS=$2
TEMP=`(pkginfo | /usr/bin/grep $FILESET)`
if [ $? -ne 0 ]
then
   return 3
else
   CURVERS=`(pkginfo -l $FILESET | /usr/bin/sed "5q;d" | /usr/bin/awk '{print $2}')`
   SUNTokenCompare $CURVERS $REQVERS
   return
fi
}

Doit()
{
      /usr/bin/echo "Modifying product.xml" | tee -a ${WCSDIR}/logs/${LOGFILE}

      if [[ -f ${WCSDIR}/xml/product.xml ]];
      then
         /usr/bin/echo "Backing up product.xml" | tee -a ${WCSDIR}/logs/${LOGFILE}
         /usr/bin/cp ${WCSDIR}/xml/product.xml ${WCSDIR}/xml/product.xml.bak
         /usr/bin/cp ${WCSDIR}/xml/product.xml ${WCSDIR}/xml/product.xml.temp
      else
         /usr/bin/echo "ERROR: product.xml not found. Expecting ${WCSDIR}/xml/product.xml" | tee -a ${WCSDIR}/logs/${LOGFILE}
         exit 1
      fi

      /usr/bin/sed "/<system>/,/<\/system>/ { /<type>/s/>[^<]*</>$OS_NAME</;  /<version>/s/>[^<]*</>$OS_VERSION</; /<hostname>/s/>[^<]*</>$HOST</; /<domain>/s/>[^<]*</>$DOMAIN</; }" ${WCSDIR}/xml/product.xml.temp > ${WCSDIR}/xml/product.xml

      if [[ "$EDITION" = "Professional" ]];
      then
         EDITION=Pro
      fi

      /usr/bin/sed "/<commerceserver>/,/<\/build>/ { /UNIQUEPLACEHOLDER/s/UNIQUEPLACEHOLDER/$EDITION/; /<version>/s/>[^<]*</>$WCVERSION</; /<release>/s/>[^<]*</>$WCRELEASE</; /<modification>/s/>[^<]*</>$WCFIXPACK</; /<number>/s/>[^<]*</>$BUILD</; /<date>/s/>[^<]*</>$BUILDDATE</; }" ${WCSDIR}/xml/product.xml > ${WCSDIR}/xml/product.xml.temp

      #
      # special escape chars for both the sed and the echo as the '\' is also a special char in echo
      #
      TEMP=`(/usr/bin/echo $WASDIR | /usr/bin/sed "s|\/|\\\\\/|g")`
      /usr/bin/echo "Setting WAS install path and default" | tee -a ${WCSDIR}/logs/${LOGFILE}
      /usr/bin/sed "/<name>Websphere Application Server<\/name>/,/<\/appserver>/ { /<default>/s/>[^<]*</>1</; /<path>/s/>[^<]*</>$TEMP</; }" ${WCSDIR}/xml/product.xml.temp > ${WCSDIR}/xml/product.xml

      TEMP=`(/usr/bin/echo $WASDIR/java | /usr/bin/sed "s|\/|\\\\\/|g")`
      /usr/bin/echo "Setting WAS JDK install path and default" | tee -a ${WCSDIR}/logs/${LOGFILE}
      /usr/bin/sed "/<name>IBM JDK<\/name>/,/<\/JDK>/ { /<default>/s/>[^<]*</>1</; /<path>/s/>[^<]*</>$TEMP</; }" ${WCSDIR}/xml/product.xml > ${WCSDIR}/xml/product.xml.temp

      /usr/bin/echo "Setting DB version, install path, and default <$DB $DBDIR>" | tee -a ${WCSDIR}/logs/${LOGFILE}

      if [[ $DB -eq 1 ]];
      then

         REQVER=$DBVERSION

         if [[ "$OS_NAME" = "AIX" ]];
         then
            REQVER1=`( /usr/bin/echo $REQVER | /usr/bin/awk -v FS="." '{print $1}')`
            REQVER2=`( /usr/bin/echo $REQVER | /usr/bin/awk -v FS="." '{print $2}')`
            REQVER3=`( /usr/bin/echo $REQVER | /usr/bin/awk -v FS="." '{print $3}')`
            REQVER4=`( /usr/bin/echo $REQVER | /usr/bin/awk -v FS="." '{print $4}')`
         elif [[ "$OS_NAME" = "SunOS" || "$OS_NAME" = "Solaris" ]];
         then
            REQVER1=`( /usr/bin/echo $REQVER | /usr/bin/awk '{FS="."}{print $1}')`
            if [ "$REQVER1" == "" ]
            then
               REQVER1=0
             fi
            REQVER2=`( /usr/bin/echo $REQVER | /usr/bin/awk '{FS="."}{print $2}')`
            if [ "$REQVER2" == "" ]
            then
               REQVER2=0
            fi
            REQVER3=`( /usr/bin/echo $REQVER | /usr/bin/awk '{FS="."}{print $3}')`
            if [ "$REQVER3" == "" ]
            then
               REQVER3=0
            fi
            REQVER4=`( /usr/bin/echo $REQVER | /usr/bin/awk '{FS="."}{print $4}')`
            if [ "$REQVER4" == "" ]
            then
               REQVER4=0
            fi
         else
            /usr/bin/echo "Unsupported platform: $OS_NAME" | tee -a ${WCSDIR}/logs/${LOGFILE}
            /usr/bin/echo "Exiting ..." | tee -a ${WCSDIR}/logs/${LOGFILE}
            exit 1
         fi

         TEMP=`(/usr/bin/echo $DBDIR | /usr/bin/sed "s|\/|\\\\\/|g")`

         /usr/bin/sed "/<name>DB2<\/name>/,/<\/database>/ { /<version>/s/>[^<]*</>$REQVER1</; /<release>/s/>[^<]*</>$REQVER2</; /<modification>/s/>[^<]*</>$REQVER3</; /<fixpak>/s/>[^<]*</>$REQVER4</; /<default>/s/>[^<]*</>1</; /<path>/s/>[^<]*</>$TEMP</; }" ${WCSDIR}/xml/product.xml.temp > ${WCSDIR}/xml/product.xml
         /usr/bin/sed "/<name>ORACLE<\/name>/,/<\/database>/ { /<default>/s/>[^<]*</></; }" ${WCSDIR}/xml/product.xml > ${WCSDIR}/xml/product.xml.temp

      elif [[ $DB -eq 2 ]];
      then
         TEMP=`(/usr/bin/echo $DBDIR | /usr/bin/sed "s|\/|\\\\\/|g")`
         /usr/bin/sed "/<name>ORACLE<\/name>/,/<\/database>/ { /<version>/s/>[^<]*</>$ORACLEVER</; /<default>/s/>[^<]*</>1</; /<path>/s/>[^<]*</>$TEMP</; }" ${WCSDIR}/xml/product.xml.temp > ${WCSDIR}/xml/product.xml
         /usr/bin/sed "/<name>DB2<\/name>/,/<\/database>/ { /<default>/s/>[^<]*</></; }" ${WCSDIR}/xml/product.xml > ${WCSDIR}/xml/product.xml.temp
      else
         /usr/bin/echo "ERROR: Invalid DB selection $DB" | tee -a ${WCSDIR}/logs/${LOGFILE}
         exit 1
      fi

      /usr/bin/echo "Setting WEBSERVER install path and default <$WEBSERVER $WEBDIR>" | tee -a ${WCSDIR}/logs/${LOGFILE}
      if [[ $WEBSERVER -eq 1 ]];
      then
         TEMP=`(/usr/bin/echo $WEBDIR | /usr/bin/sed "s|\/|\\\\\/|g")`
         /usr/bin/sed "/<name>IHS<\/name>/,/<\/webserver>/ { /<version>/s/>[^<]*</>$HTTPVERSION</; /<default>/s/>[^<]*</>1</; /<path>/s/>[^<]*</>$TEMP</; }" ${WCSDIR}/xml/product.xml.temp > ${WCSDIR}/xml/product.xml
         /usr/bin/sed "/<name>IPLANET<\/name>/,/<\/webserver>/ { /<version>/s/>[^<]*</>$NESVERSION</; /<default>/s/>[^<]*</></; }" ${WCSDIR}/xml/product.xml > ${WCSDIR}/xml/product.xml.temp
         /usr/bin/sed "/<name>DOMINO<\/name>/,/<\/webserver>/ { /<version>/s/>[^<]*</>$DOMINOVERSION</; /<default>/s/>[^<]*</></; }" ${WCSDIR}/xml/product.xml.temp > ${WCSDIR}/xml/product.xml
      elif [[ $WEBSERVER -eq 2 ]];
      then
         TEMP=`(/usr/bin/echo $WEBDIR | /usr/bin/sed "s|\/|\\\\\/|g")`
         /usr/bin/sed "/<name>IPLANET<\/name>/,/<\/webserver>/ { /<version>/s/>[^<]*</>$NESVERSION</; /<default>/s/>[^<]*</>1</; /<path>/s/>[^<]*</>$TEMP</; }" ${WCSDIR}/xml/product.xml.temp > ${WCSDIR}/xml/product.xml
         /usr/bin/sed "/<name>IHS<\/name>/,/<\/webserver>/ { /<version>/s/>[^<]*</>$HTTPVERSION</; /<default>/s/>[^<]*</></; }" ${WCSDIR}/xml/product.xml > ${WCSDIR}/xml/product.xml.temp
         /usr/bin/sed "/<name>DOMINO<\/name>/,/<\/webserver>/ { /<version>/s/>[^<]*</>$DOMINOVERSION</; /<default>/s/>[^<]*</></; }" ${WCSDIR}/xml/product.xml.temp > ${WCSDIR}/xml/product.xml
      elif [[ $WEBSERVER -eq 3 ]];
      then
         TEMP=`(/usr/bin/echo $WEBDIR | /usr/bin/sed "s|\/|\\\\\/|g")`
         /usr/bin/sed "/<name>DOMINO<\/name>/,/<\/webserver>/ { /<version>/s/>[^<]*</>$DOMINOVERSION</; /<default>/s/>[^<]*</>1</; /<path>/s/>[^<]*</>$TEMP</; }" ${WCSDIR}/xml/product.xml.temp > ${WCSDIR}/xml/product.xml
         /usr/bin/sed "/<name>IHS<\/name>/,/<\/webserver>/ { /<version>/s/>[^<]*</>$HTTPVERSION</; /<default>/s/>[^<]*</></; }" ${WCSDIR}/xml/product.xml > ${WCSDIR}/xml/product.xml.temp
         /usr/bin/sed "/<name>IPLANET<\/name>/,/<\/webserver>/ { /<version>/s/>[^<]*</>$NESVERSION</; /<default>/s/>[^<]*</></; }" ${WCSDIR}/xml/product.xml.temp > ${WCSDIR}/xml/product.xml
      elif [[ $WEBSERVER -eq 4 ]];
      then
         /usr/bin/sed "/<name>DOMINO<\/name>/,/<\/webserver>/ { /<default>/s/>[^<]*</></; }" ${WCSDIR}/xml/product.xml.temp > ${WCSDIR}/xml/product.xml
         /usr/bin/sed "/<name>IHS<\/name>/,/<\/webserver>/ { /<default>/s/>[^<]*</></; }" ${WCSDIR}/xml/product.xml > ${WCSDIR}/xml/product.xml.temp
         /usr/bin/sed "/<name>IPLANET<\/name>/,/<\/webserver>/ { /<default>/s/>[^<]*</></; }" ${WCSDIR}/xml/product.xml.temp > ${WCSDIR}/xml/product.xml
      else
         /usr/bin/echo "ERROR: Invalid WEBSERVER selection $WEBSERVER" | tee -a ${WCSDIR}/logs/${LOGFILE}
         exit 1
      fi

      if [[ $PM -eq 1 ]];
      then
         /usr/bin/echo "Setting Payment Manager install path and default <$PM>" | tee -a ${WCSDIR}/logs/${LOGFILE}
         TEMP=`(/usr/bin/echo $PMDIR | /usr/bin/sed "s|\/|\\\\\/|g")`
         /usr/bin/sed "/<name>Payment Manager<\/name>/,/<\/PM>/ { /<default>/s/>[^<]*</>1</; /<path>/s/>[^<]*</>$TEMP</; }" ${WCSDIR}/xml/product.xml > ${WCSDIR}/xml/product.xml.temp
      else
         /usr/bin/sed "/<name>Payment Manager<\/name>/,/<\/PM>/ { /<default>/s/>[^<]*</></; }" ${WCSDIR}/xml/product.xml > ${WCSDIR}/xml/product.xml.temp
      fi

      TEMP=`(/usr/bin/echo $WCSDIR | /usr/bin/sed "s|\/|\\\\\/|g")`
      /usr/bin/sed "/<name>IBM WebSphere Commerce Server<\/name>/,/<\/commerceserver>/ { /<path>/s/>[^<]*</>$TEMP</; /<TierSelected>/s/>[^<]*</>$TIER</; }" ${WCSDIR}/xml/product.xml.temp > ${WCSDIR}/xml/product.xml

      #/usr/bin/cp ${WCSDIR}/xml/product.xml.temp ${WCSDIR}/xml/product.xml
      if [[ $MIGRATEFROM51 -eq 1 ]];
      then
         TEMP=`(/usr/bin/echo $MIGRATEFROMPATH | /usr/bin/sed "s|\/|\\\\\/|g")`
         /usr/bin/sed "/<migrationFrom>/,/<\/migrationFrom>/ { /name>/s/>[^<]*</>Pro</; /<version>/s/>[^<]*</>5</; /<release>/s/>[^<]*</>1</; /<modification>/s/>[^<]*</>0.1</; /<path>/s/>[^<]*</>$TEMP</; }" ${WCSDIR}/xml/product.xml > ${WCSDIR}/xml/product.xml.temp
         /usr/bin/cp ${WCSDIR}/xml/product.xml.temp ${WCSDIR}/xml/product.xml
      fi
      /usr/bin/rm ${WCSDIR}/xml/product.xml.temp

      /usr/bin/echo "${WCSDIR}/xml/product.xml modified successfully" | tee -a ${WCSDIR}/logs/${LOGFILE}


      #
      # Locale specific changes here
      #
      if [[ -f ${WCSDIR}/instances/default/xml/default.xml ]];
      then
         TEMP=`(/usr/bin/grep "DEFAULT_LANG" ${WCSDIR}/instances/default/xml/default.xml)`
         if [[ $? -eq 0 ]];
         then
            /usr/bin/echo "Modifying default.xml" | tee -a ${WCSDIR}/logs/${LOGFILE}
            /usr/bin/cp ${WCSDIR}/instances/default/xml/default.xml ${WCSDIR}/instances/default/xml/default.xml.orig
            /usr/bin/chmod 400 ${WCSDIR}/instances/default/xml/default.xml.orig

            if [[ $RUNNONROOT -eq 1 ]];
            then
               /usr/bin/sed "s|DEFAULT_LANG|$LOCALECODE|g" ${WCSDIR}/instances/default/xml/default.xml.orig | /usr/bin/sed "s|INSTALL_LOCALE|$LOCALE|" | /usr/bin/sed "s|port=\"900\"|port=\"$WASPORT\"|" > ${WCSDIR}/instances/default/xml/default.xml
            else
               /usr/bin/sed "s|DEFAULT_LANG|$LOCALECODE|g" ${WCSDIR}/instances/default/xml/default.xml.orig | /usr/bin/sed "s|INSTALL_LOCALE|$LOCALE|" > ${WCSDIR}/instances/default/xml/default.xml
            fi

         else
            if [[ -f ${WCSDIR}/instances/default/xml/default.xml.orig ]];
            then
               /usr/bin/echo "default.xml has Language settings already. Using saved original as template" | tee -a ${WCSDIR}/logs/${LOGFILE}
               /usr/bin/cp ${WCSDIR}/instances/default/xml/default.xml ${WCSDIR}/instances/default/xml/default.xml.$$

               if [[ $RUNNONROOT -eq 1 ]];
               then
                  /usr/bin/sed "s|DEFAULT_LANG|$LOCALECODE|g" ${WCSDIR}/instances/default/xml/default.xml.orig | /usr/bin/sed "s|INSTALL_LOCALE|$LOCALE|" | /usr/bin/sed "s|port=\"900\"|port=\"$WASPORT\"|" > ${WCSDIR}/instances/default/xml/default.xml
               else
                  /usr/bin/sed "s|DEFAULT_LANG|$LOCALECODE|g" ${WCSDIR}/instances/default/xml/default.xml.orig | /usr/bin/sed "s|INSTALL_LOCALE|$LOCALE|" > ${WCSDIR}/instances/default/xml/default.xml
               fi

            else
               /usr/bin/echo "ERROR: Skipped modifying default.xml as template default.xml.orig did not exist" | tee -a ${WCSDIR}/logs/${LOGFILE}
            fi
         fi
      else
         /usr/bin/echo "File not found present at install time: default.xml" | tee -a ${WCSDIR}/logs/${LOGFILE}
      fi

      if [[ -f ${WCSDIR}/bin/populatedb.db2.sh ]];
      then
         TEMP=`(/usr/bin/grep "LOCALE" ${WCSDIR}/bin/populatedb.db2.sh)`
         if [[ $? -eq 0 ]];
         then
            /usr/bin/echo "Modifying populatedb.db2.sh" | tee -a ${WCSDIR}/logs/${LOGFILE}
            /usr/bin/cp ${WCSDIR}/bin/populatedb.db2.sh ${WCSDIR}/bin/populatedb.db2.sh.orig
            /usr/bin/chmod 400 ${WCSDIR}/bin/populatedb.db2.sh.orig

            /usr/bin/sed "s|LOCALE|$LOCALE|g" ${WCSDIR}/bin/populatedb.db2.sh.orig > ${WCSDIR}/bin/populatedb.db2.sh
         else
            if [[ -f ${WCSDIR}/bin/populatedb.db2.sh.orig ]];
            then
               /usr/bin/echo "populatedb.db2.sh has Language settings already. Using saved original as template." | tee -a ${WCSDIR}/logs/${LOGFILE}
               /usr/bin/cp ${WCSDIR}/bin/populatedb.db2.sh ${WCSDIR}/bin/populatedb.db2.sh.$$
               /usr/bin/sed "s|LOCALE|$LOCALE|g" ${WCSDIR}/bin/populatedb.db2.sh.orig > ${WCSDIR}/bin/populatedb.db2.sh
            else
               /usr/bin/echo "ERROR: Skipped modifying populatedb.db2.sh as template populatedb.db2.sh.orig did not exist" | tee -a ${WCSDIR}/logs/${LOGFILE}
            fi
         fi
      else
         /usr/bin/echo "File not found present at install time: populatedb.db2.sh" | tee -a ${WCSDIR}/logs/${LOGFILE}
      fi

      if [[ -f ${WCSDIR}/bin/populatedb.oracle.sh ]];
      then
         TEMP=`(/usr/bin/grep "LOCALE" ${WCSDIR}/bin/populatedb.oracle.sh)`
         if [[ $? -eq 0 ]];
         then
            /usr/bin/echo "Modifying populatedb.oracle.sh" | tee -a ${WCSDIR}/logs/${LOGFILE}
            /usr/bin/cp ${WCSDIR}/bin/populatedb.oracle.sh ${WCSDIR}/bin/populatedb.oracle.sh.orig
            /usr/bin/chmod 400 ${WCSDIR}/bin/populatedb.oracle.sh.orig

            /usr/bin/sed "s|LOCALE|$LOCALE|g" ${WCSDIR}/bin/populatedb.oracle.sh.orig > ${WCSDIR}/bin/populatedb.oracle.sh
         else
           if [[ -f ${WCSDIR}/bin/populatedb.oracle.sh.orig ]];
           then
               /usr/bin/echo "populatedb.oracle.sh has Language settings already. Using saved original as template" | tee -a ${WCSDIR}/logs/${LOGFILE}
               /usr/bin/cp ${WCSDIR}/bin/populatedb.oracle.sh ${WCSDIR}/bin/populatedb.oracle.sh.$$
               /usr/bin/sed "s|LOCALE|$LOCALE|g" ${WCSDIR}/bin/populatedb.oracle.sh.orig > ${WCSDIR}/bin/populatedb.oracle.sh
           else
              /usr/bin/echo "ERROR: Skipped modifying populatedb.oracle.sh as template populatedb.oracle.sh.orig did not exist" | tee -a ${WCSDIR}/logs/${LOGFILE}
           fi
         fi
      else
         /usr/bin/echo "File not found present at install time: populatedb.oracle.sh" | tee -a ${WCSDIR}/logs/${LOGFILE}
      fi

      /usr/bin/echo "Copy properties files with locale:$LOCALE .. this may take a few moments" | tee -a ${WCSDIR}/logs/${LOGFILE}

      #
      # Following assumes naming convention of myfile_en_US.extension where the LOCALE is at end of name
      #
      if [[ "$OS_NAME" = "AIX" ]];
      then
         for FILENAME in `(/usr/bin/find ${WCSDIR} | /usr/bin/grep ${LOCALE}.properties )`;
         do
            TEMP=`(/usr/bin/echo $FILENAME | /usr/bin/awk -v FS="_" '{print NF}')`
            TEMP=`(expr $TEMP - 2)`
            NEWFILE=`(/usr/bin/echo $FILENAME | /usr/bin/cut -f1-$TEMP -d_ )`

            /usr/bin/cp ${NEWFILE}_${LOCALE}.properties ${NEWFILE}.properties
            #/usr/bin/echo "${NEWFILE}_${LOCALE}.properties to $NEWFILE.properties"
         done
      elif [[ "$OS_NAME" = "SunOS" || "$OS_NAME" = "Solaris" ]];
      then
         for FILENAME in `(/usr/bin/find ${WCSDIR} | /usr/bin/grep ${LOCALE}.properties )`;
         do
            TEMP=`(/usr/bin/echo $FILENAME | /usr/bin/awk -F_ '{print NF}')`
            TEMP=`(expr $TEMP - 2)`
            NEWFILE=`(/usr/bin/echo $FILENAME | /usr/bin/cut -f1-$TEMP -d_ )`

            /usr/bin/cp ${NEWFILE}_${LOCALE}.properties ${NEWFILE}.properties
            #/usr/bin/echo "${NEWFILE}_${LOCALE}.properties to $NEWFILE.properties"
         done
      else
         /usr/bin/echo "Unsupported platform: $OS_NAME" | tee -a ${WCSDIR}/logs/${LOGFILE}
         /usr/bin/echo "Exiting ..." | tee -a ${WCSDIR}/logs/${LOGFILE}
         exit 1
      fi

      if [[ -f ${WCSDIR}/bin/setenv.sh ]];
      then

         if [[ $DB -eq 2 ]];
         then
            /usr/bin/echo "Modifying setenv.sh for ORACLE_HOME" | tee -a ${WCSDIR}/logs/${LOGFILE}
            /usr/bin/cp ${WCSDIR}/bin/setenv.sh ${WCSDIR}/bin/setenv.sh.orig
            /usr/bin/echo "Back up of setenv.sh to ${WCSDIR}/bin/setenv.sh.orig" | tee -a ${WCSDIR}/logs/${LOGFILE}
            # Only set it if the var not set yet (for whatever reason)
            /usr/bin/sed "s|ORACLE_HOME=$|ORACLE_HOME=$DBDIR|g" ${WCSDIR}/bin/setenv.sh.orig > ${WCSDIR}/bin/setenv.sh
            /usr/bin/echo "Set ORACLE_HOME to $DBDIR"
         fi

         TEMP=`(/usr/bin/cat ${WCSDIR}/bin/setenv.sh | /usr/bin/grep "nls_charset12.zip")`
         if [[ $? -ne 0 ]];
         then
            /usr/bin/echo "Adding lib and nls entries to setenv.sh" | tee -a ${WCSDIR}/logs/${LOGFILE}
            /usr/bin/echo "export NLS_LANG=AMERICAN_AMERICA.UTF8" >> ${WCSDIR}/bin/setenv.sh
            /usr/bin/echo "CLASSPATH=\$ORACLE_HOME/jdbc/lib/classes12.zip:\$CLASSPATH" >> ${WCSDIR}/bin/setenv.sh
            /usr/bin/echo "CLASSPATH=\$ORACLE_HOME/jdbc/lib/nls_charset12.zip:\$CLASSPATH" >> ${WCSDIR}/bin/setenv.sh
            /usr/bin/echo "export CLASSPATH" >> ${WCSDIR}/bin/setenv.sh
         else
            /usr/bin/echo "setenv.sh settings present, no changes made" | tee -a ${WCSDIR}/logs/${LOGFILE}
         fi

         #
         # Set WAS HOME as well as DB2 HOME
         #
         if [[ "$OS_NAME" = "AIX" ]];
         then
            /usr/bin/echo "Modifying setenv.sh for WAS_HOME" | tee -a ${WCSDIR}/logs/${LOGFILE}
            /usr/bin/cp ${WCSDIR}/bin/setenv.sh ${WCSDIR}/bin/setenv.sh.$$
            /usr/bin/sed "s|^AIX_WAS_HOME=\(.*\)$|AIX_WAS_HOME=\"${WASDIR}\"|g" ${WCSDIR}/bin/setenv.sh.$$ > ${WCSDIR}/bin/setenv.sh
            /usr/bin/rm ${WCSDIR}/bin/setenv.sh.$$
            /usr/bin/echo "Set WAS_HOME to ${WASDIR}" | tee -a ${WCSDIR}/logs/${LOGFILE}

            if [[ $DB -eq 1 ]];
            then
               /usr/bin/echo "Modifying setenv.sh for DB2_HOME" | tee -a ${WCSDIR}/logs/${LOGFILE}
               /usr/bin/cp ${WCSDIR}/bin/setenv.sh ${WCSDIR}/bin/setenv.sh.$$
               /usr/bin/sed "s|^AIX_DB2_HOME=\(.*\)$|AIX_DB2_HOME=\"${DBDIR}\"|g" ${WCSDIR}/bin/setenv.sh.$$ > ${WCSDIR}/bin/setenv.sh
               /usr/bin/rm ${WCSDIR}/bin/setenv.sh.$$
               /usr/bin/echo "Set DB2_HOME to ${DBDIR}" | tee -a ${WCSDIR}/logs/${LOGFILE}
            fi

         elif [[ "$OS_NAME" = "SunOS" || "$OS_NAME" = "Solaris" ]];
         then
            /usr/bin/echo "Modifying setenv.sh for WAS_HOME" | tee -a ${WCSDIR}/logs/${LOGFILE}
            /usr/bin/cp ${WCSDIR}/bin/setenv.sh ${WCSDIR}/bin/setenv.sh.$$
            /usr/bin/sed "s|^SUN_WAS_HOME=\(.*\)$|SUN_WAS_HOME=\"${WASDIR}\"|g" ${WCSDIR}/bin/setenv.sh.$$ > ${WCSDIR}/bin/setenv.sh
            /usr/bin/rm ${WCSDIR}/bin/setenv.sh.$$
            /usr/bin/echo "Set WAS_HOME to ${WASDIR}" | tee -a ${WCSDIR}/logs/${LOGFILE}

            if [[ $DB -eq 1 ]];
            then
               /usr/bin/echo "Modifying setenv.sh for DB2_HOME" | tee -a ${WCSDIR}/logs/${LOGFILE}
               /usr/bin/cp ${WCSDIR}/bin/setenv.sh ${WCSDIR}/bin/setenv.sh.$$
               /usr/bin/sed "s|^SUN_DB2_HOME=\(.*\)$|SUN_DB2_HOME=\"${DBDIR}\"|g" ${WCSDIR}/bin/setenv.sh.$$ > ${WCSDIR}/bin/setenv.sh
               /usr/bin/rm ${WCSDIR}/bin/setenv.sh.$$
               /usr/bin/echo "Set DB2_HOME to ${DBDIR}" | tee -a ${WCSDIR}/logs/${LOGFILE}
            fi

         else
            /usr/bin/echo "Unsupported platform: $OS_NAME" | tee -a ${WCSDIR}/logs/${LOGFILE}
            /usr/bin/echo "Exiting ..." | tee -a ${WCSDIR}/logs/${LOGFILE}
            exit 1
         fi

      else
         /usr/bin/echo "File not found present at install time: setenv.sh" | tee -a ${WCSDIR}/logs/${LOGFILE}
      fi

      #
      # Clean up any tmp files left in the /tmp dir
      #
      if [[ -f /tmp/dummy.txt ]];
      then
         /usr/bin/rm /tmp/dummy.txt
      fi
      if [[ -f /tmp/dummy.txt.bak ]];
      then
         /usr/bin/rm /tmp/dummy.txt.bak
      fi
      if [[ -f /tmp/wrapper.sh ]];
      then
         /usr/bin/rm /tmp/wrapper.sh
      fi
      TEMP=`(/usr/bin/ls /tmp | /usr/bin/grep mypopulatedb)`
      if [[ $? -eq 0 ]];
      then
         /usr/bin/rm /tmp/mypopulatedb*
      fi
      TEMP=`(/usr/bin/ls /tmp | /usr/bin/grep mycreatedb)`
      if [[ $? -eq 0 ]];
      then
         /usr/bin/rm /tmp/mycreatedb*
      fi
      TEMP=`(/usr/bin/ls /tmp | /usr/bin/grep tmpCreate)`
      if [[ $? -eq 0 ]];
      then
         /usr/bin/rm /tmp/tmpCreate*
      fi


      #
      # WAS 4.0
      #
      if [[ -f ${WCSDIR}/lib/ivjfix.jar ]];
      then
         if [[ -d ${WASDIR}/classes ]];
         then
            /usr/bin/echo "Copying ${WCSDIR}/lib/ivjfix.jar to ${WASDIR}/classes" | tee -a ${WCSDIR}/logs/${LOGFILE}
            /usr/bin/cp ${WCSDIR}/lib/ivjfix.jar ${WASDIR}/classes/ivjfix.jar
         else
            /usr/bin/echo "No ${WASDIR}/classes dir exists. Skipping ivjfix.jar copy" | tee -a ${WCSDIR}/logs/${LOGFILE}
         fi
      else
         /usr/bin/echo "No ${WCSDIR}/lib/ivjfix.jar exists. Skipping ivjfix.jar copy" | tee -a ${WCSDIR}/logs/${LOGFILE}
      fi

#
# Exists as defaults in WAS 4.0 but leave code in for now
#
#      if [[ -f ${WASDIR}/java/jre/lib/security/java.security ]];
#      then
#         TEMP=`(/usr/bin/cat ${WASDIR}/java/jre/lib/security/java.security | /usr/bin/grep "^security.provider.[0-9]=com.ibm.crypto.provider.IBMJCE")`
#         if [[ $? -ne 0 ]];
#         then
#            /usr/bin/cp ${WASDIR}/java/jre/lib/security/java.security ${WASDIR}/java/jre/lib/security/java.security.$$
#            COUNT=`(/usr/bin/cat ${WASDIR}/java/jre/lib/security/java.security | /usr/bin/grep -c "^security.provider.[0-9]")`
#            NEWCOUNT=`expr $COUNT + 1`
#            if [[ $COUNT -gt 0 ]];
#            then
#               /usr/bin/echo "Adding entry to java.security file provider:$NEWCOUNT"
#               /usr/bin/sed "/^security.provider.$COUNT=/{G;s/$/security.provider.$NEWCOUNT=com.ibm.crypto.provider.IBMJCE/;}" ${WASDIR}/java/jre/lib/security/java.security.$$ > ${WASDIR}/java/jre/lib/security/java.security
#            else
#               # Strange one here... no security provider ... I won't fail. Add ours to end but there should be default one from WAS JDK
#               /usr/bin/echo "No entries exist for any provider in java.security file adding provider:$NEWCOUNT"
#               /usr/bin/echo "security.provider.$NEWCOUNT=com.ibm.crypto.provider.IBMJCE" >> ${WASDIR}/java/jre/lib/security/java.security
#            fi
#         else
#            /usr/bin/echo "Entry exists in java.security file"
#         fi
#      else
#         /usr/bin/echo "File not found present at install time: java.security"
#      fi

#
# Disable as it is doc'd. Else they need to reapply plug-in again
#
#      #
#      # Copy HTTP httpd.conf.sample to allow secure port access
#      #
#      if [[ $WEBSERVER -eq 1 ]];
#      then
#         /usr/bin/echo "Copying httpd.conf.sample over. Backed up to ${WEBDIR}/conf/httpd.conf.$$" | tee -a ${WCSDIR}/logs/${LOGFILE}
#         /usr/bin/cp ${WEBDIR}/conf/httpd.conf ${WEBDIR}/conf/httpd.conf.$$
#         /usr/bin/cp ${WEBDIR}/conf/httpd.conf.sample ${WEBDIR}/conf/httpd.conf
#      fi

#      if [[ $EFIX -eq 1 ]];
#      then
#         /usr/bin/echo "Calling EFIX install script" | tee -a ${WCSDIR}/logs/${LOGFILE}
#         . ${WCSDIR}/bin/wc54efixunix.sh
#      fi

      #
      # Modify startupServer.sh to disable JIT on AIX only
      #
      if [[ "$OS_NAME" = "AIX" ]];
      then
         if [[ -f ${WASDIR}/bin/startupServer.sh ]];
         then

            TEMP=`(/usr/bin/cat ${WASDIR}/bin/startupServer.sh | /usr/bin/grep "^JITC_COMPILEOPT=NINLINING")`
            if [[ $? -ne 0 ]];
            then

               /usr/bin/echo "Disabling JIT for AIX in ${WASDIR}/bin/startupServer.sh" | tee -a ${WCSDIR}/logs/${LOGFILE}
               /usr/bin/cp ${WASDIR}/bin/startupServer.sh ${WASDIR}/bin/startupServer.sh.$$

               /usr/bin/sed '/WAS_HOME=/i\
JITC_COMPILEOPT=NINLINING\
export JITC_COMPILEOPT' ${WASDIR}/bin/startupServer.sh.$$ > ${WASDIR}/bin/startupServer.sh
            else
               /usr/bin/echo "JIT disabling detected. No changes made in ${WASDIR}/bin/startupServer.sh" | tee -a ${WCSDIR}/logs/${LOGFILE}
            fi

         else
            /usr/bin/echo "ERROR: No JIT disabling. File not found: ${WASDIR}/bin/startupServer.sh" | tee -a ${WCSDIR}/logs/${LOGFILE}
         fi 
      fi

      #
      # Modify WCALoggerConfig.xml to add full path names to messages and trace
      #
      if [[ -f ${WCSDIR}/xml/loader/WCALoggerConfig.xml ]];
      then

         TEMP=`(/usr/bin/cat ${WCSDIR}/xml/loader/WCALoggerConfig.xml | /usr/bin/grep ">trace.txt<")`
         if [[ $? -ne 0 ]];
         then
            /usr/bin/echo "Adding full path for trace and messages.txt in ${WCSDIR}/xml/loader/WCALoggerConfig.xml" | tee -a ${WCSDIR}/logs/${LOGFILE}
            /usr/bin/cp ${WCSDIR}/xml/loader/WCALoggerConfig.xml ${WCSDIR}/xml/loader/WCALoggerConfig.xml.$$
            /usr/bin/sed "s|>trace.txt<|>${WCSDIR}/logs/trace.txt<|g" ${WCSDIR}/xml/loader/WCALoggerConfig.xml.$$ | /usr/bin/sed "s|>messages.txt<|>${WCSDIR}/logs/messages.txt<|g" > ${WCSDIR}/xml/loader/WCALoggerConfig.xml
         else
            /usr/bin/echo "Path for trace and messages.txt detected. No changes made in ${WCSDIR}/xml/loader/WCALoggerConfig.xml" | tee -a ${WCSDIR}/logs/${LOGFILE}
         fi
      else
         /usr/bin/echo "ERROR: File not found ${WCSDIR}/xml/loader/WCALoggerConfig.xml" | tee -a ${WCSDIR}/logs/${LOGFILE}
      fi 

      #
      # Clean up Payment Manager
      #
      if [[ $PM -eq 1 ]];
      then
         if [[ -f ${PMDIR}/.payment ]];
         then
            /usr/bin/rm ${PMDIR}/.payment
         fi
      fi

      /usr/bin/echo "Changing Permission and Ownership Setting for WC 5.4" | tee -a ${WCSDIR}/logs/${LOGFILE}

      if [[ $RUNNONROOT -eq 1 ]];
      then

         #
         # Create Users and Groups or mod if present
         #
         if [[ "$OS_NAME" = "AIX" ]];
         then

            TEMP=`(/usr/bin/cat /etc/group | /usr/bin/cut -d":" -f1 | /usr/bin/grep ${WCSGROUP})`
            if [[ $? -ne 0 ]]; then
               /usr/bin/echo "$WCSGROUP does not exist. Creating group" | tee -a ${WCSDIR}/logs/${LOGFILE}
               /usr/bin/mkgroup ${WCSGROUP}
            else
               /usr/bin/echo "$WCSGROUP exists. Skipping group creation" | tee -a ${WCSDIR}/logs/${LOGFILE}
            fi

            TEMP=`(/usr/bin/cat /etc/passwd | /usr/bin/cut -d":" -f1 | /usr/bin/grep ${WCSUSER})`
            if [[ $? -ne 0 ]]; then
               /usr/bin/echo "$WCSUSER does not exist. Creating user. Adding to ${WCSGROUP}" | tee -a ${WCSDIR}/logs/${LOGFILE}
               #
               # Piggy-back $WCSUSER into the "nobody" group as well as the $DBUSERGROUP
               #
               /usr/bin/mkuser "pgrp=${WCSGROUP}" "groups=${WCSGROUP},${DBUSERGROUP},${WEBGROUP}" "home=/home/${WCSUSER}" "shell=/usr/bin/ksh" ${WCSUSER}
               INITIALIZEUSER=1
            else
               /usr/bin/echo "$WCSUSER exists. Skipping user creation. Adding to ${WCSGROUP}" | tee -a ${WCSDIR}/logs/${LOGFILE}
               #
               # Piggy-back $WCSUSER into the "nobody" group as well as the $DBUSERGROUP
               #
               /usr/bin/chuser "pgrp=${WCSGROUP}" "groups=${WCSGROUP},${DBUSERGROUP},${WEBGROUP}" ${WCSUSER}
            fi

            if [ $WEBSERVER -eq 3 ];
            then
               /usr/bin/chuser "pgrp=${WEBGROUP}" "groups=${WCSGROUP},${WEBGROUP},staff" ${WEBUSER}
            fi

         elif [[ "$OS_NAME" = "SunOS" || "$OS_NAME" = "Solaris" ]];
         then

            TEMP=`(/usr/bin/cat /etc/group | /usr/bin/cut -d":" -f1 | /usr/bin/grep ${WCSGROUP})`
            if [[ $? -ne 0 ]]; then
               /usr/bin/echo "$WCSGROUP does not exist. Creating group" | tee -a ${WCSDIR}/logs/${LOGFILE}
               /usr/sbin/groupadd ${WCSGROUP}
            else
               /usr/bin/echo "$WCSGROUP exists. Skipping group creation" | tee -a ${WCSDIR}/logs/${LOGFILE}
            fi

            TEMP=`(/usr/bin/cat /etc/passwd | /usr/bin/cut -d":" -f1 | /usr/bin/grep ${WCSUSER})`
            if [[ $? -ne 0 ]]; then
               /usr/bin/echo "$WCSUSER does not exist. Creating user. Adding to ${WCSGROUP}" | tee -a ${WCSDIR}/logs/${LOGFILE}
               #
               # Set the default $USERHOME for creating the user home dir as it defaults to /home
               # Piggy-back $WCSUSER into the "nobody" group as well as the $DBUSERGROUP
               #
               /usr/sbin/useradd -D -b ${USERHOME}
               /usr/sbin/useradd -g ${WCSGROUP} -G ${WEBGROUP},${DBUSERGROUP} -s /bin/ksh -c NonrootUser -m ${WCSUSER}
               INITIALIZEUSER=1
            else
               /usr/bin/echo "$WCSUSER exists. Skipping user creation. Adding to ${WCSGROUP}" | tee -a ${WCSDIR}/logs/${LOGFILE}
               #
               # Piggy-back $WCSUSER into the "nobody" group as well as the $DBUSERGROUP
               #
               /usr/sbin/usermod -g ${WCSGROUP} -G ${WEBGROUP},${DBUSERGROUP} ${WCSUSER}
            fi

            if [ $WEBSERVER -eq 3 ];
            then
               /usr/sbin/usermod -g ${WEBGROUP} -G ${WCSGROUP},staff ${WEBUSER}
            fi

         else
            /usr/bin/echo "Unsupported platform: $OS_NAME" | tee -a ${WCSDIR}/logs/${LOGFILE}
            /usr/bin/echo "Exiting ..." | tee -a ${WCSDIR}/logs/${LOGFILE}
            exit 1
         fi

         #
         # Set up WAS for non-root
         #

         TEMP=`(/usr/bin/grep "^com.ibm.ejs.sm.adminServer.bootstrapPort=" ${WASDIR}/bin/admin.config)`
         if [[ $? -ne 0 ]]; then
            /usr/bin/cp ${WASDIR}/bin/admin.config ${WASDIR}/bin/admin.config.presecfix
            /usr/bin/echo "com.ibm.ejs.sm.adminServer.bootstrapPort=${WASPORT}" >> ${WASDIR}/bin/admin.config
         else
            /usr/bin/echo "$TEMP exists. Modifying entry with ${WASPORT}" | tee -a ${WCSDIR}/logs/${LOGFILE}
            /usr/bin/cp ${WASDIR}/bin/admin.config ${WASDIR}/bin/admin.config.$$
            /usr/bin/sed "s|^com.ibm.ejs.sm.adminServer.bootstrapPort=\(.*\)$|com.ibm.ejs.sm.adminServer.bootstrapPort=${WASPORT}|g" ${WASDIR}/bin/admin.config.$$ > ${WASDIR}/bin/admin.config
         fi

         #
         # New WAS 4.0 dirs
         #
         #/usr/bin/chown ${WCSUSER}:${WCSGROUP} ${WASDIR}
         #/usr/bin/chown -R ${WCSUSER}:${WCSGROUP} ${WASDIR}/bin ${WASDIR}/config ${WASDIR}/etc ${WASDIR}/installedApps ${WASDIR}/logs
         #/usr/bin/chown -R ${WCSUSER}:${WCSGROUP} ${WASDIR}/properties ${WASDIR}/tranlog ${WASDIR}/temp

         /usr/bin/chown -R ${WCSUSER}:${WCSGROUP} ${WASDIR}
         /usr/bin/rm /tmp/.as* >/dev/null 2>&1

         #
         # The following section is for enabling security purposes
         # The files, /usr/IBMWebAS/etc, /usr/IBMWebAS/etc/secbootstrap and /usr/IBMWebAS/bin/JmonTraceBuffer exist only when security is enabled.
         #
         #if [[ -f ${WASDIR}/etc ]];
         #then
         #   /usr/bin/chown -R ${WCSUSER}:${WCSGROUP} ${WASDIR}/etc
         #fi
         #if [[ -f ${WASDIR}/etc/secbootstrap ]];
         #then
         #   /usr/bin/chown ${WCSUSER}:${WCSGROUP} ${WASDIR}/etc/secbootstrap
         #fi
         #if [[ -f ${WASDIR}/bin/JmonTraceBuffer ]];
         #then
         #   /usr/bin/chown ${WCSUSER}:${WCSGROUP} ${WASDIR}/bin/JmonTraceBuffer
         #fi

         #
         # Need to for CM to access WAS files such as xmlconfig
         #
         #/usr/bin/chown ${WCSUSER}:${DBGROUP} ${WASDIR}/bin
         #/usr/bin/chmod g+w ${WASDIR}/bin
         #/usr/bin/chown ${WCSUSER}:${DBGROUP} ${WASDIR}/bin/XMLConfig.sh
         #/usr/bin/chmod g+rw ${WASDIR}/bin/XMLConfig.sh

         #
         # Need to for CM to access WAS files such as xmlconfig
         #
         #/usr/bin/chown ${WCSUSER}:${DBGROUP} ${WASDIR}/config
         #/usr/bin/chmod g+w ${WASDIR}/config
         #/usr/bin/chown ${WCSUSER}:${DBGROUP} ${WASDIR}/config/plugin-cfg.xml
         #/usr/bin/chmod g+w ${WASDIR}/config/plugin-cfg.xml

         #
         # Setup PM for it
         #
         if [[ $PM -eq 1 ]];
         then
            /usr/bin/chown -R ${WCSUSER}:${WCSGROUP} ${PMDIR}
         fi

         #
         # Setup WCS for it
         #
         /usr/bin/chown -R ${WCSUSER}:${WCSGROUP} ${WCSDIR}
         /usr/bin/chmod -R 755 ${WCSDIR}

         #
         # bin dir
         #
         /usr/bin/chown -R ${WCSUSER}:${DBUSERGROUP} ${WCSDIR}/bin
         /usr/bin/chmod 750 ${WCSDIR}/bin/*.sh
         /usr/bin/chmod 700 ${WCSDIR}/bin/wc*.sh
         /usr/bin/chmod 600 ${WCSDIR}/bin/cfg.passwd
         if [[ "$OS_NAME" = "AIX" ]];
         then
            /usr/bin/chmod 750 ${WCSDIR}/bin/*.a
         elif [[ "$OS_NAME" = "SunOS" || "$OS_NAME" = "Solaris" ]];
         then
            /usr/bin/chmod 750 ${WCSDIR}/bin/*.so
         else
            /usr/bin/echo "Unsupported platform: $OS_NAME" | tee -a ${WCSDIR}/logs/${LOGFILE}
            /usr/bin/echo "Exiting ..." | tee -a ${WCSDIR}/logs/${LOGFILE}
            exit 1
         fi

         #
         # Only CM should ever need to write from this per PCR 295
         #
         /usr/bin/chmod -R 700 ${WCSDIR}/wc.ear

         #
         # lib dir
         #
         /usr/bin/chown -R ${WCSUSER}:${DBUSERGROUP} ${WCSDIR}/lib

         #
         # properties dir for Massload/IDResolv
         #
         /usr/bin/chown -R ${WCSUSER}:${DBUSERGROUP} ${WCSDIR}/properties

         #
         # MassLoad and IDResolve infile and outfile and misc logs that go within the various dirs
         # 
         /usr/bin/chown -R ${WCSUSER}:${DBUSERGROUP} ${WCSDIR}/schema
         /usr/bin/chown -R ${WCSUSER}:${DBUSERGROUP} ${WCSDIR}/xml

         #
         # Webserver requires access ( can be "nobody" user ). Need to verify write access for Webserver
         #
         /usr/bin/chmod 755 ${WCSDIR}/bin
         /usr/bin/chown ${WCSUSER}:${WEBGROUP} ${WCSDIR}/bin/libwccache*
         /usr/bin/chmod 750 ${WCSDIR}/bin/libwccache*

         /usr/bin/chown -R ${WCSUSER}:${WEBGROUP} ${WCSDIR}/web

         /usr/bin/chmod 755 ${WCSDIR}/instances
         /usr/bin/chmod 644 ${WCSDIR}/instances/wcs_instances

         if [[ -f ${WCSDIR}/instances/WCSconfig.log ]];
         then
            /usr/bin/chmod 600 ${WCSDIR}/instances/WCSconfig.log
         fi
         if [[ -f ${WCSDIR}/instances/instMigrate.log ]];
         then
            /usr/bin/chmod 600 ${WCSDIR}/instances/instMigrate.log
         fi

         #
         # PCR 295 New logs and temp dir. Will remove all other permissions and ownerships from
         # other dirs when libraries are finalized and moved. XML dir already changed above
         #
         if [[ ! -d ${WCSDIR}/logs ]];
         then
            /usr/bin/mkdir ${WCSDIR}/logs
         fi
         if [[ ! -d ${WCSDIR}/temp ]];
         then
            /usr/bin/mkdir ${WCSDIR}/temp
         fi
         /usr/bin/chown ${WCSUSER}:${DBUSERGROUP} ${WCSDIR}/logs
         /usr/bin/chown ${WCSUSER}:${DBUSERGROUP} ${WCSDIR}/temp
         /usr/bin/chmod 770 ${WCSDIR}/logs
         /usr/bin/chmod 770 ${WCSDIR}/temp

         #
         # For each instance present already
         #
         for INSTANCEDIRS in `(/usr/bin/ls -F $WCSDIR/instances | /usr/bin/grep "/" | /usr/bin/grep -v "^default/" | /usr/bin/cut -d"/" -f1)`;
         do
            #
            # For all dirs except default under instances, change the below
            #
            if [[ -d ${WCSDIR}/instances/${INSTANCEDIRS} ]];
            then
               /usr/bin/chmod 755 ${WCSDIR}/instances/${INSTANCEDIRS}
            fi

            #
            #
            #
            if [[ -d ${WCSDIR}/instances/${INSTANCEDIRS}/xml ]];
            then
               /usr/bin/chmod -R 600 ${WCSDIR}/instances/${INSTANCEDIRS}/xml
               #
               # Caching
               #
               /usr/bin/chmod 755 ${WCSDIR}/instances/${INSTANCEDIRS}/xml
               /usr/bin/chmod 644 ${WCSDIR}/instances/${INSTANCEDIRS}/xml/cache.properties
               /usr/bin/chmod -R 755 ${WCSDIR}/instances/${INSTANCEDIRS}/xml/loader
               /usr/bin/chmod 755 ${WCSDIR}/instances/${INSTANCEDIRS}/xml/loader

               if [[ -d ${WCSDIR}/instances/${INSTANCEDIRS}/xml/payment ]];
               then
                  /usr/bin/chmod -R 644 ${WCSDIR}/instances/${INSTANCEDIRS}/xml/payment
                  /usr/bin/chmod 755 ${WCSDIR}/instances/${INSTANCEDIRS}/xml/payment
               fi
            fi

            #
            #
            #
            if [[ -d ${WCSDIR}/instances/${INSTANCEDIRS}/logs ]];
            then
               /usr/bin/chmod -R 700 ${WCSDIR}/instances/${INSTANCEDIRS}/logs
            fi

            #
            #
            #
            if [[ -f ${WCSDIR}/instances/${INSTANCEDIRS}/${INSTANCEDIRS}.ear ]];
            then
               /usr/bin/chmod 600 ${WCSDIR}/instances/${INSTANCEDIRS}/${INSTANCEDIRS}.ear
            fi

            #
            #
            #
            if [[ -d ${WCSDIR}/instances/${INSTANCEDIRS}/cache ]];
            then
               #
               # Per Don's Note. Appserver hits this so root only
               #
               /usr/bin/chmod -R 700 ${WCSDIR}/instances/${INSTANCEDIRS}/cache
            fi
         done

         #
         # Setup Webserver for it
         #
         if [[ $WEBSERVER -eq 1 ]];
         then
            /usr/bin/chown root:${WEBGROUP} ${WEBDIR}/conf/httpd.conf*
            /usr/bin/chmod g+rw ${WEBDIR}/conf/httpd.conf*
         fi

         if [[ $WEBSERVER -eq 2 ]];
         then
            /usr/bin/chown root:${WEBGROUP} ${NES80}
            /usr/bin/chown root:${WEBGROUP} ${NES443}
            /usr/bin/chown root:${WEBGROUP} ${NES8000}
            /usr/bin/chmod g+rw ${NES80}
            /usr/bin/chmod g+rw ${NES443}
            /usr/bin/chmod g+rw ${NES8000}

            /usr/bin/chown root:${WEBGROUP} ${NES80}/obj.conf*
            /usr/bin/chown root:${WEBGROUP} ${NES443}/obj.conf*
            /usr/bin/chown root:${WEBGROUP} ${NES8000}/obj.conf*
            /usr/bin/chmod g+rw ${NES80}/obj.conf*
            /usr/bin/chmod g+rw ${NES443}/obj.conf*
            /usr/bin/chmod g+rw ${NES8000}/obj.conf*

            /usr/bin/chown root:${WEBGROUP} ${NES80}/magnus.conf*
            /usr/bin/chown root:${WEBGROUP} ${NES443}/magnus.conf*
            /usr/bin/chown root:${WEBGROUP} ${NES8000}/magnus.conf*
            /usr/bin/chmod g+rw ${NES80}/magnus.conf*
            /usr/bin/chmod g+rw ${NES443}/magnus.conf*
            /usr/bin/chmod g+rw ${NES8000}/magnus.conf*
         fi

         if [[ $WEBSERVER -eq 3 ]];
         then
            if [[ -f ${WASDIR}/logs/native.log ]];
            then
               /usr/bin/chmod 664 ${WASDIR}/logs/native.log
            fi
         fi

         if [[ "$OS_NAME" = "SunOS" || "$OS_NAME" = "Solaris" ]];
         then
            if [[ -f ${USERHOME}/${WCSUSER}/.profile ]];
            then

               OSLANG=`(/usr/bin/echo $LANG)`
               OSLC_ALL=`(/usr/bin/echo $LC_ALL)`

               /usr/bin/cp ${USERHOME}/${WCSUSER}/.profile ${USERHOME}/${WCSUSER}/.profile.$$

               TEMP=`(/usr/bin/grep "^export LANG=" ${USERHOME}/${WCSUSER}/.profile)`
               if [[ $? -ne 0 ]]; then
                  /usr/bin/echo "Adding .profile entry: export LANG=$OSLANG" | tee -a ${WCSDIR}/logs/${LOGFILE}
                  /usr/bin/echo "export LANG=$OSLANG" >> ${USERHOME}/${WCSUSER}/.profile
               else
                  /usr/bin/echo "Modifying .profile entry: export LANG=$OSLANG" | tee -a ${WCSDIR}/logs/${LOGFILE}
                  /usr/bin/cp ${USERHOME}/${WCSUSER}/.profile ${USERHOME}/${WCSUSER}/.profile.tmp
                  /usr/bin/sed "s|^export LANG=\(.*\)$|export LANG=$OSLANG|g" ${USERHOME}/${WCSUSER}/.profile.tmp > ${USERHOME}/${WCSUSER}/.profile
                  /usr/bin/rm ${USERHOME}/${WCSUSER}/.profile.tmp
               fi

               TEMP=`(/usr/bin/grep "^export LC_ALL=" ${USERHOME}/${WCSUSER}/.profile)`
               if [[ $? -ne 0 ]]; then
                  /usr/bin/echo "Adding .profile entry: export LC_ALL=$OSLC_ALL" | tee -a ${WCSDIR}/logs/${LOGFILE}
                  /usr/bin/echo "export LC_ALL=$OSLC_ALL" >> ${USERHOME}/${WCSUSER}/.profile
               else
                  /usr/bin/echo "Modifying .profile entry: export LC_ALL=$OSLC_ALL" | tee -a ${WCSDIR}/logs/${LOGFILE}
                  /usr/bin/cp ${USERHOME}/${WCSUSER}/.profile ${USERHOME}/${WCSUSER}/.profile.tmp
                  /usr/bin/sed "s|^export LC_ALL=\(.*\)$|export LC_ALL=$OSLC_ALL|g" ${USERHOME}/${WCSUSER}/.profile.tmp > ${USERHOME}/${WCSUSER}/.profile
                  /usr/bin/rm ${USERHOME}/${WCSUSER}/.profile.tmp
               fi
            else
               /usr/bin/echo "ERROR: File not found present at install time: ${USERHOME}/${WCSUSER}/.profile" | tee -a ${WCSDIR}/logs/${LOGFILE}
            fi
         fi

      else
         # Perform as Root with restricted permission set

         #
         # Remove all permissions for group and others
         #
         /usr/bin/chmod -R 700 ${WCSDIR}
         /usr/bin/chmod 755 ${WCSDIR}

         #
         # bin dir. Need 755 for libwccache and the bin dir
         #
         /usr/bin/chown -R root:${DBUSERGROUP} ${WCSDIR}/bin
         /usr/bin/chmod -R 770 ${WCSDIR}/bin
         /usr/bin/chmod 775 ${WCSDIR}/bin
         /usr/bin/chmod 750 ${WCSDIR}/bin/*.sh
         /usr/bin/chmod 700 ${WCSDIR}/bin/wc*.sh
         /usr/bin/chmod 600 ${WCSDIR}/bin/cfg.passwd
         if [[ "$OS_NAME" = "AIX" ]];
         then
            /usr/bin/chmod 750 ${WCSDIR}/bin/*.a
         elif [[ "$OS_NAME" = "SunOS" || "$OS_NAME" = "Solaris" ]];
         then
            /usr/bin/chmod 750 ${WCSDIR}/bin/*.so
         else
            /usr/bin/echo "Unsupported platform: $OS_NAME" | tee -a ${WCSDIR}/logs/${LOGFILE}
            /usr/bin/echo "Exiting ..." | tee -a ${WCSDIR}/logs/${LOGFILE}
            exit 1
         fi
         /usr/bin/chmod 755 ${WCSDIR}/bin/libwccache*

         #
         # wc.ear dir has libs and other items that may need access to change whole dir
         # Protomart logging changed below this for write access
         # Migration needs access to a lib in the wc.ear/lib
         # Staging server needs access to a lib in the wc.ear/lib
         #
         /usr/bin/chown -R root:${DBUSERGROUP} ${WCSDIR}/wc.ear
         /usr/bin/chmod -R 750 ${WCSDIR}/wc.ear

         #
         # lib, blaze, rules dir
         #
         /usr/bin/chown -R root:${DBUSERGROUP} ${WCSDIR}/lib
         /usr/bin/chown -R root:${DBUSERGROUP} ${WCSDIR}/blaze
         /usr/bin/chown -R root:${DBUSERGROUP} ${WCSDIR}/rules
         /usr/bin/chmod -R 750 ${WCSDIR}/lib
         /usr/bin/chmod -R 770 ${WCSDIR}/blaze
         /usr/bin/chmod -R 770 ${WCSDIR}/rules

         #
         # properties dir for Massload/IDResolv
         #
         /usr/bin/chown -R root:${DBUSERGROUP} ${WCSDIR}/properties
         /usr/bin/chmod -R 770 ${WCSDIR}/properties

         #/usr/bin/chown root:${DBUSERGROUP} ${WCSDIR}/properties/OracleConnectionCustomizer.properties
         #/usr/bin/chmod 750 ${WCSDIR}/properties/OracleConnectionCustomizer.properties

         #/usr/bin/chown root:${DBUSERGROUP} ${WCSDIR}/properties/IdResolveKeys.properties
         #/usr/bin/chmod 750 ${WCSDIR}/properties/IdResolveKeys.properties

         #
         # MassLoad and IDResolve infile and outfile and misc logs that go within the various dirs
         # 
         /usr/bin/chown -R root:${DBUSERGROUP} ${WCSDIR}/schema
         /usr/bin/chmod -R 750 ${WCSDIR}/schema
         /usr/bin/chmod -R 770 ${WCSDIR}/schema/xml
         /usr/bin/chmod 770 ${WCSDIR}/schema
         /usr/bin/chmod 770 ${WCSDIR}/schema/*

         /usr/bin/chown root:${DBUSERGROUP} ${WCSDIR}/xml
         /usr/bin/chmod 750 ${WCSDIR}/xml

         /usr/bin/chown -R root:${DBUSERGROUP} ${WCSDIR}/xml/policies
         /usr/bin/chmod -R 750 ${WCSDIR}/xml/policies
         /usr/bin/chmod -R 770 ${WCSDIR}/xml/policies/xml

         /usr/bin/chown -R root:${DBUSERGROUP} ${WCSDIR}/xml/BusinessFlows
         /usr/bin/chmod -R 750 ${WCSDIR}/xml/BusinessFlows
         /usr/bin/chmod -R 770 ${WCSDIR}/xml/BusinessFlows/xml

         /usr/bin/chown -R root:${DBUSERGROUP} ${WCSDIR}/xml/loader
         /usr/bin/chmod -R 750 ${WCSDIR}/xml/loader

         #
         # Migration ( group ownership changed above )
         # 
         /usr/bin/chmod -R 770 ${WCSDIR}/schema/db2/migration
         /usr/bin/chmod -R 770 ${WCSDIR}/schema/oracle/migration
         /usr/bin/chmod -R 770 ${WCSDIR}/schema/migration
         /usr/bin/chmod -R 770 ${WCSDIR}/schema/xml/migration

         #
         # Per Barb about StoredProcedures createsp sh file
         # 
         /usr/bin/chmod -R 770 ${WCSDIR}/schema/db2/storedprocedure
         /usr/bin/chmod -R 770 ${WCSDIR}/schema/oracle/storedprocedure

         #
         # Webserver requires access ( can be "nobody" user ). Need to verify write access for Webserver
         #
         /usr/bin/chmod -R 755 ${WCSDIR}/web
         /usr/bin/chmod 755 ${WCSDIR}/instances
         /usr/bin/chmod 644 ${WCSDIR}/instances/wcs_instances

         #
         # Protomart Permissions 33347 for log. chown done in general wc.ear above
         #
         #/usr/bin/chown root:${DBUSERGROUP} ${WCSDIR}/wc.ear
         #/usr/bin/chown root:${DBUSERGROUP} ${WCSDIR}/wc.ear/wcstores.war
         #/usr/bin/chown -R root:${DBUSERGROUP} ${WCSDIR}/wc.ear/wcstores.war/scripts

         /usr/bin/chmod 770 ${WCSDIR}/wc.ear
         /usr/bin/chmod 770 ${WCSDIR}/wc.ear/wcstores.war
         if [[ -d ${WCSDIR}/wc.ear/wcstores.war/scripts ]];
         then
            /usr/bin/chmod -R 770 ${WCSDIR}/wc.ear/wcstores.war/scripts
         fi

         #/usr/bin/chown -R root:${DBUSERGROUP} ${WCSDIR}/wc.ear/properties
         /usr/bin/chmod -R 770 ${WCSDIR}/wc.ear/properties

         #
         # Misc clean up
         #
         #/usr/bin/chmod 600 ${WCSDIR}/instances/*.log

         if [[ -f ${WCSDIR}/instances/WCSconfig.log ]];
         then
            /usr/bin/chmod 600 ${WCSDIR}/instances/WCSconfig.log
         fi
         if [[ -f ${WCSDIR}/instances/instMigrate.log ]];
         then
            /usr/bin/chmod 600 ${WCSDIR}/instances/instMigrate.log
         fi

         #
         # PCR 295 New logs and temp dir. Will remove all other permissions and ownerships from
         # other dirs when libraries are finalized and moved. XML dir already changed above
         #
         if [[ ! -d ${WCSDIR}/logs ]];
         then
            /usr/bin/mkdir ${WCSDIR}/logs
         fi
         if [[ ! -d ${WCSDIR}/temp ]];
         then
            /usr/bin/mkdir ${WCSDIR}/temp
         fi
         /usr/bin/chown root:${DBUSERGROUP} ${WCSDIR}/logs
         /usr/bin/chown root:${DBUSERGROUP} ${WCSDIR}/temp
         /usr/bin/chmod 770 ${WCSDIR}/logs
         /usr/bin/chmod 770 ${WCSDIR}/temp
         /usr/bin/chown root:${DBUSERGROUP} ${WCSDIR}/xml/product.xml*
         /usr/bin/chmod 750 ${WCSDIR}/xml/product.xml*
         /usr/bin/chown root:${DBUSERGROUP} ${WCSDIR}/xml/product.dtd*
         /usr/bin/chmod 750 ${WCSDIR}/xml/product.dtd*


         #
         # For each instance present already
         #
         for INSTANCEDIRS in `(/usr/bin/ls -F $WCSDIR/instances | /usr/bin/grep "/" | /usr/bin/grep -v "^default/" | /usr/bin/cut -d"/" -f1)`;
         do
            #
            # For all dirs except default under instances, change the below
            #
            if [[ -d ${WCSDIR}/instances/${INSTANCEDIRS} ]];
            then
               /usr/bin/chmod 755 ${WCSDIR}/instances/${INSTANCEDIRS}
            fi

            #
            #
            #
            if [[ -d ${WCSDIR}/instances/${INSTANCEDIRS}/xml ]];
            then
               /usr/bin/chmod -R 600 ${WCSDIR}/instances/${INSTANCEDIRS}/xml
               #
               # Caching
               #
               /usr/bin/chmod 755 ${WCSDIR}/instances/${INSTANCEDIRS}/xml
               /usr/bin/chmod 644 ${WCSDIR}/instances/${INSTANCEDIRS}/xml/cache.properties
               /usr/bin/chmod -R 755 ${WCSDIR}/instances/${INSTANCEDIRS}/xml/loader
               /usr/bin/chmod 755 ${WCSDIR}/instances/${INSTANCEDIRS}/xml/loader

               if [[ -d ${WCSDIR}/instances/${INSTANCEDIRS}/xml/payment ]];
               then
                  /usr/bin/chmod -R 644 ${WCSDIR}/instances/${INSTANCEDIRS}/xml/payment
                  /usr/bin/chmod 755 ${WCSDIR}/instances/${INSTANCEDIRS}/xml/payment
               fi
            fi

            #
            #
            #
            if [[ -d ${WCSDIR}/instances/${INSTANCEDIRS}/logs ]];
            then
               /usr/bin/chmod -R 700 ${WCSDIR}/instances/${INSTANCEDIRS}/logs
            fi

            #
            #
            #
            if [[ -f ${WCSDIR}/instances/${INSTANCEDIRS}/${INSTANCEDIRS}.ear ]];
            then
               /usr/bin/chmod 600 ${WCSDIR}/instances/${INSTANCEDIRS}/${INSTANCEDIRS}.ear
            fi

            #
            #
            #
            if [[ -d ${WCSDIR}/instances/${INSTANCEDIRS}/cache ]];
            then
               #
               # Per Don's Note. Appserver hits this so root only
               #
               /usr/bin/chmod -R 700 ${WCSDIR}/instances/${INSTANCEDIRS}/cache
            fi
         done
      fi

      #
      # Edit for cli patch
      #
      if [[ $DB -eq 1 ]];
      then
         if [[ -f ${DBDIR}/cfg/db2cli.ini ]];
         then
            TEMP=`(/usr/bin/cat ${DBDIR}/cfg/db2cli.ini | /usr/bin/grep "^\[COMMON\]")`
            if [[ $? -ne 0 ]];
            then
               /usr/bin/echo "Adding DB2 CLI PATCH2 and COMMON to ${DBDIR}/cfg/db2cli.ini" | tee -a ${WCSDIR}/logs/${LOGFILE}
               /usr/bin/cp ${DBDIR}/cfg/db2cli.ini ${DBDIR}/cfg/db2cli.ini.$$
               /usr/bin/echo "" >> ${DBDIR}/cfg/db2cli.ini
               /usr/bin/echo "[COMMON]" >> ${DBDIR}/cfg/db2cli.ini
               /usr/bin/echo "PATCH2=30,37,38" >> ${DBDIR}/cfg/db2cli.ini
            else
               TEMP=`(/usr/bin/cat ${DBDIR}/cfg/db2cli.ini | /usr/bin/grep "^PATCH2")`
               if [[ $? -ne 0 ]];
               then
                  /usr/bin/echo "Adding DB2 CLI PATCH2 to ${DBDIR}/cfg/db2cli.ini" | tee -a ${WCSDIR}/logs/${LOGFILE}
                  /usr/bin/cp ${DBDIR}/cfg/db2cli.ini ${DBDIR}/cfg/db2cli.ini.$$
                  /usr/bin/sed '/\[COMMON\]/a\
PATCH2=30,37,38' ${DBDIR}/cfg/db2cli.ini.$$ > ${DBDIR}/cfg/db2cli.ini
               else
                  /usr/bin/echo "[COMMON] and PATCH2 exists in ${DBDIR}/cfg/db2cli.ini." | tee -a ${WCSDIR}/logs/${LOGFILE}

                  PATCHVAL="PATCH2="
                  CHANGEFILE=0

                  TEMP=`(/usr/bin/cat ${DBDIR}/cfg/db2cli.ini | /usr/bin/grep "^PATCH2" | /usr/bin/grep "30")`
                  if [[ $? -ne 0 ]];
                  then
                     /usr/bin/echo "Adding 30 to PATCH2 in ${DBDIR}/cfg/db2cli.ini." | tee -a ${WCSDIR}/logs/${LOGFILE}

                     PATCHVAL="${PATCHVAL}30,"
                     CHANGEFILE=1
                  fi
                  TEMP=`(/usr/bin/cat ${DBDIR}/cfg/db2cli.ini | /usr/bin/grep "^PATCH2" | /usr/bin/grep "37")`
                  if [[ $? -ne 0 ]];
                  then
                     /usr/bin/echo "Adding 37 to PATCH2 in ${DBDIR}/cfg/db2cli.ini." | tee -a ${WCSDIR}/logs/${LOGFILE}

                     PATCHVAL="${PATCHVAL}37,"
                     CHANGEFILE=1
                  fi
                  TEMP=`(/usr/bin/cat ${DBDIR}/cfg/db2cli.ini | /usr/bin/grep "^PATCH2" | /usr/bin/grep "38")`
                  if [[ $? -ne 0 ]];
                  then
                     /usr/bin/echo "Adding 38 to PATCH2 in ${DBDIR}/cfg/db2cli.ini." | tee -a ${WCSDIR}/logs/${LOGFILE}

                     PATCHVAL="${PATCHVAL}38,"
                     CHANGEFILE=1
                  fi
 
                  if [[ $CHANGEFILE -eq 1 ]];
                  then
                     /usr/bin/echo "Adding PATCH2 values of: $PATCHVAL" | tee -a ${WCSDIR}/logs/${LOGFILE}

                     /usr/bin/cp ${DBDIR}/cfg/db2cli.ini ${DBDIR}/cfg/db2cli.ini.$$
                     /usr/bin/sed "s|^PATCH2=|$PATCHVAL|g" ${DBDIR}/cfg/db2cli.ini.$$ > ${DBDIR}/cfg/db2cli.ini
                  fi

               fi
            fi
         else
            /usr/bin/echo "File not found: ${DBDIR}/cfg/db2cli.ini. No CLI PATCH2 applied" | tee -a ${WCSDIR}/logs/${LOGFILE}
         fi

         if [[ -f ${USERHOME}/${DBUSER}/sqllib/cfg/db2cli.ini ]];
         then
            TEMP=`(/usr/bin/cat ${USERHOME}/${DBUSER}/sqllib/cfg/db2cli.ini | /usr/bin/grep "^\[COMMON\]")`
            if [[ $? -ne 0 ]];
            then
               /usr/bin/echo "Adding DB2 CLI PATCH2 and COMMON to ${USERHOME}/${DBUSER}/sqllib/cfg/db2cli.ini" | tee -a ${WCSDIR}/logs/${LOGFILE}
               /usr/bin/cp ${USERHOME}/${DBUSER}/sqllib/cfg/db2cli.ini ${USERHOME}/${DBUSER}/sqllib/cfg/db2cli.ini.$$
               /usr/bin/echo "" >> ${USERHOME}/${DBUSER}/sqllib/cfg/db2cli.ini
               /usr/bin/echo "[COMMON]" >> ${USERHOME}/${DBUSER}/sqllib/cfg/db2cli.ini
               /usr/bin/echo "PATCH2=30,37,38" >> ${USERHOME}/${DBUSER}/sqllib/cfg/db2cli.ini
            else
               TEMP=`(/usr/bin/cat ${USERHOME}/${DBUSER}/sqllib/cfg/db2cli.ini | /usr/bin/grep "^PATCH2")`
               if [[ $? -ne 0 ]];
               then
                  /usr/bin/echo "Adding DB2 CLI PATCH2 to ${USERHOME}/${DBUSER}/sqllib/cfg/db2cli.ini" | tee -a ${WCSDIR}/logs/${LOGFILE}
                  /usr/bin/cp ${USERHOME}/${DBUSER}/sqllib/cfg/db2cli.ini ${USERHOME}/${DBUSER}/sqllib/cfg/db2cli.ini.$$
                  /usr/bin/sed '/\[COMMON\]/a\
PATCH2=30,37,38' ${USERHOME}/${DBUSER}/sqllib/cfg/db2cli.ini.$$ > ${USERHOME}/${DBUSER}/sqllib/cfg/db2cli.ini
               else
                  /usr/bin/echo "[COMMON] and PATCH2 exists in ${USERHOME}/${DBUSER}/sqllib/cfg/db2cli.ini" | tee -a ${WCSDIR}/logs/${LOGFILE}

                  PATCHVAL="PATCH2="
                  CHANGEFILE=0

                  TEMP=`(/usr/bin/cat ${USERHOME}/${DBUSER}/sqllib/cfg/db2cli.ini | /usr/bin/grep "^PATCH2" | /usr/bin/grep "30")`
                  if [[ $? -ne 0 ]];
                  then
                     /usr/bin/echo "Adding 30 to PATCH2 in ${USERHOME}/${DBUSER}/sqllib/cfg/db2cli.ini" | tee -a ${WCSDIR}/logs/${LOGFILE}

                     PATCHVAL="${PATCHVAL}30,"
                     CHANGEFILE=1
                  fi
                  TEMP=`(/usr/bin/cat ${USERHOME}/${DBUSER}/sqllib/cfg/db2cli.ini | /usr/bin/grep "^PATCH2" | /usr/bin/grep "37")`
                  if [[ $? -ne 0 ]];
                  then
                     /usr/bin/echo "Adding 37 to PATCH2 in ${USERHOME}/${DBUSER}/sqllib/cfg/db2cli.ini" | tee -a ${WCSDIR}/logs/${LOGFILE}

                     PATCHVAL="${PATCHVAL}37,"
                     CHANGEFILE=1
                  fi
                  TEMP=`(/usr/bin/cat ${USERHOME}/${DBUSER}/sqllib/cfg/db2cli.ini | /usr/bin/grep "^PATCH2" | /usr/bin/grep "38")`
                  if [[ $? -ne 0 ]];
                  then
                     /usr/bin/echo "Adding 38 to PATCH2 in ${USERHOME}/${DBUSER}/sqllib/cfg/db2cli.ini" | tee -a ${WCSDIR}/logs/${LOGFILE}

                     PATCHVAL="${PATCHVAL}38,"
                     CHANGEFILE=1
                  fi
 
                  if [[ $CHANGEFILE -eq 1 ]];
                  then
                     /usr/bin/echo "Adding PATCH2 values of: $PATCHVAL" | tee -a ${WCSDIR}/logs/${LOGFILE}

                     /usr/bin/cp ${USERHOME}/${DBUSER}/sqllib/cfg/db2cli.ini ${USERHOME}/${DBUSER}/sqllib/cfg/db2cli.ini.$$
                     /usr/bin/sed "s|^PATCH2=|$PATCHVAL|g" ${USERHOME}/${DBUSER}/sqllib/cfg/db2cli.ini.$$ > ${USERHOME}/${DBUSER}/sqllib/cfg/db2cli.ini
                  fi

               fi
            fi
         else
            /usr/bin/echo "File not found: ${USERHOME}/${DBUSER}/sqllib/cfg/db2cli.ini. No CLI PATCH2 applied" | tee -a ${WCSDIR}/logs/${LOGFILE}
         fi 

      fi

      #
      # Insert ServerName directive HTTP httpd.conf
      #
      if [[ $WEBSERVER -eq 1 ]];
      then
         if [[ -f ${WEBDIR}/conf/httpd.conf ]];
         then
            VIRTENTRIES=`(/usr/bin/sed -e '/<VirtualHost/,/<\/VirtualHost>/{H;$!d;}' -e '/ServerName/d' -e 'x;/ServerName/!d' ${WEBDIR}/conf/httpd.conf | /usr/bin/grep -c "^ServerName")`
            TOTALENTRIES=`(/usr/bin/grep -c "^ServerName" ${WEBDIR}/conf/httpd.conf)`
            #
            #The difference is the ServerName outside of the VirtualHost
            #if 0 .. add
            #if 1 .. leave
            TEMP=`expr $TOTALENTRIES - $VIRTENTRIES`
            if [[ $TEMP -eq 0 ]]; then
               /usr/bin/cp ${WEBDIR}/conf/httpd.conf ${WEBDIR}/conf/httpd.conf.$$
               /usr/bin/echo "ServerName ${HOST}.${DOMAIN}" > ${WEBDIR}/conf/httpd.conf
               /usr/bin/cat ${WEBDIR}/conf/httpd.conf.$$ >> ${WEBDIR}/conf/httpd.conf
            fi
         else
            /usr/bin/echo "File not found: ${WEBDIR}/conf/httpd.conf" | tee -a ${WCSDIR}/logs/${LOGFILE}
         fi
         if [[ -f ${WEBDIR}/conf/admin.conf ]];
         then
            TEMP=`(/usr/bin/grep "^ServerName" ${WEBDIR}/conf/admin.conf)`
            if [[ $? -ne 0 ]]; then
               /usr/bin/cp ${WEBDIR}/conf/admin.conf ${WEBDIR}/conf/admin.conf.$$
               /usr/bin/echo "ServerName ${HOST}.${DOMAIN}" > ${WEBDIR}/conf/admin.conf
               /usr/bin/cat ${WEBDIR}/conf/admin.conf.$$ >> ${WEBDIR}/conf/admin.conf
            fi
         else
            /usr/bin/echo "File not found: ${WEBDIR}/conf/admin.conf" | tee -a ${WCSDIR}/logs/${LOGFILE}
         fi
      fi

      if [[ $INITIALIZEUSER -eq 1 ]];
      then
         /usr/bin/echo "" | tee -a ${WCSDIR}/logs/${LOGFILE}
         /usr/bin/echo "Supply a Password for the new non-root user:${WCSUSER}" | tee -a ${WCSDIR}/logs/${LOGFILE}
         /usr/bin/echo "" | tee -a ${WCSDIR}/logs/${LOGFILE}
         /usr/bin/passwd ${WCSUSER}
      fi      

      /usr/bin/echo "Script Complete" | tee -a ${WCSDIR}/logs/${LOGFILE}

      /usr/bin/echo "" | tee -a ${WCSDIR}/logs/${LOGFILE}

}


##
## Begin of script function
##

DATE=`(/usr/bin/date)`

# Preset the WCS path by OS
if [[ "$OS_NAME" = "AIX" ]];
then

   WCSDIR=/usr/WebSphere/CommerceServer
   WASDIR=/usr/WebSphere/AppServer
   PMDIR=/usr/lpp/PaymentManager

   if [[ -f ${WCSDIR}/logs/${LOGFILE} ]];
   then
      /usr/bin/echo "" | tee -a ${WCSDIR}/logs/${LOGFILE}
      /usr/bin/echo "Begin wcpostinstall Script Execution:${DATE}" | tee -a ${WCSDIR}/logs/${LOGFILE}
   else
      /usr/bin/echo "" > ${WCSDIR}/logs/${LOGFILE}
      /usr/bin/echo "Begin wcpostinstall Script Execution:${DATE}" | tee -a ${WCSDIR}/logs/${LOGFILE}
   fi

   OS_VERSION=`oslevel`

   if [[ -f ${WCSDIR}/bin/build.txt ]];
   then
      BUILD=`( /usr/bin/cat ${WCSDIR}/bin/build.txt | /usr/bin/awk -v FS=";" '{print $2}' | /usr/bin/awk '{print $3}')`
      BUILDDATE=`( /usr/bin/echo $BUILD | /usr/bin/cut -d"d" -f1 )`
      EDITION=`( /usr/bin/cat ${WCSDIR}/bin/build.txt | /usr/bin/awk -v FS=";" '{print $3}' | /usr/bin/awk '{print $2}')`
   else
      /usr/bin/echo ""
      /usr/bin/echo "ERROR: ${WCSDIR}/bin/build.txt not found." | tee -a ${WCSDIR}/logs/${LOGFILE}
      /usr/bin/echo ""
      exit 1
   fi

   USERHOME=/home

   LANG=`(/usr/bin/echo $LANG)`

   case "$LANG" in
      fr_FR) LOCALECODE="-2"; LOCALE="fr_FR";;
      de_DE) LOCALECODE="-3"; LOCALE="de_DE";;
      it_IT) LOCALECODE="-4"; LOCALE="it_IT";;
      es_ES) LOCALECODE="-5"; LOCALE="es_ES";;
      pt_BR) LOCALECODE="-6"; LOCALE="pt_BR";;
      zh_CN) LOCALECODE="-7"; LOCALE="zh_CN";;
      zh_TW) LOCALECODE="-8"; LOCALE="zh_TW";;
      ko_KR) LOCALECODE="-9"; LOCALE="ko_KR";;
      Ja_JP) LOCALECODE="-10"; LOCALE="Ja_JP";;
      *) LOCALECODE="-1"; LOCALE="en_US";;
   esac

elif [[ "$OS_NAME" = "SunOS" || "$OS_NAME" = "Solaris" ]];
then

   WCSDIR=/opt/WebSphere/CommerceServer
   WASDIR=/opt/WebSphere/AppServer
   PMDIR=/opt/PaymentManager

   if [[ -f ${WCSDIR}/logs/${LOGFILE} ]];
   then
      /usr/bin/echo "" | tee -a ${WCSDIR}/logs/${LOGFILE}
      /usr/bin/echo "Begin wcpostinstall Script Execution:${DATE}" | tee -a ${WCSDIR}/logs/${LOGFILE}
   else
      /usr/bin/echo "" > ${WCSDIR}/logs/${LOGFILE}
      /usr/bin/echo "Begin wcpostinstall Script Execution:${DATE}" | tee -a ${WCSDIR}/logs/${LOGFILE}
   fi

   OS_VERSION=`uname -r`

   if [[ -f ${WCSDIR}/bin/build.txt ]];
   then
      BUILD=`( /usr/bin/cat ${WCSDIR}/bin/build.txt | /usr/bin/awk '{FS=";"}{print $2}' | /usr/bin/awk '{print $3}')`
      BUILDDATE=`( /usr/bin/echo $BUILD | /usr/bin/cut -d"d" -f1 )`
      EDITION=`( /usr/bin/cat ${WCSDIR}/bin/build.txt | /usr/bin/awk '{FS=";"}{print $3}' | /usr/bin/awk '{print $2}')`
   else
      /usr/bin/echo ""
      /usr/bin/echo "ERROR: ${WCSDIR}/bin/build.txt not found." | tee -a ${WCSDIR}/logs/${LOGFILE}
      /usr/bin/echo ""
      exit 1
   fi

   USERHOME=/export/home

   LANG=`(/usr/bin/echo $LANG | cut -f1 -d.)`

   case "$LANG" in
      fr_FR) LOCALECODE="-2"; LOCALE="fr_FR"; LC_ALL_VAR="fr_FR.ISO8859-1";;
      de_DE) LOCALECODE="-3"; LOCALE="de_DE"; LC_ALL_VAR="de_DE.ISO8859-1";;
      it_IT) LOCALECODE="-4"; LOCALE="it_IT"; LC_ALL_VAR="it_IT.ISO8859-1";;
      es_ES) LOCALECODE="-5"; LOCALE="es_ES"; LC_ALL_VAR="es_ES.ISO8859-1";;
      pt_BR) LOCALECODE="-6"; LOCALE="pt_BR"; LC_ALL_VAR="pt_BR.ISO8859-1";;
      zh_CN) LOCALECODE="-7"; LOCALE="zh_CN"; LC_ALL_VAR="zh_CN.GBK";;
      zh_TW) LOCALECODE="-8"; LOCALE="zh_TW"; LC_ALL_VAR="zh_TW.BIG5";;
      ko_KR) LOCALECODE="-9"; LOCALE="ko_KR"; LC_ALL_VAR="ko_KR.EUC";;
      ja_JP) LOCALECODE="-10"; LOCALE="ja_JP"; LC_ALL_VAR="ja_JP.eucJP";;
      *) LOCALECODE="-1"; LOCALE="en_US"; LC_ALL_VAR="en_US.ISO8859-1";;
   esac

else
   /usr/bin/echo "Unsupported platform: $OS_NAME" | tee -a ${WCSDIR}/logs/${LOGFILE}
   /usr/bin/echo "Exiting ..." | tee -a ${WCSDIR}/logs/${LOGFILE}
   exit 1
fi

if [[ -d ${WCSDIR} ]];
then
   /usr/bin/echo "" | tee -a ${WCSDIR}/logs/${LOGFILE}
   /usr/bin/echo "Websphere Commerce Server HOME is $WCSDIR" | tee -a ${WCSDIR}/logs/${LOGFILE}
   /usr/bin/echo "EDITION: $EDITION" | tee -a ${WCSDIR}/logs/${LOGFILE}
   /usr/bin/echo "" | tee -a ${WCSDIR}/logs/${LOGFILE}
else
   /usr/bin/echo "" | tee -a ${WCSDIR}/logs/${LOGFILE}
   /usr/bin/echo "ERROR: Websphere Commerce Server NOT DETECTED. Expecting $WCSDIR" | tee -a ${WCSDIR}/logs/${LOGFILE}
   /usr/bin/echo "" | tee -a ${WCSDIR}/logs/${LOGFILE}
   exit 1
fi

if [[ -f /etc/resolv.conf ]];
then
   DOMAIN=`( /usr/bin/grep "^domain" /etc/resolv.conf | /usr/bin/awk '{print $2}')`
fi

#
# Insert cfg script here
#
if [ $# -eq 1 ]
then
   FILENAME=$1

   #
   # No other checking done other than if file exists. Parameters must be set correctly
   #
   if [[ -f $FILENAME ]];
   then
      /usr/bin/echo "File: $FILENAME detected. Silent Mode" | tee -a ${WCSDIR}/logs/${LOGFILE}

      SILENT=1

      WASDIR=`(/usr/bin/grep "^WASDIR=" $FILENAME | /usr/bin/cut -d"=" -f2)`

      DBVERSION=`(/usr/bin/grep "^DBVERSION=" $FILENAME | /usr/bin/cut -d"=" -f2)`
      ORACLEVER=`(/usr/bin/grep "^ORACLEVER=" $FILENAME | /usr/bin/cut -d"=" -f2)`

      DB=`(/usr/bin/grep "^DB=" $FILENAME | /usr/bin/cut -d"=" -f2)`
      if [ $DB -eq 2 ]
      then
         O817=1
      fi

      DBDIR=`(/usr/bin/grep "^DBDIR=" $FILENAME | /usr/bin/cut -d"=" -f2)`

      PM=`(/usr/bin/grep "^PM=" $FILENAME | /usr/bin/cut -d"=" -f2)`
      PMDIR=`(/usr/bin/grep "^PMDIR=" $FILENAME | /usr/bin/cut -d"=" -f2)`

      WEBSERVER=`(/usr/bin/grep "^WEBSERVER=" $FILENAME | /usr/bin/cut -d"=" -f2)`

      if [ $WEBSERVER -eq 1 ]
      then
         HTTPVERSION=`(/usr/bin/grep "^HTTPVERSION=" $FILENAME | /usr/bin/cut -d"=" -f2)`
         NESVERSION="x"
         DOMINOVERSION="x"
         WEBDIR=`(/usr/bin/grep "^WEBDIR=" $FILENAME | /usr/bin/cut -d"=" -f2)`
      elif [ $WEBSERVER -eq 2 ]
      then
         HTTPVERSION="x"
         NESVERSION=`(/usr/bin/grep "^NESVERSION=" $FILENAME | /usr/bin/cut -d"=" -f2)`
         NES80=`(/usr/bin/grep "^NES80=" $FILENAME | /usr/bin/cut -d"=" -f2)`
         NES443=`(/usr/bin/grep "^NES443=" $FILENAME | /usr/bin/cut -d"=" -f2)`
         NES8000=`(/usr/bin/grep "^NES8000=" $FILENAME | /usr/bin/cut -d"=" -f2)`
         DOMINOVERSION="x"
         WEBDIR=`(/usr/bin/grep "^WEBDIR=" $FILENAME | /usr/bin/cut -d"=" -f2)`
      elif [ $WEBSERVER -eq 3 ]
      then
         HTTPVERSION="x"
         NESVERSION="x"
         DOMINOVERSION=`(/usr/bin/grep "^DOMINOVERSION=" $FILENAME | /usr/bin/cut -d"=" -f2)`
         WEBDIR=`(/usr/bin/grep "^WEBDIR=" $FILENAME | /usr/bin/cut -d"=" -f2)`
      else
         HTTPVERSION="x"
         NESVERSION="x"
         DOMINOVERSION="x"
      fi

      LOCALECODE=`(/usr/bin/grep "^LOCALECODE=" $FILENAME | /usr/bin/cut -d"=" -f2)`

      LOCALE=`(/usr/bin/grep "^LOCALE=" $FILENAME | /usr/bin/cut -d"=" -f2)`

      DBUSER=`(/usr/bin/grep "^DBUSER=" $FILENAME | /usr/bin/cut -d"=" -f2)`
      DBUSERGROUP=`(/usr/bin/grep "^DBUSERGROUP=" $FILENAME | /usr/bin/cut -d"=" -f2)`

      RUNNONROOT=`(/usr/bin/grep "^RUNNONROOT" $FILENAME | /usr/bin/cut -d"=" -f2)`
      WCSUSER=`(/usr/bin/grep "^WCSUSER=" $FILENAME | /usr/bin/cut -d"=" -f2)`
      WCSGROUP=`(/usr/bin/grep "^WCSGROUP=" $FILENAME | /usr/bin/cut -d"=" -f2)`
      WASPORT=`(/usr/bin/grep "^WASPORT=" $FILENAME | /usr/bin/cut -d"=" -f2)`

      TIER=`(/usr/bin/grep "^TIER=" $FILENAME | /usr/bin/cut -d"=" -f2)`

      Doit

   fi
fi

while :
do
   /usr/bin/echo "**********************************************************" | tee -a ${WCSDIR}/logs/${LOGFILE}
   /usr/bin/echo "* Enter: quit to exit this loop at any time              *" | tee -a ${WCSDIR}/logs/${LOGFILE}
   /usr/bin/echo "**********************************************************" | tee -a ${WCSDIR}/logs/${LOGFILE}

   /usr/bin/echo "" | tee -a ${WCSDIR}/logs/${LOGFILE}
   /usr/bin/echo "LANGUAGE LOCALE" | tee -a ${WCSDIR}/logs/${LOGFILE}
   /usr/bin/echo "" | tee -a ${WCSDIR}/logs/${LOGFILE}
   /usr/bin/echo "en_US" | tee -a ${WCSDIR}/logs/${LOGFILE}
   /usr/bin/echo "fr_FR" | tee -a ${WCSDIR}/logs/${LOGFILE}
   /usr/bin/echo "de_DE" | tee -a ${WCSDIR}/logs/${LOGFILE}
   /usr/bin/echo "it_IT" | tee -a ${WCSDIR}/logs/${LOGFILE}
   /usr/bin/echo "es_ES" | tee -a ${WCSDIR}/logs/${LOGFILE}
   /usr/bin/echo "pt_BR" | tee -a ${WCSDIR}/logs/${LOGFILE}
   /usr/bin/echo "zh_CN" | tee -a ${WCSDIR}/logs/${LOGFILE}
   /usr/bin/echo "zh_TW" | tee -a ${WCSDIR}/logs/${LOGFILE}
   /usr/bin/echo "ko_KR" | tee -a ${WCSDIR}/logs/${LOGFILE}
   if [[ "$OS_NAME" = "AIX" ]];
   then
      /usr/bin/echo "Ja_JP" | tee -a ${WCSDIR}/logs/${LOGFILE}
   else
      /usr/bin/echo "ja_JP" | tee -a ${WCSDIR}/logs/${LOGFILE}
   fi
   /usr/bin/echo "" | tee -a ${WCSDIR}/logs/${LOGFILE}

   read TEMP?"Enter the LANGUAGE LOCALE you wish to use [Default:$LOCALE]:"

   if [[ "${TEMP}" = "quit" ]];
   then
      read JUNK?"Press enter to continue."
      exit 0
   fi

   if [[ "${TEMP}" = "" ]];
   then
      /usr/bin/echo "Using Default of $LOCALE" | tee -a ${WCSDIR}/logs/${LOGFILE}

      if [[ "$OS_NAME" = "AIX" ]];
      then

         case "$LOCALE" in
            en_US) LOCALECODE="-1"; LOCALE="en_US"; break;;
            fr_FR) LOCALECODE="-2"; LOCALE="fr_FR"; break;;
            de_DE) LOCALECODE="-3"; LOCALE="de_DE"; break;;
            it_IT) LOCALECODE="-4"; LOCALE="it_IT"; break;;
            es_ES) LOCALECODE="-5"; LOCALE="es_ES"; break;;
            pt_BR) LOCALECODE="-6"; LOCALE="pt_BR"; break;;
            zh_CN) LOCALECODE="-7"; LOCALE="zh_CN"; break;;
            zh_TW) LOCALECODE="-8"; LOCALE="zh_TW"; break;;
            ko_KR) LOCALECODE="-9"; LOCALE="ko_KR"; break;;
            Ja_JP) LOCALECODE="-10"; LOCALE="ja_JP"; break;;
            *) LOCALECODE="-9999";;
         esac

         /usr/bin/echo "Invalid entry of $LOCALE" | tee -a ${WCSDIR}/logs/${LOGFILE}

      else

         case "$LOCALE" in
            en_US) LOCALECODE="-1"; LOCALE="en_US"; LC_ALL_VAR="en_US.ISO8859-1"; break;;
            fr_FR) LOCALECODE="-2"; LOCALE="fr_FR"; LC_ALL_VAR="fr_FR.ISO8859-1"; break;;
            de_DE) LOCALECODE="-3"; LOCALE="de_DE"; LC_ALL_VAR="de_DE.ISO8859-1"; break;;
            it_IT) LOCALECODE="-4"; LOCALE="it_IT"; LC_ALL_VAR="it_IT.ISO8859-1"; break;;
            es_ES) LOCALECODE="-5"; LOCALE="es_ES"; LC_ALL_VAR="es_ES.ISO8859-1"; break;;
            pt_BR) LOCALECODE="-6"; LOCALE="pt_BR"; LC_ALL_VAR="pt_BR.ISO8859-1"; break;;
            zh_CN) LOCALECODE="-7"; LOCALE="zh_CN"; LC_ALL_VAR="zh_CN.GBK"; break;;
            zh_TW) LOCALECODE="-8"; LOCALE="zh_TW"; LC_ALL_VAR="zh_TW.BIG5"; break;;
            ko_KR) LOCALECODE="-9"; LOCALE="ko_KR"; LC_ALL_VAR="ko_KR.EUC"; break;;
            ja_JP) LOCALECODE="-10"; LOCALE="ja_JP"; LC_ALL_VAR="ja_JP.eucJP"; break;;
            *) LOCALECODE="-9999";;
         esac

         /usr/bin/echo "Invalid entry of $LOCALE" | tee -a ${WCSDIR}/logs/${LOGFILE}
      fi

   else

      if [[ "$OS_NAME" = "AIX" ]];
      then
         case "$TEMP" in
            en_US) LOCALECODE="-1"; LOCALE="en_US";;
            fr_FR) LOCALECODE="-2"; LOCALE="fr_FR";;
            de_DE) LOCALECODE="-3"; LOCALE="de_DE";;
            it_IT) LOCALECODE="-4"; LOCALE="it_IT";;
            es_ES) LOCALECODE="-5"; LOCALE="es_ES";;
            pt_BR) LOCALECODE="-6"; LOCALE="pt_BR";;
            zh_CN) LOCALECODE="-7"; LOCALE="zh_CN";;
            zh_TW) LOCALECODE="-8"; LOCALE="zh_TW";;
            ko_KR) LOCALECODE="-9"; LOCALE="ko_KR";;
            Ja_JP) LOCALECODE="-10"; LOCALE="ja_JP";;
            *) LOCALECODE="-9999";;
         esac
      else
         case "$TEMP" in
            en_US) LOCALECODE="-1"; LOCALE="en_US"; LC_ALL_VAR="en_US.ISO8859-1";;
            fr_FR) LOCALECODE="-2"; LOCALE="fr_FR"; LC_ALL_VAR="fr_FR.ISO8859-1";;
            de_DE) LOCALECODE="-3"; LOCALE="de_DE"; LC_ALL_VAR="de_DE.ISO8859-1";;
            it_IT) LOCALECODE="-4"; LOCALE="it_IT"; LC_ALL_VAR="it_IT.ISO8859-1";;
            es_ES) LOCALECODE="-5"; LOCALE="es_ES"; LC_ALL_VAR="es_ES.ISO8859-1";;
            pt_BR) LOCALECODE="-6"; LOCALE="pt_BR"; LC_ALL_VAR="pt_BR.ISO8859-1";;
            zh_CN) LOCALECODE="-7"; LOCALE="zh_CN"; LC_ALL_VAR="zh_CN.GBK";;
            zh_TW) LOCALECODE="-8"; LOCALE="zh_TW"; LC_ALL_VAR="zh_TW.BIG5";;
            ko_KR) LOCALECODE="-9"; LOCALE="ko_KR"; LC_ALL_VAR="ko_KR.EUC";;
            ja_JP) LOCALECODE="-10"; LOCALE="ja_JP"; LC_ALL_VAR="ja_JP.eucJP";;
            *) LOCALECODE="-9999";;
         esac
      fi

      if [[ "${LOCALECODE}" = "-9999" ]];
      then
         /usr/bin/echo "Invalid entry of $TEMP" | tee -a ${WCSDIR}/logs/${LOGFILE}
         continue
      else
         #LOCALE=$TEMP
         /usr/bin/echo "Using LOCALE of $TEMP:$LOCALECODE" | tee -a ${WCSDIR}/logs/${LOGFILE}
         break;
      fi
   fi

done

while :
do

   /usr/bin/echo "" | tee -a ${WCSDIR}/logs/${LOGFILE}
   /usr/bin/echo "HOSTNAME and DOMAIN" | tee -a ${WCSDIR}/logs/${LOGFILE}

   read TEMP?"Enter your $EDITION 5.4 machine's short hostname [Default:$HOST]:"

   if [[ "${TEMP}" = "quit" ]];
   then
      read JUNK?"Press enter to continue."
      exit 0
   fi

   if [[ "${TEMP}" = "" ]];
   then
      /usr/bin/echo "Using Default of $HOST" | tee -a ${WCSDIR}/logs/${LOGFILE}
   else
      HOST=$TEMP
      /usr/bin/echo "Using Short Host of $HOST" | tee -a ${WCSDIR}/logs/${LOGFILE}
   fi

   read TEMP?"Enter your $EDITION 5.4 machine's domain [Default:$DOMAIN]:"

   if [[ "${TEMP}" = "quit" ]];
   then
      read JUNK?"Press enter to continue."
      exit 0
   fi

   if [[ "${TEMP}" = "" ]];
   then
      /usr/bin/echo "Using Default of $DOMAIN" | tee -a ${WCSDIR}/logs/${LOGFILE}
   else
      DOMAIN=$TEMP
      /usr/bin/echo "Using Short Host of $DOMAIN" | tee -a ${WCSDIR}/logs/${LOGFILE}
   fi

   break;
done

while :
do

   /usr/bin/echo "" | tee -a ${WCSDIR}/logs/${LOGFILE}
   /usr/bin/echo "WEBSPHERE APPLICATION SERVER" | tee -a ${WCSDIR}/logs/${LOGFILE}

   read CHECK_DIR?"Enter the WAS HOME directory [Default:$WASDIR]:"

   if [[ "${CHECK_DIR}" = "quit" ]];
   then
      read JUNK?"Press enter to continue."
      exit 0
   fi

   if [[ "${CHECK_DIR}" = "" ]];
   then
      /usr/bin/echo "Using Default of $WASDIR" | tee -a ${WCSDIR}/logs/${LOGFILE}
      CHECK_DIR=$WASDIR
   fi

   if [[ -d ${CHECK_DIR} ]];
   then
      WASDIR=$CHECK_DIR
      /usr/bin/echo "WAS HOME is $WASDIR" | tee -a ${WCSDIR}/logs/${LOGFILE}

      if [[ ! -f ${WASDIR}/properties/com/ibm/websphere/product.xml ]];
      then
         /usr/bin/echo "ERROR: No WAS product.xml detected. Invalid WAS HOME $WASDIR" | tee -a ${WCSDIR}/logs/${LOGFILE}
         continue
      fi
      TEMP=`(/usr/bin/grep "<version>$WASVERSION</version>" ${WASDIR}/properties/com/ibm/websphere/product.xml)`
      if [ $? -ne 0 ];
      then
         /usr/bin/echo "ERROR: Detected unsupported WASVERSION: Looking for $WASVERSION" | tee -a ${WCSDIR}/logs/${LOGFILE}
      else
         TEMP=`(/usr/bin/grep "<number>$WASBUILD</number>" ${WASDIR}/properties/com/ibm/websphere/product.xml)`
         if [ $? -ne 0 ];
         then
            /usr/bin/echo "ERROR: Detected unsupported WAS $WASVERSION WASBUILD: Looking for $WASBUILD" | tee -a ${WCSDIR}/logs/${LOGFILE}
         else
            TEMP=`(/usr/bin/grep "<date>$WASDATE</date>" ${WASDIR}/properties/com/ibm/websphere/product.xml)`
            if [ $? -ne 0 ];
            then
               /usr/bin/echo "ERROR: Detected unsupported WAS $WASVERSION WASDATE: Looking for $WASDATE" | tee -a ${WCSDIR}/logs/${LOGFILE}
            else
               /usr/bin/echo "Checking version of WAS ... $WASVERSION PASS" | tee -a ${WCSDIR}/logs/${LOGFILE}
            fi
         fi
      fi
   else
      /usr/bin/echo "Invalid entry of $CHECK_DIR" | tee -a ${WCSDIR}/logs/${LOGFILE}
      continue
   fi

   break;
done

while :
do

   /usr/bin/echo "" | tee -a ${WCSDIR}/logs/${LOGFILE}
   /usr/bin/echo "DATABASE SELECTION" | tee -a ${WCSDIR}/logs/${LOGFILE}

   /usr/bin/echo "Select your database for use with $EDITION 5.4 [Default:NONE]" | tee -a ${WCSDIR}/logs/${LOGFILE}
   /usr/bin/echo "1: IBM DB2 7.2 FP5 ($DBVERSION)" | tee -a ${WCSDIR}/logs/${LOGFILE}
   /usr/bin/echo "2: ORACLE $ORACLEVER" | tee -a ${WCSDIR}/logs/${LOGFILE}
   read TEMP?":"

   if [[ "${TEMP}" = "quit" ]];
   then
      read JUNK?"Press enter to continue."
      exit 0
   fi

   VALID=`(/usr/bin/echo $TEMP | /usr/bin/grep "[0-9]")`
   if [[ $? -ne 0 ]];
   then
      /usr/bin/echo "Invalid entry $TEMP" | tee -a ${WCSDIR}/logs/${LOGFILE}
      continue
   fi

   if [[ $TEMP -eq 1 ]];
   then
      DB=1

      DBUSER=db2inst1
      DBUSERGROUP=db2iadm1

      if [[ "$OS_NAME" = "AIX" ]];
      then
         DBDIR=/usr/lpp/db2_07_01
         FILESET=db2_07_01.db2.rte
         AIXHardCheck $FILESET $DBVERSION
         RETVAL=$?
      elif [[ "$OS_NAME" = "SunOS" || "$OS_NAME" = "Solaris" ]];
      then
         DBDIR=/opt/IBMdb2/V7.1
         FILESET=db2rte71
         SUNHardCheck $FILESET $DBVERSION
         RETVAL=$?
      else
         /usr/bin/echo "Unsupported platform: $OS_NAME" | tee -a ${WCSDIR}/logs/${LOGFILE}
         /usr/bin/echo "Exiting ..." | tee -a ${WCSDIR}/logs/${LOGFILE}
         exit 1
      fi

      if [ $RETVAL -eq 0 ];
      then
         #echo "IBM DB2 DATABASE APPLICATION Version: $DBVERSION"
         /usr/bin/echo "Checking version of DB ... $DBVERSION PASS" | tee -a ${WCSDIR}/logs/${LOGFILE}
      elif [ $RETVAL -eq 1 ];
      then
         #echo "IBM DB2 DATABASE APPLICATION Version: $DBVERSION"
         if [[ "$OS_NAME" = "AIX" ]];
         then
            CURVERS=`(lslpp -Lq | /usr/bin/grep $FILESET | /usr/bin/awk '{print $2}')`
         elif [[ "$OS_NAME" = "SunOS" || "$OS_NAME" = "Solaris" ]];
         then
            CURVERS=`(pkginfo -l $FILESET | /usr/bin/sed "5q;d" | /usr/bin/awk '{print $2}')`
            RETVAL=$?
         else
            /usr/bin/echo "Unsupported platform: $OS_NAME" | tee -a ${WCSDIR}/logs/${LOGFILE}
            /usr/bin/echo "Exiting ..." | tee -a ${WCSDIR}/logs/${LOGFILE}
            exit 1
         fi
         /usr/bin/echo "WARNING: Detected higher DB Version: $CURVERS" | tee -a ${WCSDIR}/logs/${LOGFILE}
      elif [ $RETVAL -eq 2 ];
      then
         #echo "IBM DB2 DATABASE APPLICATION Version: $DBVERSION"
         if [[ "$OS_NAME" = "AIX" ]];
         then
            CURVERS=`(lslpp -Lq | /usr/bin/grep $FILESET | /usr/bin/awk '{print $2}')`
         elif [[ "$OS_NAME" = "SunOS" || "$OS_NAME" = "Solaris" ]];
         then
            CURVERS=`(pkginfo -l $FILESET | /usr/bin/sed "5q;d" | /usr/bin/awk '{print $2}')`
            RETVAL=$?
         else
            /usr/bin/echo "Unsupported platform: $OS_NAME" | tee -a ${WCSDIR}/logs/${LOGFILE}
            /usr/bin/echo "Exiting ..." | tee -a ${WCSDIR}/logs/${LOGFILE}
            exit 1
         fi
         /usr/bin/echo "ERROR: Detected unsupported DB Version: $CURVERS" | tee -a ${WCSDIR}/logs/${LOGFILE}
         /usr/bin/echo "Exiting ..." | tee -a ${WCSDIR}/logs/${LOGFILE}
         exit 1
      elif [ $RETVAL -eq 3 ];
      then

         if [[ "$OS_NAME" = "AIX" ]];
         then
            FILESET=db2_07_01.client
            AIXHardCheck $FILESET $DBVERSION
            RETVAL=$?
         elif [[ "$OS_NAME" = "SunOS" || "$OS_NAME" = "Solaris" ]];
         then
            FILESET=db2cliv71
            SUNHardCheck $FILESET $DBVERSION
            RETVAL=$?
         else
            /usr/bin/echo "Unsupported platform: $OS_NAME" | tee -a ${WCSDIR}/logs/${LOGFILE}
            /usr/bin/echo "Exiting ..." | tee -a ${WCSDIR}/logs/${LOGFILE}
            exit 1
         fi

         if [ $RETVAL -eq 0 ];
         then
            #echo "IBM DB2 DATABASE CLIENT Version: $DBVERSION"
            /usr/bin/echo "Checking version of DB2 Client ... $DBVERSION PASS" | tee -a ${WCSDIR}/logs/${LOGFILE}
            TIER="2"
         elif [ $RETVAL -eq 1 ];
         then
            #echo "IBM DB2 DATABASE CLIENT Version: $DBVERSION"
            /usr/bin/echo "" | tee -a ${WCSDIR}/logs/${LOGFILE}

            if [[ "$OS_NAME" = "AIX" ]];
            then
               CURVERS=`(lslpp -Lq | /usr/bin/grep $FILESET | /usr/bin/awk '{print $2}')`
            elif [[ "$OS_NAME" = "SunOS" || "$OS_NAME" = "Solaris" ]];
            then
               CURVERS=`(pkginfo -l $FILESET | /usr/bin/sed "5q;d" | /usr/bin/awk '{print $2}')`
               RETVAL=$?
            else
               /usr/bin/echo "Unsupported platform: $OS_NAME" | tee -a ${WCSDIR}/logs/${LOGFILE}
               /usr/bin/echo "Exiting ..." | tee -a ${WCSDIR}/logs/${LOGFILE}
              exit 1
            fi
            /usr/bin/echo "WARNING: Detected higher DB Version: $CURVERS" | tee -a ${WCSDIR}/logs/${LOGFILE}
         elif [ $RETVAL -eq 2 ];
         then
            #echo "IBM DB2 DATABASE CLIENT Version: $DBVERSION"
            /usr/bin/echo "" | tee -a ${WCSDIR}/logs/${LOGFILE}

            if [[ "$OS_NAME" = "AIX" ]];
            then
               CURVERS=`(lslpp -Lq | /usr/bin/grep $FILESET | /usr/bin/awk '{print $2}')`
            elif [[ "$OS_NAME" = "SunOS" || "$OS_NAME" = "Solaris" ]];
            then
               CURVERS=`(pkginfo -l $FILESET | /usr/bin/sed "5q;d" | /usr/bin/awk '{print $2}')`
               RETVAL=$?
            else
               /usr/bin/echo "Unsupported platform: $OS_NAME" | tee -a ${WCSDIR}/logs/${LOGFILE}
               /usr/bin/echo "Exiting ..." | tee -a ${WCSDIR}/logs/${LOGFILE}
              exit 1
            fi
            /usr/bin/echo "ERROR: Detected unsupported DB Version: $CURVERS" | tee -a ${WCSDIR}/logs/${LOGFILE}
            /usr/bin/echo "Exiting ..." | tee -a ${WCSDIR}/logs/${LOGFILE}
            exit 1
         else
            /usr/bin/echo "ERROR: No IBM DB2 $DBVERSION DATABASE APPLICATION DETECTED" | tee -a ${WCSDIR}/logs/${LOGFILE}
         fi
      else
         /usr/bin/echo "ERROR in detecting IBM DB2 $DBVERSION DATABASE APPLICATION" | tee -a ${WCSDIR}/logs/${LOGFILE}
      fi


      if [[ "$OS_NAME" = "AIX" ]];
      then
         FILESET=db2_07_01.adt.rte
         AIXHardCheck $FILESET $DBVERSION
         RETVAL=$?
      elif [[ "$OS_NAME" = "SunOS" || "$OS_NAME" = "Solaris" ]];
      then
         FILESET=db2adt71
         SUNHardCheck $FILESET $DBVERSION
         RETVAL=$?
      else
         /usr/bin/echo "Unsupported platform: $OS_NAME" | tee -a ${WCSDIR}/logs/${LOGFILE}
         /usr/bin/echo "Exiting ..." | tee -a ${WCSDIR}/logs/${LOGFILE}
         exit 1
      fi

      if [ $RETVAL -eq 0 ];
      then
         #echo "IBM DB2 ADT Version: $DBVERSION"
         /usr/bin/echo "Checking version of DB ADT ... $DBVERSION PASS" | tee -a ${WCSDIR}/logs/${LOGFILE}
      elif [ $RETVAL -eq 1 ];
      then
         #echo "IBM DB2 ADT Version: $DBVERSION"
         /usr/bin/echo "" | tee -a ${WCSDIR}/logs/${LOGFILE}

         if [[ "$OS_NAME" = "AIX" ]];
         then
            CURVERS=`(lslpp -Lq | /usr/bin/grep $FILESET | /usr/bin/awk '{print $2}')`
         elif [[ "$OS_NAME" = "SunOS" || "$OS_NAME" = "Solaris" ]];
         then
            CURVERS=`(pkginfo -l $FILESET | /usr/bin/sed "5q;d" | /usr/bin/awk '{print $2}')`
            RETVAL=$?
         else
            /usr/bin/echo "Unsupported platform: $OS_NAME" | tee -a ${WCSDIR}/logs/${LOGFILE}
            /usr/bin/echo "Exiting ..." | tee -a ${WCSDIR}/logs/${LOGFILE}
            exit 1
         fi
         /usr/bin/echo "WARNING: Detected higher DB ADT Version: $CURVERS" | tee -a ${WCSDIR}/logs/${LOGFILE}
      elif [ $RETVAL -eq 2 ];
      then
         #echo "IBM DB2 ADT Version: $DBVERSION"
         /usr/bin/echo "" | tee -a ${WCSDIR}/logs/${LOGFILE}

         if [[ "$OS_NAME" = "AIX" ]];
         then
            CURVERS=`(lslpp -Lq | /usr/bin/grep $FILESET | /usr/bin/awk '{print $2}')`
         elif [[ "$OS_NAME" = "SunOS" || "$OS_NAME" = "Solaris" ]];
         then
            CURVERS=`(pkginfo -l $FILESET | /usr/bin/sed "5q;d" | /usr/bin/awk '{print $2}')`
            RETVAL=$?
         else
            /usr/bin/echo "Unsupported platform: $OS_NAME" | tee -a ${WCSDIR}/logs/${LOGFILE}
            /usr/bin/echo "Exiting ..." | tee -a ${WCSDIR}/logs/${LOGFILE}
            exit 1
         fi
         /usr/bin/echo "ERROR: Detected unsupported DB ADT Version: $CURVERS" | tee -a ${WCSDIR}/logs/${LOGFILE}
         /usr/bin/echo "Exiting ..." | tee -a ${WCSDIR}/logs/${LOGFILE}
         exit 1
      else
         /usr/bin/echo "ERROR: You MUST have the DB2 $DBVERSION Application Development Tools Installed." | tee -a ${WCSDIR}/logs/${LOGFILE}
      fi

      /usr/bin/echo "" | tee -a ${WCSDIR}/logs/${LOGFILE}

   elif [[ $TEMP -eq 2 ]];
   then
      DB=2
      DBDIR=/home/oracle

      DBUSER=oracle
      DBUSERGROUP=oinstall

      if [[ "$OS_NAME" = "AIX" ]];
      then
         ORATAB=/etc/oratab

         if [ -f ${ORATAB} ];
         then
            for TEMP in `(/usr/bin/grep -v "#" $ORATAB)`;
            do
               ORALOC=`( /usr/bin/echo $TEMP | /usr/bin/grep ":" | /usr/bin/awk -v FS=":" '{print $2}')`
               if [ "$ORALOC" != "" ];
               then
                  if [ -d $ORALOC ];
                  then
                     if [ -f $ORALOC/install/unix.rgs ];
                     then
                        TEMP=`(/usr/bin/grep "svrmgr" $ORALOC/install/unix.rgs)`
                        if [ $? -ne 0 ];
                        then
                           TEMP=`(/usr/bin/grep "sql\*plus" $ORALOC/install/unix.rgs)`
                           if [ $? -ne 0 ];
                           then
                              CURVER="x"
                              RETVAL=3
                           else
                              CURVER=`(/usr/bin/grep "sql\*plus" $ORALOC/install/unix.rgs | /usr/bin/awk '{print $2}')`

                              AIXTokenCompare $CURVER $ORACLEVER
                              RETVAL=$?

                           fi
                        else
                           CURVER=`(/usr/bin/grep "svrmgr" $ORALOC/install/unix.rgs | /usr/bin/awk '{print $2}')`

                           AIXTokenCompare $CURVER $ORACLEVER
                           RETVAL=$?

                        fi
                     else
                        CURVER="x"
                        RETVAL=3
                     fi

                     if [ $RETVAL -eq 0 ];
                     then
                        /usr/bin/echo "Detected Oracle $ORACLEVER installed." | tee -a ${WCSDIR}/logs/${LOGFILE}
                        O817=1
                        DBDIR=$ORALOC
                        break;
                     elif [ $RETVAL -eq 1 ];
                     then
                        /usr/bin/echo "Detected Oracle $CURVER installed." | tee -a ${WCSDIR}/logs/${LOGFILE}
                        O817=1
                        DBDIR=$ORALOC
                        ORACLEVER=$CURVER
                        break;
                     elif [ $RETVAL -eq 2 ];
                     then

                        TEMP=`($ORALOC/bin/trcroute | /usr/bin/grep $ORACLEVER )`
                        if [ $? -ne 0 ];
                        then
                           O817=0
                           /usr/bin/echo "ERROR: Detected Oracle $CURVER installed. Expecting Oracle $ORACLEVER" | tee -a ${WCSDIR}/logs/${LOGFILE}
                           ORACLEVER=$CURVER
                        else
                           /usr/bin/echo "Detected Oracle $ORACLEVER installed." | tee -a ${WCSDIR}/logs/${LOGFILE}
                           O817=1
                           DBDIR=$ORALOC
                           break;
                        fi

                     else
                        O817=0
                     fi
                  fi
               fi
            done 
         fi

         #
         # If oratab did not work, use oraInst.loc as backup
         #
         if [ $O817 -ne 1 ];
         then
            ORATAB=/etc/oraInst.loc
            if [ -f $ORATAB ];
            then
               TEMP=`(/usr/bin/grep "inventory_loc" $ORATAB | /usr/bin/grep "oraInventory")`
               if [ $? -eq 0 ];
               then
                  ORC=`(/usr/bin/grep "inventory_loc" $ORATAB | /usr/bin/cut -d"=" -f2)`
                  COUNT=1
                  TEMP=`(/usr/bin/echo $ORC | /usr/bin/cut -d"/" -f$COUNT | /usr/bin/grep "oraInventory")`
                  while [ $? -ne 0 ]
                  do
                     COUNT=`expr $COUNT + 1`
                     TEMP=`(/usr/bin/echo $ORC | /usr/bin/cut -d"/" -f$COUNT | /usr/bin/grep "oraInventory")`
                  done
                  COUNT=`expr $COUNT - 1`
                  ORALOC="`(/usr/bin/echo $ORC | /usr/bin/cut -d"/" -f1-$COUNT)`/product/8.1.7"
                  if [ ! -d $ORALOC ];
                  then
                     # Default Oracle dir not there, so must be customized
                     ORALOC=`(/usr/bin/echo $ORC | /usr/bin/cut -d"/" -f1-$COUNT)`
                  fi
                  if [ -d $ORALOC ];
                  then
                     if [ -f $ORALOC/install/unix.rgs ];
                     then
                        TEMP=`(/usr/bin/grep "svrmgr" $ORALOC/install/unix.rgs)`
                        if [ $? -ne 0 ];
                        then
                           TEMP=`(/usr/bin/grep "sql\*plus" $ORALOC/install/unix.rgs)`
                           if [ $? -ne 0 ];
                           then
                              CURVER="x"
                              RETVAL=3
                           else
                              CURVER=`(/usr/bin/grep "sql\*plus" $ORALOC/install/unix.rgs | /usr/bin/awk '{print $2}')`

                              AIXTokenCompare $CURVER $ORACLEVER
                              RETVAL=$?

                           fi
                        else
                           CURVER=`(/usr/bin/grep "svrmgr" $ORALOC/install/unix.rgs | /usr/bin/awk '{print $2}')`

                           AIXTokenCompare $CURVER $ORACLEVER
                           RETVAL=$?

                        fi
                     else
                        CURVER="x"
                        RETVAL=3
                     fi

                     if [ $RETVAL -eq 0 ];
                     then
                        /usr/bin/echo "Detected Oracle $ORACLEVER installed." | tee -a ${WCSDIR}/logs/${LOGFILE}
                        O817=1
                        DBDIR=$ORALOC
                        ORACLEVER=$CURVER
                        break;
                     elif [ $RETVAL -eq 1 ];
                     then
                        /usr/bin/echo "Detected Oracle $CURVER installed." | tee -a ${WCSDIR}/logs/${LOGFILE}
                        O817=1
                        DBDIR=$ORALOC
                        ORACLEVER=$CURVER
                        break;
                     elif [ $RETVAL -eq 2 ];
                     then

                        TEMP=`($ORALOC/bin/trcroute | /usr/bin/grep $ORACLEVER )`
                        if [ $? -ne 0 ];
                        then
                           O817=0
                           /usr/bin/echo "ERROR: Detected Oracle $CURVER installed. Expecting Oracle $ORACLEVER" | tee -a ${WCSDIR}/logs/${LOGFILE}
                           ORACLEVER=$CURVER
                        else
                           /usr/bin/echo "Detected Oracle $ORACLEVER installed." | tee -a ${WCSDIR}/logs/${LOGFILE}
                           O817=1
                           DBDIR=$ORALOC
                           break;
                        fi

                     else
                        O817=0
                     fi
                  fi
               fi
            fi
         fi
      elif [[ "$OS_NAME" = "SunOS" || "$OS_NAME" = "Solaris" ]];
      then
         ORATAB=`(/usr/bin/find /var/opt -name oratab)`
         if [ "$ORATAB" != "" ];
         then
            for TEMP in `(/usr/bin/grep -v "#" $ORATAB)`;
            do
               ORALOC=`(/usr/bin/echo $TEMP | /usr/bin/grep ":" | /usr/bin/awk '{FS=":"}{print $2}')`
               if [ "$ORALOC" != "" ];
               then
                  if [ -d $ORALOC ];
                  then
                     if [ -f $ORALOC/install/unix.rgs ];
                     then
                        TEMP=`(/usr/bin/grep "svrmgr" $ORALOC/install/unix.rgs)`
                        if [ $? -ne 0 ];
                        then
                           TEMP=`(/usr/bin/grep "sql\*plus" $ORALOC/install/unix.rgs)`
                           if [ $? -ne 0 ];
                           then
                              CURVER="x"
                              RETVAL=3
                           else
                              CURVER=`(/usr/bin/grep "sql\*plus" $ORALOC/install/unix.rgs | /usr/bin/awk '{print $2}')`

                              SUNTokenCompare $CURVER $ORACLEVER
                              RETVAL=$?

                           fi
                        else
                           CURVER=`(/usr/bin/grep "svrmgr" $ORALOC/install/unix.rgs | /usr/bin/awk '{print $2}')`

                           SUNTokenCompare $CURVER $ORACLEVER
                           RETVAL=$?

                        fi
                     else
                        CURVER="x"
                        RETVAL=3
                     fi
                     if [ $RETVAL -eq 0 ];
                     then
                        /usr/bin/echo "Detected Oracle $ORACLEVER installed." | tee -a ${WCSDIR}/logs/${LOGFILE}
                        O817=1
                        DBDIR=$ORALOC
                        ORACLEVER=$CURVER
                        break;
                     elif [ $RETVAL -eq 1 ];
                     then
                        /usr/bin/echo "Detected Oracle $CURVER installed." | tee -a ${WCSDIR}/logs/${LOGFILE}
                        O817=1
                        DBDIR=$ORALOC
                        ORACLEVER=$CURVER
                        break;
                     elif [ $RETVAL -eq 2 ];
                     then

                        TEMP=`($ORALOC/bin/trcroute | /usr/bin/grep $ORACLEVER )`
                        if [ $? -ne 0 ];
                        then
                           O817=0
                           /usr/bin/echo "ERROR: Detected Oracle $CURVER installed. Expecting Oracle $ORACLEVER" | tee -a ${WCSDIR}/logs/${LOGFILE}
                           ORACLEVER=$CURVER
                        else
                           /usr/bin/echo "Detected Oracle $ORACLEVER installed." | tee -a ${WCSDIR}/logs/${LOGFILE}
                           O817=1
                           DBDIR=$ORALOC
                           break;
                        fi

                     else
                        O817=0
                     fi
                  fi
               fi
            done 
         fi

         #
         # If oratab did not work, use oraInst.loc as backup
         #
         if [ $O817 -ne 1 ];
         then
            ORATAB=`(/usr/bin/find /var/opt -name oraInst.loc)`
            if [ "$ORATAB" != "" ]
            then
               TEMP=`(/usr/bin/grep "inventory_loc" $ORATAB | /usr/bin/grep "oraInventory")`
               if [ $? -eq 0 ];
               then
                  ORC=`(/usr/bin/grep "inventory_loc" $ORATAB | /usr/bin/cut -d"=" -f2)`
                  COUNT=1
                  TEMP=`(/usr/bin/echo $ORC | /usr/bin/cut -d"/" -f$COUNT | /usr/bin/grep "oraInventory")`
                  while [ $? -ne 0 ]
                  do
                     COUNT=`expr $COUNT + 1`
                     TEMP=`(/usr/bin/echo $ORC | /usr/bin/cut -d"/" -f$COUNT | /usr/bin/grep "oraInventory")`
                  done
                  COUNT=`expr $COUNT - 1`
                  ORALOC="`(/usr/bin/echo $ORC | /usr/bin/cut -d"/" -f1-$COUNT)`/product/8.1.7"
                  if [ ! -d $ORALOC ];
                  then
                     # Default Oracle dir not there, so must be customized
                     ORALOC=`(/usr/bin/echo $ORC | /usr/bin/cut -d"/" -f1-$COUNT)`
                  fi
                  if [ -d $ORALOC ];
                  then
                     if [ -f $ORALOC/install/unix.rgs ];
                     then
                        TEMP=`(/usr/bin/grep "svrmgr" $ORALOC/install/unix.rgs)`
                        if [ $? -ne 0 ];
                        then
                           TEMP=`(/usr/bin/grep "sql\*plus" $ORALOC/install/unix.rgs)`
                           if [ $? -ne 0 ];
                           then
                              CURVER="x"
                              RETVAL=3
                           else
                              CURVER=`(/usr/bin/grep "sql\*plus" $ORALOC/install/unix.rgs | /usr/bin/awk '{print $2}')`

                              SUNTokenCompare $CURVER $ORACLEVER
                              RETVAL=$?

                           fi
                        else
                           CURVER=`(/usr/bin/grep "svrmgr" $ORALOC/install/unix.rgs | /usr/bin/awk '{print $2}')`

                           SUNTokenCompare $CURVER $ORACLEVER
                           RETVAL=$?

                        fi
                     else
                        CURVER="x"
                        RETVAL=3
                     fi
                     if [ $RETVAL -eq 0 ];
                     then
                        /usr/bin/echo "Detected Oracle $ORACLEVER installed." | tee -a ${WCSDIR}/logs/${LOGFILE}
                        O817=1
                        DBDIR=$ORALOC
                        ORACLEVER=$CURVER
                        break;
                     elif [ $RETVAL -eq 1 ];
                     then
                        /usr/bin/echo "Detected Oracle $CURVER installed." | tee -a ${WCSDIR}/logs/${LOGFILE}
                        O817=1
                        DBDIR=$ORALOC
                        ORACLEVER=$CURVER
                        break;
                     elif [ $RETVAL -eq 2 ];
                     then

                        TEMP=`($ORALOC/bin/trcroute | /usr/bin/grep $ORACLEVER )`
                        if [ $? -ne 0 ];
                        then
                           O817=0
                           /usr/bin/echo "ERROR: Detected Oracle $CURVER installed. Expecting Oracle $ORACLEVER" | tee -a ${WCSDIR}/logs/${LOGFILE}
                           ORACLEVER=$CURVER
                        else
                           /usr/bin/echo "Detected Oracle $ORACLEVER installed." | tee -a ${WCSDIR}/logs/${LOGFILE}
                           O817=1
                           DBDIR=$ORALOC
                           break;
                        fi

                     else
                        O817=0
                     fi
                  fi
               fi
            fi
         fi
      else
         /usr/bin/echo "Unsupported platform: $OS_NAME" | tee -a ${WCSDIR}/logs/${LOGFILE}
         /usr/bin/echo "Exiting ..." | tee -a ${WCSDIR}/logs/${LOGFILE}
         exit 1
      fi

   else
      /usr/bin/echo "Invalid entry $TEMP" | tee -a ${WCSDIR}/logs/${LOGFILE}
      continue
   fi

   /usr/bin/echo "" | tee -a ${WCSDIR}/logs/${LOGFILE}

   if [[ $DB -eq 2 ]];
   then
      read CHECK_DIR?"Enter the ORACLE_HOME directory [Default:$DBDIR]:"
   else
      read CHECK_DIR?"Enter the DB product install directory [Default:$DBDIR]:"
   fi

   if [[ "${CHECK_DIR}" = "quit" ]];
      then
      read JUNK?"Press enter to continue."
      exit 0
   fi

   if [[ "${CHECK_DIR}" = "" ]];
      then
      /usr/bin/echo "Using Default of $DBDIR" | tee -a ${WCSDIR}/logs/${LOGFILE}
      CHECK_DIR=$DBDIR
   fi

   if [[ -d ${CHECK_DIR} ]];
   then
      DBDIR=$CHECK_DIR
      /usr/bin/echo "DB HOME is $DBDIR" | tee -a ${WCSDIR}/logs/${LOGFILE}
   else
      /usr/bin/echo "Invalid entry of $CHECK_DIR" | tee -a ${WCSDIR}/logs/${LOGFILE}
      continue
   fi

   /usr/bin/echo "" | tee -a ${WCSDIR}/logs/${LOGFILE}

   read TEMP?"Type the USER that you run your DB under [Default:$DBUSER]:"

   if [[ "${TEMP}" = "quit" ]];
   then
      read JUNK?"Press enter to continue."
      exit 0
   fi

   if [[ "${TEMP}" = "" ]];
   then
      /usr/bin/echo "Using Default of $DBUSER" | tee -a ${WCSDIR}/logs/${LOGFILE}
   else
      DBUSER=$TEMP
      /usr/bin/echo "Using DBUSER of $DBUSER" | tee -a ${WCSDIR}/logs/${LOGFILE}
   fi

   /usr/bin/echo "" | tee -a ${WCSDIR}/logs/${LOGFILE}

   read TEMP?"Type the PRIMARY GROUP that your DB USER is part of [Default:$DBUSERGROUP]:"

   if [[ "${TEMP}" = "quit" ]];
   then
      read JUNK?"Press enter to continue."
      exit 0
   fi

   if [[ "${TEMP}" = "" ]];
   then
      /usr/bin/echo "Using Default of $DBUSERGROUP" | tee -a ${WCSDIR}/logs/${LOGFILE}
   else
      DBUSERGROUP=$TEMP
      /usr/bin/echo "Using DBUSER of $DBUSERGROUP" | tee -a ${WCSDIR}/logs/${LOGFILE}
   fi

   TEMP=`(/usr/bin/cat /etc/group | /usr/bin/cut -d":" -f1 | /usr/bin/grep ${DBUSERGROUP})`
   if [[ $? -ne 0 ]]; then
      /usr/bin/echo "Invalid USER:GROUP ${DBUSER}:${DBUSERGROUP}" | tee -a ${WCSDIR}/logs/${LOGFILE}
      /usr/bin/echo "" | tee -a ${WCSDIR}/logs/${LOGFILE}
      continue
   else
      TEMP=`(/usr/bin/cat /etc/passwd | /usr/bin/cut -d":" -f1 | /usr/bin/grep ${DBUSER})`
      if [[ $? -ne 0 ]]; then
         /usr/bin/echo "Invalid USER:GROUP ${DBUSER}:${DBUSERGROUP}" | tee -a ${WCSDIR}/logs/${LOGFILE}
         /usr/bin/echo "" | tee -a ${WCSDIR}/logs/${LOGFILE}
         continue
      else
         /usr/bin/echo "DB USER:GROUP ${DBUSER}:${DBUSERGROUP}" | tee -a ${WCSDIR}/logs/${LOGFILE}
         /usr/bin/echo "" | tee -a ${WCSDIR}/logs/${LOGFILE}
      fi
   fi

   break;
done

while :
do

   /usr/bin/echo "" | tee -a ${WCSDIR}/logs/${LOGFILE}
   /usr/bin/echo "WEBSERVER SELECTION" | tee -a ${WCSDIR}/logs/${LOGFILE}

   /usr/bin/echo "Select your webserver installed on your $EDITION 5.4 machine [Default:NONE]" | tee -a ${WCSDIR}/logs/${LOGFILE}
   /usr/bin/echo "1: IBM HTTP Server $HTTPVERSION" | tee -a ${WCSDIR}/logs/${LOGFILE}
   /usr/bin/echo "2: NES iPlanet 4.1 SP8 (Not Supported on AIX)" | tee -a ${WCSDIR}/logs/${LOGFILE}
   /usr/bin/echo "3: Lotus Domino" | tee -a ${WCSDIR}/logs/${LOGFILE}
   /usr/bin/echo "4: Using REMOTE Webserver" | tee -a ${WCSDIR}/logs/${LOGFILE}
   read TEMP?":"

   if [[ "${TEMP}" = "quit" ]];
   then
      read JUNK?"Press enter to continue."
      exit 0
   fi

   VALID=`(/usr/bin/echo $TEMP | /usr/bin/grep "[0-9]")`
   if [[ $? -ne 0 ]];
   then
      /usr/bin/echo "Invalid entry $TEMP" | tee -a ${WCSDIR}/logs/${LOGFILE}
      continue
   fi

   if [[ $TEMP -eq 1 ]];
   then
      WEBSERVER=1

      if [[ "$OS_NAME" = "AIX" ]];
      then
         WEBDIR=/usr/HTTPServer
      elif [[ "$OS_NAME" = "SunOS" || "$OS_NAME" = "Solaris" ]];
      then
         WEBDIR=/opt/IBMHTTPD
      else
         /usr/bin/echo "Unsupported platform: $OS_NAME" | tee -a ${WCSDIR}/logs/${LOGFILE}
         /usr/bin/echo "Exiting ..." | tee -a ${WCSDIR}/logs/${LOGFILE}
         exit 1
      fi

   elif [[ $TEMP -eq 2 ]];
   then
      WEBSERVER=2
      WEBDIR=/usr/netscape/server4
   elif [[ $TEMP -eq 3 ]];
   then
      WEBSERVER=3
      WEBDIR=""
   elif [[ $TEMP -eq 4 ]];
   then
      WEBSERVER=4
      WEBDIR=""
      TIER="3"
      break;
   else
      /usr/bin/echo "Invalid entry $TEMP" | tee -a ${WCSDIR}/logs/${LOGFILE}
      continue
   fi

   read CHECK_DIR?"Enter the WEBSERVER directory [Default:$WEBDIR]:"

   if [[ "${CHECK_DIR}" = "quit" ]];
      then
      read JUNK?"Press enter to continue."
      exit 0
   fi

   if [[ "${CHECK_DIR}" = "" ]];
      then
      /usr/bin/echo "Using Default of $WEBDIR" | tee -a ${WCSDIR}/logs/${LOGFILE}
      CHECK_DIR=$WEBDIR
   fi

   if [[ -d ${CHECK_DIR} ]];
   then
      WEBDIR=$CHECK_DIR
      /usr/bin/echo "WEBSERVER HOME is $WEBDIR" | tee -a ${WCSDIR}/logs/${LOGFILE}

      if [[ $WEBSERVER -eq 2 ]];
      then

         NES80="$WEBDIR/https-$HOST-80/config"
         NES443="$WEBDIR/https-$HOST-443/config"
         NES8000="$WEBDIR/https-$HOST-8000/config"

         read CHECK_DIR?"Enter iPlanet non-secure config dir [Default:$NES80]:"
         if [[ "${CHECK_DIR}" = "quit" ]];
         then
            read JUNK?"Press enter to continue."
            exit 0
         fi
         if [[ "${CHECK_DIR}" = "" ]];
         then
            /usr/bin/echo "Using Default of $NES80" | tee -a ${WCSDIR}/logs/${LOGFILE}
            CHECK_DIR=$NES80
         fi
         if [[ -d ${CHECK_DIR} ]];
         then
            NES80=$CHECK_DIR
            /usr/bin/echo "iPlanet non-secure: $NES80" | tee -a ${WCSDIR}/logs/${LOGFILE}
         else
            /usr/bin/echo "Invalid entry of $CHECK_DIR" | tee -a ${WCSDIR}/logs/${LOGFILE}
            continue
         fi

         read CHECK_DIR?"Enter iPlanet secure config dir [Default:$NES443]:"
         if [[ "${CHECK_DIR}" = "quit" ]];
         then
            read JUNK?"Press enter to continue."
            exit 0
         fi
         if [[ "${CHECK_DIR}" = "" ]];
         then
            /usr/bin/echo "Using Default of $NES443" | tee -a ${WCSDIR}/logs/${LOGFILE}
            CHECK_DIR=$NES443
         fi
         if [[ -d ${CHECK_DIR} ]];
         then
            NES443=$CHECK_DIR
            /usr/bin/echo "iPlanet secure: $NES443" | tee -a ${WCSDIR}/logs/${LOGFILE}
         else
            /usr/bin/echo "Invalid entry of $CHECK_DIR" | tee -a ${WCSDIR}/logs/${LOGFILE}
            continue
         fi

         read CHECK_DIR?"Enter iPlanet WC Tools config dir  [Default:$NES8000]:"
         if [[ "${CHECK_DIR}" = "quit" ]];
         then
            read JUNK?"Press enter to continue."
            exit 0
         fi
         if [[ "${CHECK_DIR}" = "" ]];
         then
            /usr/bin/echo "Using Default of $NES8000" | tee -a ${WCSDIR}/logs/${LOGFILE}
            CHECK_DIR=$NES8000
         fi
         if [[ -d ${CHECK_DIR} ]];
         then
            NES8000=$CHECK_DIR
            /usr/bin/echo "iPlanet non-secure: $NES8000" | tee -a ${WCSDIR}/logs/${LOGFILE}
         else
            /usr/bin/echo "Invalid entry of $CHECK_DIR" | tee -a ${WCSDIR}/logs/${LOGFILE}
            continue
         fi
      fi

   else
      /usr/bin/echo "Invalid entry of $CHECK_DIR" | tee -a ${WCSDIR}/logs/${LOGFILE}
      continue
   fi

   break;
done

if [[ "$OS_NAME" = "AIX" ]];
then
   if [ $WEBSERVER -eq 1 ];
   then
      AIXHardCheck http_server.base.rte $HTTPVERSION
      RETVAL=$?

      if [ $RETVAL -eq 0 ];
      then
         /usr/bin/echo "Checking version of IBM HTTP ... $HTTPVERSION PASS" | tee -a ${WCSDIR}/logs/${LOGFILE}
      elif [[ $RETVAL -eq 1 || $RETVAL -eq 2 ]];
      then
         TEMP=`(lslpp -Lq | /usr/bin/grep http_server.base.rte | /usr/bin/awk '{print $2}')`

         if [ -f ${WEBDIR}/version.signature ];
         then
            TEMP=`( /usr/bin/cat ${WEBDIR}/version.signature | /usr/bin/awk '{print $4}')`
         else
            /usr/bin/echo "ERROR: Detected unsupported HTTPVERSION: $TEMP" | tee -a ${WCSDIR}/logs/${LOGFILE}
         fi
         if [[ "$TEMP" = "$HTTPVERSION" ]];
         then
            /usr/bin/echo "Checking version of IBM HTTP ... $HTTPVERSION PASS" | tee -a ${WCSDIR}/logs/${LOGFILE}
         else
            /usr/bin/echo "ERROR: Detected unsupported HTTPVERSION: $TEMP" | tee -a ${WCSDIR}/logs/${LOGFILE}
         fi
         HTTPVERSION=$TEMP
      fi
   fi
elif [[ "$OS_NAME" = "SunOS" || "$OS_NAME" = "Solaris" ]];
then
   if [ $WEBSERVER -eq 1 ];
   then
      SUNHardCheck IBMHTTPD $HTTPVERSION
      RETVAL=$?

      if [ $RETVAL -eq 0 ];
      then
         /usr/bin/echo "Checking version of IBM HTTP ... $HTTPVERSION PASS" | tee -a ${WCSDIR}/logs/${LOGFILE}
      elif [[ $RETVAL -eq 1 || $RETVAL -eq 2 ]];
      then
         TEMP=`(pkginfo -l IBMHTTPD | /usr/bin/sed "5q;d" | /usr/bin/awk '{print $2}')`

         if [ -f ${WEBDIR}/version.signature ];
         then
            TEMP=`( /usr/bin/cat ${WEBDIR}/version.signature | /usr/bin/awk '{print $4}')`
         else
            /usr/bin/echo "ERROR: Detected unsupported HTTPVERSION: $TEMP" | tee -a ${WCSDIR}/logs/${LOGFILE}
         fi
         if [[ "$TEMP" = "$HTTPVERSION" ]];
         then
            /usr/bin/echo "Checking version of IBM HTTP ... $HTTPVERSION PASS" | tee -a ${WCSDIR}/logs/${LOGFILE}
         else
            /usr/bin/echo "ERROR: Detected unsupported HTTPVERSION: $TEMP" | tee -a ${WCSDIR}/logs/${LOGFILE}
         fi
         HTTPVERSION=$TEMP
      fi
   fi
else
   /usr/bin/echo "Unsupported platform: $OS_NAME" | tee -a ${WCSDIR}/logs/${LOGFILE}
   /usr/bin/echo "Exiting ..." | tee -a ${WCSDIR}/logs/${LOGFILE}
   exit 1
fi

if [ $WEBSERVER -eq 2 ];
then
   if [ -d ${WEBDIR} ];
   then
      if [ -f ${WEBDIR}/setup/installed.pkg ];
      then
         TEMP=`(/usr/bin/grep "Edition=" ${WEBDIR}/setup/installed.pkg | /usr/bin/grep "Enterprise Edition" )`
         if [ $? -eq 0 ];
         then
            NESVER1=`(/usr/bin/grep "Major Version" ${WEBDIR}/setup/installed.pkg | /usr/bin/cut -d"=" -f2)`
            NESVER2=`(/usr/bin/grep "Minor Version" ${WEBDIR}/setup/installed.pkg | /usr/bin/cut -d"=" -f2)`

            NESVERSION="$NESVER1.$NESVER2"
         fi
      fi
   fi
fi

##
## Add DOMINO STUFF HERE
##
if [ $WEBSERVER -eq 3 ];
then
   WEBUSER=notes
   WEBGROUP=notes
fi


while :
do

   /usr/bin/echo "" | tee -a ${WCSDIR}/logs/${LOGFILE}
   /usr/bin/echo "PAYMENT MANAGER SELECTION" | tee -a ${WCSDIR}/logs/${LOGFILE}

   /usr/bin/echo "Select whether you are using PM locally with $EDITION 5.4 [Default:NONE]" | tee -a ${WCSDIR}/logs/${LOGFILE}
   /usr/bin/echo "1: Yes PM is local" | tee -a ${WCSDIR}/logs/${LOGFILE}
   /usr/bin/echo "2: No PM installed/Remote PM" | tee -a ${WCSDIR}/logs/${LOGFILE}

   read TEMP?":"

   if [[ "${TEMP}" = "quit" ]];
   then
      read JUNK?"Press enter to continue."
      exit 0
   fi

   VALID=`(/usr/bin/echo $TEMP | /usr/bin/grep "[0-9]")`
   if [[ $? -ne 0 ]];
   then
      /usr/bin/echo "Invalid entry $TEMP" | tee -a ${WCSDIR}/logs/${LOGFILE}
      continue
   fi

   if [[ $TEMP -eq 1 ]];
   then
      PM=1

      read CHECK_DIR?"Enter the PAYMENT MANAGER directory [Default:$PMDIR]:"

      if [[ "${CHECK_DIR}" = "quit" ]];
      then
         read JUNK?"Press enter to continue."
         exit 0
      fi

      if [[ "${CHECK_DIR}" = "" ]];
      then
         /usr/bin/echo "Using Default of $PMDIR" | tee -a ${WCSDIR}/logs/${LOGFILE}
         CHECK_DIR=$PMDIR
      fi

      if [[ -d ${CHECK_DIR} ]];
      then
         PMDIR=$CHECK_DIR
         /usr/bin/echo "PAYMENT MANAGER HOME is $PMDIR" | tee -a ${WCSDIR}/logs/${LOGFILE}
      else
         /usr/bin/echo "Invalid entry of $CHECK_DIR" | tee -a ${WCSDIR}/logs/${LOGFILE}
         continue
      fi
   elif [[ $TEMP -eq 2 ]];
   then
      PM=2
      PMDIR=""
   else
      /usr/bin/echo "Invalid entry $TEMP" | tee -a ${WCSDIR}/logs/${LOGFILE}
      continue
   fi

   break;
done

while :
do

   /usr/bin/echo "" | tee -a ${WCSDIR}/logs/${LOGFILE}
   /usr/bin/echo "NON-ROOT USAGE" | tee -a ${WCSDIR}/logs/${LOGFILE}

   /usr/bin/echo "Select whether you wish to run as non-root for WAS and $EDITION 5.4 [Default:NONE]" | tee -a ${WCSDIR}/logs/${LOGFILE}
   /usr/bin/echo "1: Yes" | tee -a ${WCSDIR}/logs/${LOGFILE}
   /usr/bin/echo "2: No" | tee -a ${WCSDIR}/logs/${LOGFILE}

   read TEMP?":"

   if [[ "${TEMP}" = "quit" ]];
   then
      read JUNK?"Press enter to continue."
      exit 0
   fi

   VALID=`(/usr/bin/echo $TEMP | /usr/bin/grep "[0-9]")`
   if [[ $? -ne 0 ]];
   then
      /usr/bin/echo "Invalid entry $TEMP" | tee -a ${WCSDIR}/logs/${LOGFILE}
      continue
   fi

   if [[ $TEMP -eq 1 ]];
   then

      RUNNONROOT=1

      while :
      do
         read TEMP?"Type the USER that you want WC to run under [Default:$WCSUSER]:"

         if [[ "${TEMP}" = "quit" ]];
         then
            read JUNK?"Press enter to continue."
            exit 0
         fi

         if [[ "${TEMP}" = "" ]];
         then
            /usr/bin/echo "Using Default of $WCSUSER" | tee -a ${WCSDIR}/logs/${LOGFILE}
         else
            WCSUSER=$TEMP
            /usr/bin/echo "Using WCSUSER of $WCSUSER" | tee -a ${WCSDIR}/logs/${LOGFILE}
         fi

         read TEMP?"Type the USER GROUP that user ($WCSUSER) is part of [Default:$WCSGROUP]:"

         if [[ "${TEMP}" = "quit" ]];
         then
            read JUNK?"Press enter to continue."
            exit 0
         fi

         if [[ "${TEMP}" = "" ]];
         then
            /usr/bin/echo "Using Default of $WCSGROUP" | tee -a ${WCSDIR}/logs/${LOGFILE}
         else
            WCSGROUP=$TEMP
            /usr/bin/echo "Using WCSGROUP of $WCSGROUP" | tee -a ${WCSDIR}/logs/${LOGFILE}
         fi

         read TEMP?"Type the WAS Admin Port Number for WAS to use ( >= 1024 ) [Default:$WASPORT]:"

         if [[ "${TEMP}" = "quit" ]];
         then
            read JUNK?"Press enter to continue."
            exit 0
         fi

         if [[ "${TEMP}" = "" ]];
         then
            /usr/bin/echo "Using Default of $WASPORT" | tee -a ${WCSDIR}/logs/${LOGFILE}
            TEMP=$WASPORT
         else
            VALID=`(/usr/bin/echo $TEMP | /usr/bin/grep "[0-9]")`
            if [[ $? -ne 0 ]];
            then
               /usr/bin/echo "Invalid entry $TEMP"
               continue
            fi
         fi
         if [[ $TEMP -ge 1024 ]];
         then
            WASPORT=$TEMP
            break;
         else
            /usr/bin/echo "Invalid Port Number: $TEMP entered, must be >= 1024" | tee -a ${WCSDIR}/logs/${LOGFILE}
         fi
      done

   elif [[ $TEMP -eq 2 ]];
   then
      RUNNONROOT=0
   else
      /usr/bin/echo "Invalid entry $TEMP" | tee -a ${WCSDIR}/logs/${LOGFILE}
      continue
   fi

   break;
done

#while :
#do
#   /usr/bin/echo "" | tee -a ${WCSDIR}/logs/${LOGFILE}
#   /usr/bin/echo "EFIX INSTALLATION" | tee -a ${WCSDIR}/logs/${LOGFILE}
#
#   /usr/bin/echo "Select whether you wish to install WAS or DB2 eFixes [Default:NONE]" | tee -a ${WCSDIR}/logs/${LOGFILE}
#   /usr/bin/echo "1: Yes" | tee -a ${WCSDIR}/logs/${LOGFILE}
#   /usr/bin/echo "2: No" | tee -a ${WCSDIR}/logs/${LOGFILE}
#
#   read TEMP?":"
#
#   if [[ "${TEMP}" = "quit" ]];
#   then
#      read JUNK?"Press enter to continue."
#      exit 0
#   fi
#
#   VALID=`(/usr/bin/echo $TEMP | /usr/bin/grep "[0-9]")`
#   if [[ $? -ne 0 ]];
#   then
#      /usr/bin/echo "Invalid entry $TEMP" | tee -a ${WCSDIR}/logs/${LOGFILE}
#      continue
#   fi
#
#   if [[ $TEMP -eq 1 ]];
#   then
#      EFIX=1
#   elif [[ $TEMP -eq 2 ]];
#   then
#      EFIX=0
#   else
#      /usr/bin/echo "Invalid entry $TEMP" | tee -a ${WCSDIR}/logs/${LOGFILE}
#      continue
#   fi
#   break;
#done

while :
do
   /usr/bin/echo "" | tee -a ${WCSDIR}/logs/${LOGFILE}
   /usr/bin/echo "==================================" | tee -a ${WCSDIR}/logs/${LOGFILE}
   /usr/bin/echo "Confirmation of Information       " | tee -a ${WCSDIR}/logs/${LOGFILE}
   /usr/bin/echo "==================================" | tee -a ${WCSDIR}/logs/${LOGFILE}

   /usr/bin/echo "" | tee -a ${WCSDIR}/logs/${LOGFILE}
   /usr/bin/echo "EDITION=$EDITION" | tee -a ${WCSDIR}/logs/${LOGFILE}
   if [[ "$OS_NAME" = "AIX" ]];
   then
      /usr/bin/echo "LOCALE=$LOCALE      LOCALECODE:$LOCALECODE" | tee -a ${WCSDIR}/logs/${LOGFILE}
   elif [[ "$OS_NAME" = "SunOS" || "$OS_NAME" = "Solaris" ]];
   then
      /usr/bin/echo "LOCALE=$LOCALE      LOCALECODE:$LOCALECODE      LC_ALL=$LC_ALL_VAR" | tee -a ${WCSDIR}/logs/${LOGFILE}
   else
      /usr/bin/echo "Unsupported platform: $OS_NAME" | tee -a ${WCSDIR}/logs/${LOGFILE}
      /usr/bin/echo "Exiting ..." | tee -a ${WCSDIR}/logs/${LOGFILE}
      exit 1
   fi
   /usr/bin/echo "SHORT HOSTNAME=$HOST" | tee -a ${WCSDIR}/logs/${LOGFILE}
   /usr/bin/echo "DOMAIN=$DOMAIN" | tee -a ${WCSDIR}/logs/${LOGFILE}
   /usr/bin/echo "WASHOME=$WASDIR" | tee -a ${WCSDIR}/logs/${LOGFILE}
   if [[ $DB -eq 1 ]];
   then
      /usr/bin/echo "DB2 HOME=$DBDIR" | tee -a ${WCSDIR}/logs/${LOGFILE}
      /usr/bin/echo "DB2 USER:GROUP=$DBUSER:$DBUSERGROUP" | tee -a ${WCSDIR}/logs/${LOGFILE}

   else
      /usr/bin/echo "ORACLE HOME=$DBDIR" | tee -a ${WCSDIR}/logs/${LOGFILE}
      /usr/bin/echo "ORACLE USER:GROUP=$DBUSER:$DBUSERGROUP" | tee -a ${WCSDIR}/logs/${LOGFILE}

   fi

   if [[ $WEBSERVER -eq 1 ]];
   then
      /usr/bin/echo "IBM HTTP HOME=$WEBDIR   VERSION:$HTTPVERSION" | tee -a ${WCSDIR}/logs/${LOGFILE}
   elif [[ $WEBSERVER -eq 2 ]];
   then
      /usr/bin/echo "IPLANET HOME=$WEBDIR   VERSION:$NESVERSION" | tee -a ${WCSDIR}/logs/${LOGFILE}
      /usr/bin/echo "IPLANET Port 80 config  dir=$NES80" | tee -a ${WCSDIR}/logs/${LOGFILE}
      /usr/bin/echo "IPLANET Port 443 config dir=$NES443" | tee -a ${WCSDIR}/logs/${LOGFILE}
      /usr/bin/echo "IPLANET Port 8000 config dir=$NES8000" | tee -a ${WCSDIR}/logs/${LOGFILE}
   elif [[ $WEBSERVER -eq 3 ]];
   then
      /usr/bin/echo "DOMINO HOME=$WEBDIR   VERSION:$DOMINOVERSION" | tee -a ${WCSDIR}/logs/${LOGFILE}
   else
      /usr/bin/echo "WEBSERVER= Remote Webserver" | tee -a ${WCSDIR}/logs/${LOGFILE}
   fi

   if [[ $PM -eq 1 ]];
   then
      /usr/bin/echo "PAYMENT MANAGER HOME=$PMDIR" | tee -a ${WCSDIR}/logs/${LOGFILE}
   else
      /usr/bin/echo "PAYMENT MANAGER <not installed>" | tee -a ${WCSDIR}/logs/${LOGFILE}
   fi

   /usr/bin/echo ""

   if [[ "$OS_NAME" = "AIX" ]];
   then
      AIXHardCheck CommerceSuite.Base.rte 5.1.0.0
      RETVAL=$?
      if [ $RETVAL -eq 0 ];
      then
         MIGRATEFROM51=1
         MIGRATEFROMPATH=/usr/lpp/CommerceSuite
         /usr/bin/echo "PREVIOUS WCS 5.1 DETECTED" | tee -a ${WCSDIR}/logs/${LOGFILE}
      fi
   elif [[ "$OS_NAME" = "SunOS" || "$OS_NAME" = "Solaris" ]];
   then
      SUNHardCheck wcsbase 5.1.0.0
      RETVAL=$?
      if [ $RETVAL -eq 0 ];
      then
         MIGRATEFROM51=1
         MIGRATEFROMPATH=/opt/WebSphere/CommerceSuite
         /usr/bin/echo "PREVIOUS WCS 5.1 DETECTED" | tee -a ${WCSDIR}/logs/${LOGFILE}
      fi
   else
      /usr/bin/echo "Unsupported platform: $OS_NAME" | tee -a ${WCSDIR}/logs/${LOGFILE}
      /usr/bin/echo "Exiting ..." | tee -a ${WCSDIR}/logs/${LOGFILE}
      exit 1
   fi

   /usr/bin/echo ""

   if [[ $RUNNONROOT -eq 1 ]];
   then
      /usr/bin/echo "NON-ROOT USAGE=YES" | tee -a ${WCSDIR}/logs/${LOGFILE}

      /usr/bin/echo "DBUSER=$DBUSER" | tee -a ${WCSDIR}/logs/${LOGFILE}
      /usr/bin/echo "DBGROUP=$DBUSERGROUP" | tee -a ${WCSDIR}/logs/${LOGFILE}
      /usr/bin/echo "WCSUSER=$WCSUSER" | tee -a ${WCSDIR}/logs/${LOGFILE}
      /usr/bin/echo "WCSGROUP=$WCSGROUP" | tee -a ${WCSDIR}/logs/${LOGFILE}
      /usr/bin/echo "WEBGROUP=$WEBGROUP" | tee -a ${WCSDIR}/logs/${LOGFILE}
      /usr/bin/echo "WASPORT=$WASPORT" | tee -a ${WCSDIR}/logs/${LOGFILE}
   else
      /usr/bin/echo "NON-ROOT USAGE=NO" | tee -a ${WCSDIR}/logs/${LOGFILE}
   fi

#   if [[ $EFIX -eq 1 ]];
#   then
#      /usr/bin/echo "INSTALL WAS/DB2 EFIXes=YES" | tee -a ${WCSDIR}/logs/${LOGFILE}
#   else
#      /usr/bin/echo "INSTALL WAS/DB2 EFIXes=NO" | tee -a ${WCSDIR}/logs/${LOGFILE}
#   fi

   /usr/bin/echo "" | tee -a ${WCSDIR}/logs/${LOGFILE}

   /usr/bin/echo "Confirm the above information is correct [Default:NONE]" | tee -a ${WCSDIR}/logs/${LOGFILE}
   /usr/bin/echo "1: YES - Information Above is Correct. Proceed" | tee -a ${WCSDIR}/logs/${LOGFILE}
   /usr/bin/echo "2: NO - Information Above is Incorrect. Exit" | tee -a ${WCSDIR}/logs/${LOGFILE}
   read TEMP?":"


   if [[ "${TEMP}" = "quit" ]];
   then
      read JUNK?"Press enter to continue."
      exit 0
   fi

   VALID=`(/usr/bin/echo $TEMP | /usr/bin/grep "[0-9]")`
   if [[ $? -ne 0 ]];
   then
      /usr/bin/echo "Invalid entry $TEMP" | tee -a ${WCSDIR}/logs/${LOGFILE}
      continue
   fi

   if [[ $TEMP -eq 1 ]];
   then

      Doit

   elif [[ $TEMP -eq 2 ]];
   then
      /usr/bin/echo "Exiting ..." | tee -a ${WCSDIR}/logs/${LOGFILE}
   else
      /usr/bin/echo "Invalid entry" | tee -a ${WCSDIR}/logs/${LOGFILE}
      continue
   fi

   break;
done
